package com.adc.da.vdaims.controller;

import java.io.Serializable;
import java.util.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.validation.constraints.NotNull;

import cn.hutool.core.collection.CollectionUtil;
import cn.wps.yun.model.User;
import com.adc.da.bs.cloudbackup.utils.FileWithExcelUtil;
import com.adc.da.enums.CertificateVehicleOrChassis;
import com.adc.da.enums.CertificateVersionNumner;
import com.adc.da.enums.CertificationQueryStatus;
import com.adc.da.mp.base.IBaseService;
import com.adc.da.mp.base.Query;
import com.adc.da.util.exception.AdcDaBaseException;
import com.adc.da.util.http.PageInfo;
import com.adc.da.util.http.ResponseMessage;
import com.adc.da.util.http.Result;
import com.adc.da.util.utils.DateUtil;
import com.adc.da.util.utils.Encodes;
import com.adc.da.util.utils.StringUtils;
import com.adc.da.util.utils.UserUtil;
import com.adc.da.vdaims.consts.Globals;
import com.adc.da.vdaims.entity.*;
import com.adc.da.vdaims.exception.BusinessException;
import com.adc.da.vdaims.exception.BusinessException;
import com.adc.da.vdaims.service.ICertHgzPrintEOService;
import com.adc.da.vdaims.util.AjaxJson;
import com.adc.da.vdaims.util.CertificationUtils;
import com.adc.da.vdaims.util.DateUtils;
import com.adc.da.vdaims.util.StringUtil;
import com.adc.da.vdaims.vo.CertHgzPrintListVO;
import com.adc.da.vdaims.vo.CertHgzUploadListVO;
import com.adc.da.vdaims.vo.CertUploadVehicleInfo;
import com.adc.da.vdaims.vo.CertVehiclePrintVO;
import com.adc.da.vdaims.webservice.certificate.ArrayOfString;
import com.adc.da.vdaims.webservice.certificate.OperateResult;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import oracle.jdbc.proxy.annotation.Post;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.BeanUtils;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import static org.springframework.http.MediaType.APPLICATION_JSON_VALUE;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import com.adc.da.mp.base.BaseController;

/**
 * <p>
 * 模板库确认的车会进入到数据处理
 * </p>
 * 作者 gen
 * 日期 2021-09-08
 */
@RestController
@RequestMapping("/${restPath}/vdaims/certHgzPrint")
@Api(tags = "|CertHgzPrintEO|合格证-数据处理")
public class CertHgzPrintEOController extends BaseController<CertHgzPrintEO> {
    private static final Logger logger = LoggerFactory.getLogger(CertHgzPrintEOController.class);

    @Autowired
    private ICertHgzPrintEOService service;

    /**
     * 合格整打印
     *
     * @param ids
     * @param allPrint
     * @return
     */

    @GetMapping(value = "findCertificate")
    @ResponseBody
    public AjaxJson findCertificate(String ids, String allPrint) {
        String message = "";
        AjaxJson j = new AjaxJson();
        List<CertHgzPrintEO> certificateList = null;
        QueryWrapper<CertHgzPrintEO> queryWrapper = new QueryWrapper<>();
        List<String> idList = Arrays.asList(ids.split(","));
        queryWrapper.in(CertHgzPrintEO.CERT_HGZ_PRINT_ID, idList);
        queryWrapper.eq(CertHgzPrintEO.CERT_HGZ_PRINT_CREATOR, UserUtil.getCurrentUserId());
        certificateList = service.list(queryWrapper);
        //查找打印机
        String printName = "合格证";
        j.setObj(certificateList);
//        j.setMsg(message);
        return j;
    }

    /**
     * 打印和参考打印
     */
    @ApiOperation(value = "|CertHgzPrintEO|打印和参考打印后更新状态", notes = "vdaims:certhgzprint:update")
    @PutMapping(value = "finishPrint/{id}/{type}")
    //@RequiresPermissions("vdaims:certhgzprint:update")
    public ResponseMessage<Boolean> finishPrint(@PathVariable Integer type, @PathVariable String id,String dywym,String jym) {

        return Result.success(service.finishPrint(type, id,dywym,jym));
    }

    @ApiOperation(value = "生成pdf预览文档")
    @PostMapping(value = "createWords", consumes = APPLICATION_JSON_VALUE)
    public ResponseMessage createWords(@NotNull @RequestBody List<String> idList) {
        Map res = new LinkedHashMap();
        try {
            for (String id : idList) {
                res.put(id, service.createPdfPreview(id));
            }
        } catch (BusinessException be) {
            return Result.error(be.getMessage());
        }
        return Result.success(res);
    }


    /**
     * 导出模版
     *
     * @param response
     */
    @ApiOperation(value = "导出-数据处理")
    @PostMapping("/exportExcel")
    @ResponseBody
    public ResponseMessage export(HttpServletResponse response, HttpServletRequest
            request, @RequestBody Query<CertHgzPrintListVO> query) {
        try {
            Query<CertHgzPrintEO> newQuery = new Query<>();
            BeanUtils.copyProperties(query, newQuery);
            List<CertHgzPrintEO> list = service.list(newQuery);
            List<CertHgzPrintListVO> certHgzPrintListVOS = new ArrayList<>();
            for (CertHgzPrintEO certHgzPrintEO : list) {
                CertHgzPrintListVO certHgzPrintListVO = new CertHgzPrintListVO();
                BeanUtils.copyProperties(certHgzPrintEO, certHgzPrintListVO);
                certHgzPrintListVO.setAckTime(certHgzPrintEO.getHgzAckTime());
                if (null == certHgzPrintEO.getHgzPrintStatus()) {
                    certHgzPrintListVO.setHgzPrintStatusStr("");
                } else if ((certHgzPrintEO.getHgzPrintStatus()).equals(0)) {
                    certHgzPrintListVO.setHgzPrintStatusStr("未打印");
                } else if ((certHgzPrintEO.getHgzPrintStatus()).equals(1)) {
                    certHgzPrintListVO.setHgzPrintStatusStr("参考打印");
                } else if (certHgzPrintEO.getHgzPrintStatus().equals(2)) {
                    certHgzPrintListVO.setHgzPrintStatusStr("已打印");
                } else {
                    certHgzPrintListVO.setHgzPrintStatusStr("");
                }
                certHgzPrintListVO.setAckTimeStr(DateUtil.format(certHgzPrintEO.getHgzAckTime(), "yyyy-MM-dd HH:mm:ss"));
                certHgzPrintListVOS.add(certHgzPrintListVO);
            }
            response.setHeader("Content-Disposition", "attachment;filename*= UTF-8" + Encodes.urlEncode("单车信息表"));
            //模拟从数据库获取需要导出的数据
            FileWithExcelUtil.exportExcel(certHgzPrintListVOS, "单车信息表", "单车信息", CertHgzPrintListVO.class, "单车信息表" + ".xls", response);
        } catch (Exception e) {
            logger.info("数据处理", e);
            return Result.error("导出模版失败");
            // TODO: handle exception
        }
        return Result.success();
    }

    /**
     * 导出模版
     *
     * @param response
     */
    @ApiOperation(value = "导出-证书管理-合格证")
    @PostMapping("/cert/exportExcel")
    @ResponseBody
    public ResponseMessage exportCert(HttpServletResponse response, HttpServletRequest
            request, @RequestBody Query<CertHgzUploadListVO> query) {
        try {
            Query<CertHgzPrintEO> newQuery = new Query<>();
            BeanUtils.copyProperties(query, newQuery);
            List<CertHgzPrintEO> list = service.list(newQuery);
            List<CertHgzUploadListVO> certHgzPrintListVOS = new ArrayList<>();
            for (CertHgzPrintEO certHgzPrintEO : list) {
                CertHgzUploadListVO certHgzUploadListVO = new CertHgzUploadListVO();
                BeanUtils.copyProperties(certHgzPrintEO, certHgzUploadListVO);
              certHgzPrintListVOS.add(certHgzUploadListVO);
            }
            response.setHeader("Content-Disposition", "attachment;filename*= UTF-8" + Encodes.urlEncode("合格证数据"));
            //模拟从数据库获取需要导出的数据
            FileWithExcelUtil.exportExcel(certHgzPrintListVOS, "证书管理", "证书管理", CertHgzUploadListVO.class, "合格证数据" + ".xls", response);
        } catch (Exception e) {
            logger.info("合格证导出模版失败", e);
            return Result.error("导出模版失败");
            // TODO: handle exception
        }
        return Result.success();
    }

    @ApiOperation(value = "|CertHgzPrintEO|列表查询", notes = "vdaims:certhgzprint:list")
    @PostMapping(value = "list", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:certhgzprint:list")
    public ResponseMessage<List<CertHgzPrintListVO>> getList(@RequestBody Query<CertHgzPrintListVO> query) {
        Query<CertHgzPrintEO> newQuery = new Query<>();
        BeanUtils.copyProperties(query, newQuery);
        List<CertHgzPrintEO> list = service.list(newQuery);
        List<CertHgzPrintListVO> certHgzPrintListVOS = new ArrayList<>();
        for (CertHgzPrintEO certHgzPrintEO : list) {
            CertHgzPrintListVO certHgzPrintListVO = new CertHgzPrintListVO();
            BeanUtils.copyProperties(certHgzPrintEO, certHgzPrintListVO);
            certHgzPrintListVO.setAckTime(certHgzPrintEO.getHgzAckTime());
            certHgzPrintListVO.setHgzPrintStatus(certHgzPrintEO.getHgzPrintStatus());
            certHgzPrintListVOS.add(certHgzPrintListVO);
        }
        return Result.success(certHgzPrintListVOS);
    }

    @ApiOperation(value = "|CertHgzPrintEO|分页查询-数据处理", notes = "vdaims:certhgzprint:page")
    @PostMapping(value = "page", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:certhgzprint:page")
    public ResponseMessage<PageInfo<CertHgzPrintListVO>> getPage(@RequestBody Query<CertHgzPrintListVO> query) {
        Query<CertHgzPrintEO> newQuery = new Query<>();
        BeanUtils.copyProperties(query, newQuery);
        IPage<CertHgzPrintEO> page = super.page(newQuery);
        List<CertHgzPrintListVO> certHgzPrintListVOS = new ArrayList<>();
        for (CertHgzPrintEO certHgzPrintEO : page.getRecords()) {
            CertHgzPrintListVO certHgzPrintListVO = new CertHgzPrintListVO();
            BeanUtils.copyProperties(certHgzPrintEO, certHgzPrintListVO);
            certHgzPrintListVO.setAckTime(certHgzPrintEO.getHgzAckTime());
            certHgzPrintListVO.setHgzPrintStatusStr(String.valueOf(certHgzPrintEO.getHgzPrintStatus()));
            if (certHgzPrintListVO.getHgzPrintTime() != null) {
                Date today = new Date();
                Calendar c = Calendar.getInstance();
                c.setTime(certHgzPrintListVO.getHgzPrintTime());
                c.add(Calendar.DAY_OF_MONTH, 2);// 今天+2天
                if (c.getTime().before(today) || c.getTime().equals(today)) {
                    certHgzPrintListVO.setHgzStatus(CertificateVersionNumner.PRINTED_MAX.getValue());
                }
            }
            certHgzPrintListVOS.add(certHgzPrintListVO);
        }
        IPage<CertHgzPrintListVO> newPage = new Page<>();
        BeanUtils.copyProperties(page, newPage);
        newPage.setRecords(certHgzPrintListVOS);
        PageInfo<CertHgzPrintListVO> pageInfo = new PageInfo();
        pageInfo.setList(newPage.getRecords());
        pageInfo.setCount(newPage.getTotal());
        pageInfo.setPageSize((int) newPage.getSize());
        pageInfo.setPageCount(newPage.getPages());
        pageInfo.setPageNo((int) newPage.getCurrent());
        return Result.success(pageInfo);
    }

    @ApiOperation(value = "|CertHgzPrintEO|分页查询-证书管理-合格证", notes = "vdaims:certhgzprint:page")
    @PostMapping(value = "/cert/page", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:certhgzprint:page")
    public ResponseMessage<PageInfo<CertHgzUploadListVO>> getCertPage(@RequestBody Query<CertHgzUploadListVO> query) {
        Query<CertHgzPrintEO> newQuery = new Query<>();
        BeanUtils.copyProperties(query, newQuery);
        IPage<CertHgzPrintEO> page = super.page(newQuery);
        List<CertHgzUploadListVO> certHgzUploadListVOS = new ArrayList<>();
        for (CertHgzPrintEO certHgzPrintEO : page.getRecords()) {
            CertHgzUploadListVO certHgzUploadListVO = new CertHgzUploadListVO();
            BeanUtils.copyProperties(certHgzPrintEO, certHgzUploadListVO);
            certHgzUploadListVOS.add(certHgzUploadListVO);
        }
        IPage<CertHgzUploadListVO> newPage = new Page<>();
        BeanUtils.copyProperties(page, newPage);
        newPage.setRecords(certHgzUploadListVOS);
        PageInfo<CertHgzUploadListVO> pageInfo = new PageInfo();
        pageInfo.setList(newPage.getRecords());
        pageInfo.setCount(newPage.getTotal());
        pageInfo.setPageSize((int) newPage.getSize());
        pageInfo.setPageCount(newPage.getPages());
        pageInfo.setPageNo((int) newPage.getCurrent());
        return Result.success(pageInfo);
    }

    /***upload
     * 合格证上传前端
     */
    @ApiOperation(value = "|CertHgzPrintEO|合格证上传")
    @PostMapping(value = "upload")
    public AjaxJson upload(String ids, HttpServletRequest request) {
        AjaxJson j = new AjaxJson();
        String message = "";
        try {
            //上传对象List
            List<CertificationEntity> certificationList = new ArrayList<CertificationEntity>();
            for (String id : ids.split(",")) {
                CertHgzPrintEO certHgzPrintEO = service.getById(id);
                if (certHgzPrintEO != null) {
                    CertificationEntity c = service.getCertificationEntityByCertificateDeclareEntity(certHgzPrintEO);
                    if (certHgzPrintEO.getHgzPrintTime() != null) {
                        Date today = new Date();
                        Calendar calender = Calendar.getInstance();
                        calender.setTime(certHgzPrintEO.getHgzPrintTime());
                        calender.add(Calendar.DAY_OF_MONTH, 2);// 今天+2天
                        if (calender.getTime().before(today) || calender.getTime().equals(today)) {
                            c.setRegion("flag");  //判断该条数据  如果超过48小时  则通过region字段标记
                        }
                    }
                    certificationList.add(c);
                }
            }
            j.setObj(certificationList);
        } catch (Exception e) {
            e.printStackTrace();
        }
        j.setMsg(message);
        return j;
    }

    //    /***
//     * 合格证前端上传成功后移除数据
//     */
    @ApiOperation(value = "|CertHgzPrintEO|合格证上传后更新数据")
    @PostMapping(value = "uploadFinish")
    @ResponseBody
    public AjaxJson uploadRemove(String id, HttpServletRequest request) {
        AjaxJson j = new AjaxJson();
        CertHgzPrintEO certification = service.getById(id);
        String message = "";
        try {
            service.updateCerVersionUploadSuccess(certification, request);
            logger.info("CertificateDeclareController.uploadRemove;车辆识别代号为" + certification.getVehClsbdh() + "的合格证上传成功后进入已上传合格证模块", Globals.Log_Type_UPLOAD, Globals.Log_Leavel_INFO);
            message = "合格证上传成功！";
        } catch (Exception e) {
            e.printStackTrace();
        }
        j.setMsg(message);
        return j;
    }

    /***
     * 合格证前端上传成功保存上传返回的消息
     */
    @PostMapping(value="saveUploadMessage")
    @ResponseBody
    public AjaxJson saveUploadMessage(String id,String uploadMessage){
        AjaxJson j = new AjaxJson();
        String message = "";
        try {
            if(StringUtils.isNotEmpty(id)){
                CertHgzPrintEO certification = service.getById(id);
                certification.setHgzUploadMessage(uploadMessage);
                //2019-01-31 add
//                certification.setVehicleIdentificationNumber(certification.getContractNo());
                service.saveOrUpdate(certification);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        j.setMsg(message);
        return j;
    }

    /***
     * 合格证前端补传成功后移除数据
     */
    @PostMapping(value="uploadPassBack")
    @ResponseBody
    public AjaxJson uploadPassBack(String id,String forwardReason,HttpServletRequest request){
        AjaxJson j = new AjaxJson();
        String message = "";
        try {
            if(StringUtils.isNotEmpty(id)){
                CertHgzPrintEO certification = service.getById(id);
                certification.setHgzOverTimeReason(forwardReason);
                service.updateCerVersion(id,forwardReason, request);
                logger.info("CertificateDeclareController.uploadPassBack;车辆识别代号为"+certification.getVehClsbdh()+"的合格证补传成功后进入已上传合格证模块",Globals.Log_Type_UPLOAD, Globals.Log_Leavel_INFO);
            }
            message = "合格证补传成功！";
        } catch (Exception e) {
            e.printStackTrace();
        }
        j.setMsg(message);
        return j;
    }

    /***
     * 合格证补传操作
     * @param
     * @param request
     * @return
     */
    @PostMapping(value="doCertSupplement")
    @ResponseBody
    public AjaxJson doCertSupplement(String id ,String reason ,HttpServletRequest request){
        AjaxJson j=new AjaxJson();
        String message="";
        CertHgzPrintEO byId = service.getById(id);
        try{
            message=service.certificateSupplement(id,reason, request);
            logger.info("CertificateDeclareController.doCertSupplement;车辆识别代号为"+byId.getVehClsbdh()+message,Globals.Log_Type_UPDATE, Globals.Log_Leavel_INFO);
        }catch (Exception e) {
            e.printStackTrace();
            message="补传失败";
            //systemService.addLog(message,Globals.Log_Type_UPDATE, Globals.Log_Leavel_ERROR);
        }
        j.setMsg(message);
        return j;
    }

    /***
     * 合格证修改上传成功后移除数据
     */
    @PostMapping(value="uploadUpdate")
    @ResponseBody
    public AjaxJson uploadUpdate(CertHgzPrintEO certificate,HttpServletRequest request){
        AjaxJson j = new AjaxJson();
        String message = "";
        try {
            service.toUpdateCerVersion(certificate, request);
            message = "合格证修改上传成功！";
            logger.info("CertificateDeclareController.uploadUpdate;车辆识别代号为"+certificate.getVehClsbdh()+"的合格证补传成功后进入已上传合格证模块",Globals.Log_Type_UPLOAD, Globals.Log_Leavel_INFO);
        } catch (Exception e) {
            e.printStackTrace();
            message = "合格证修改上传失败！";
        }
        j.setMsg(message);
        return j;
    }


    /**
     * 前台注销成功后移除数据
     * @param
     * @param request
     * @return
     */
    @PostMapping(value = "logOutCerVersion")
    @ResponseBody
    public AjaxJson logOutCerVersion(String id ,String reason, HttpServletRequest request) {
        AjaxJson j = new AjaxJson();
        String message = "";
        try{
            CertHgzPrintEO byId = service.getById(id);
            service.logOutCerVersion(id,reason);
            message="合格证注销成功";
            logger.info("CertificateDeclareController.logOutCerVersion;车辆识别代号为"+byId.getVehClsbdh()+message,Globals.Log_Type_OTHER, Globals.Log_Leavel_INFO);
        } catch (Exception e) {
            e.printStackTrace();
            message="合格证注销失败";
        }
        j.setMsg(message);
        return j;
    }

    /**
     * 合格证注销
     *
     * @return
     */
    @ApiOperation(value = "|CertHgzPrintEO|合格证撤销")
    @PostMapping(value = "doDel")
    @ResponseBody
    public AjaxJson doDel(String id,String reason, HttpServletRequest request) {
        AjaxJson j = new AjaxJson();
        String message = "";
        if (StringUtil.isNotEmpty(id)) {
            try {
                message= service.doLogout(id,reason);
            } catch (Exception e) {
                e.printStackTrace();
                throw new BusinessException(e.getMessage());
            }
            j.setMsg(message);
        }
        return j;
    }


    public CertificateUploadBackMsg logOut(String id,String reason) {
        CertificateUploadBackMsg certBean = new CertificateUploadBackMsg();
        boolean flag = false;
        String msg = "";
        OperateResult message = null;
        CertHgzPrintEO byId = service.getById(id);
        try {
            ArrayOfString wzhgzbhs=new ArrayOfString();
            wzhgzbhs.getString().add(byId.getVehZchgzbh());
            if(wzhgzbhs != null ){
                message = CertificationUtils.uploadDeleteEnt(wzhgzbhs, reason);
                if(message.getResultCode() == 1){
                    flag = true;
                }
            }
        } catch(ExceptionInInitializerError e1){
            e1.printStackTrace();
            msg = "调用接口失败，请检查是否插入U盾！";
        }catch(NoClassDefFoundError n){
            n.printStackTrace();
            msg = "调用接口失败，请检查是否插入U盾！";
        }catch (Exception e) {
            e.printStackTrace();
            msg = "车辆识别代号为"+byId.getVehClsbdh()+"合格证撤销失败<br/>";
        }
        certBean.setFlag(flag);
        certBean.setMsg(msg);
        return certBean;
    }


    @ApiOperation(value = "|CertHgzPrintEO|详情", notes = "vdaims:certhgzprint:get")
    @GetMapping("{id}")
    //@RequiresPermissions("vdaims:certhgzprint:get")
    public ResponseMessage<CertHgzPrintEO> get(@NotNull @PathVariable Serializable id) {

        return Result.success(service.getById(id));
    }

    @ApiOperation(value = "|CertHgzPrintEO|新增", notes = "vdaims:certhgzprint:save")
    @PostMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:certhgzprint:save")
    public ResponseMessage<CertHgzPrintEO> create(@RequestBody CertHgzPrintEO data) {

        return Result.success(super.save(data));
    }

    @ApiOperation(value = "|CertHgzPrintEO|修改单车信息", notes = "vdaims:certhgzprint:update")
    @PutMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:certhgzprint:update")
    public ResponseMessage<Boolean> modify(@RequestBody CertUploadVehicleInfo data) {

        return Result.success(service.updateVehicleInfo(data));
    }

    @ApiOperation(value = "|CertHgzPrintEO|批量删除", notes = "vdaims:certhgzprint:delete")
    @DeleteMapping("{ids}")
    //@RequiresPermissions("vdaims:certhgzprint:delete")
    public ResponseMessage delete(@NotNull @PathVariable Serializable... ids) {

        return Result.success(super.deleteBatchIds(ids));
    }

    @ApiOperation(value = "获取证书打印统计数据")
    @GetMapping("statistics/{batch}")
    public ResponseMessage statistics(HttpServletRequest request, @NotNull @PathVariable String batch) {
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        String qyId = usermap.get("USERNAME").toString();
        return Result.success(service.getStatistics(qyId, batch));
    }

    @Override
    protected IBaseService<CertHgzPrintEO> getService() {

        return service;
    }

    @Override
    protected void verifyQuery(Query<CertHgzPrintEO> queryItem) {

    }

    @Override
    protected void verifySaveData(CertHgzPrintEO data) {

    }

    @Override
    protected void verifyUpdateData(CertHgzPrintEO data) {

    }

    @Override
    protected void verifyDeleteId(Serializable... ids) {

    }


}
