package com.adc.da.vdaims.controller;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.validation.constraints.NotNull;
import com.adc.da.mp.base.IBaseService;
import com.adc.da.mp.base.Query;
import com.adc.da.util.http.PageInfo;
import com.adc.da.util.http.ResponseMessage;
import com.adc.da.util.http.Result;
import com.adc.da.vdaims.entity.SyxyAccountSetEO;
import com.adc.da.vdaims.service.ISyxyAccountSetEOService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import static org.springframework.http.MediaType.APPLICATION_JSON_VALUE;
import org.springframework.web.bind.annotation.RequestMapping;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;
import com.adc.da.mp.base.BaseController;

/**
 * <p>
 *  前端控制器
 * </p>
 * 作者 gen
 * 日期 2021-09-13
 */
@RestController
@RequestMapping("/${restPath}/vdaims/syxyAccountSet")
@Api(tags = "|SyxyAccountSetEO|")
public class SyxyAccountSetEOController extends BaseController<SyxyAccountSetEO> {
    private static final Logger logger = LoggerFactory.getLogger(SyxyAccountSetEOController.class);

    @Autowired
    private ISyxyAccountSetEOService service;

    @ApiOperation(value = "|SyxyAccountSetEO|列表查询", notes = "vdaims:syxyaccountset:list")
    @PostMapping(value = "list", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyaccountset:list")
    public ResponseMessage<List<SyxyAccountSetEO>> getList(@RequestBody Query<SyxyAccountSetEO> query) {

        return Result.success(super.list(query));
    }

    @ApiOperation(value = "|SyxyAccountSetEO|分页查询", notes = "vdaims:syxyaccountset:page")
    @PostMapping(value = "page", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyaccountset:page")
    public ResponseMessage<PageInfo<SyxyAccountSetEO>> getPage(@RequestBody Query<SyxyAccountSetEO> query) {

        return Result.success(getPageInfo(super.page(query)));
    }

    @ApiOperation(value = "|SyxyAccountSetEO|详情", notes = "vdaims:syxyaccountset:get")
    @GetMapping("{id}")
    //@RequiresPermissions("vdaims:syxyaccountset:get")
    public ResponseMessage<SyxyAccountSetEO> get(@NotNull @PathVariable Serializable id) {

        return Result.success(service.getByQyId(id));
    }

    @ApiOperation(value = "|SyxyAccountSetEO|新增", notes = "vdaims:syxyaccountset:save")
    @PostMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyaccountset:save")
    public ResponseMessage<SyxyAccountSetEO> create(@RequestBody SyxyAccountSetEO data, HttpServletRequest request) {
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        String qyId = usermap.get("USERNAME").toString();
        data.setCreateById(qyId);
        return Result.success(super.save(data));
    }

    @ApiOperation(value = "|SyxyAccountSetEO|修改", notes = "vdaims:syxyaccountset:update")
    @PutMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyaccountset:update")
    public ResponseMessage<SyxyAccountSetEO> modify(@RequestBody SyxyAccountSetEO data, HttpServletRequest request) {
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        String qyId = usermap.get("USERNAME").toString();
        data.setCreateById(qyId);
        return Result.success(super.update(data));
    }

    @ApiOperation(value = "|SyxyAccountSetEO|批量删除", notes = "vdaims:syxyaccountset:delete")
    @DeleteMapping("{ids}")
    //@RequiresPermissions("vdaims:syxyaccountset:delete")
    public ResponseMessage delete(@NotNull @PathVariable Serializable... ids) {

         return Result.success(super.deleteBatchIds(ids));
    }

    @Override
    protected IBaseService<SyxyAccountSetEO> getService() {

        return service;
    }

    @Override
    protected void verifyQuery(Query<SyxyAccountSetEO> queryItem) {

    }

    @Override
    protected void verifySaveData(SyxyAccountSetEO data) {

    }

    @Override
    protected void verifyUpdateData(SyxyAccountSetEO data) {

    }

    @Override
    protected void verifyDeleteId(Serializable... ids) {

    }
}
