package com.adc.da.vdaims.controller;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;
import javax.validation.constraints.NotNull;
import com.adc.da.mp.base.IBaseService;
import com.adc.da.mp.base.Query;
import com.adc.da.util.http.PageInfo;
import com.adc.da.util.http.ResponseMessage;
import com.adc.da.util.http.Result;
import com.adc.da.vdaims.entity.SyxyEnvSyncRecordEO;
import com.adc.da.vdaims.service.ISyxyEnvSyncRecordEOService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import static org.springframework.http.MediaType.APPLICATION_JSON_VALUE;
import org.springframework.web.bind.annotation.RequestMapping;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;
import com.adc.da.mp.base.BaseController;

/**
 * <p>
 *  前端控制器
 * </p>
 * 作者 gen
 * 日期 2021-08-26
 */
@RestController
@RequestMapping("/${restPath}/vdaims/syxyEnvSyncRecord")
@Api(tags = "|SyxyEnvSyncRecordEO|")
public class SyxyEnvSyncRecordEOController extends BaseController<SyxyEnvSyncRecordEO> {
    private static final Logger logger = LoggerFactory.getLogger(SyxyEnvSyncRecordEOController.class);

    @Autowired
    private ISyxyEnvSyncRecordEOService service;

    @ApiOperation(value = "|SyxyEnvSyncRecordEO|列表查询", notes = "vdaims:syxyenvsyncrecord:list")
    @PostMapping(value = "list", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyenvsyncrecord:list")
    public ResponseMessage<List<SyxyEnvSyncRecordEO>> getList(@RequestBody Query<SyxyEnvSyncRecordEO> query) {

        return Result.success(super.list(query));
    }

    @ApiOperation(value = "|SyxyEnvSyncRecordEO|分页查询", notes = "vdaims:syxyenvsyncrecord:page")
    @PostMapping(value = "page", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyenvsyncrecord:page")
    public ResponseMessage<PageInfo<SyxyEnvSyncRecordEO>> getPage(@RequestBody Query<SyxyEnvSyncRecordEO> query) {

        return Result.success(getPageInfo(super.page(query)));
    }

    @ApiOperation(value = "|SyxyEnvSyncRecordEO|详情", notes = "vdaims:syxyenvsyncrecord:get")
    @GetMapping("{id}")
    //@RequiresPermissions("vdaims:syxyenvsyncrecord:get")
    public ResponseMessage<SyxyEnvSyncRecordEO> get(@NotNull @PathVariable Serializable id) {

        return Result.success(super.getById(id));
    }

    @ApiOperation(value = "|SyxyEnvSyncRecordEO|新增", notes = "vdaims:syxyenvsyncrecord:save")
    @PostMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyenvsyncrecord:save")
    public ResponseMessage<SyxyEnvSyncRecordEO> create(@RequestBody SyxyEnvSyncRecordEO data) {

        return Result.success(super.save(data));
    }

    @ApiOperation(value = "|SyxyEnvSyncRecordEO|修改", notes = "vdaims:syxyenvsyncrecord:update")
    @PutMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyenvsyncrecord:update")
    public ResponseMessage<SyxyEnvSyncRecordEO> modify(@RequestBody SyxyEnvSyncRecordEO data) {

        return Result.success(super.update(data));
    }

    @ApiOperation(value = "|SyxyEnvSyncRecordEO|批量删除", notes = "vdaims:syxyenvsyncrecord:delete")
    @DeleteMapping("{ids}")
    //@RequiresPermissions("vdaims:syxyenvsyncrecord:delete")
    public ResponseMessage delete(@NotNull @PathVariable Serializable... ids) {

         return Result.success(super.deleteBatchIds(ids));
    }

    @Override
    protected IBaseService<SyxyEnvSyncRecordEO> getService() {

        return service;
    }

    @Override
    protected void verifyQuery(Query<SyxyEnvSyncRecordEO> queryItem) {

    }

    @Override
    protected void verifySaveData(SyxyEnvSyncRecordEO data) {

    }

    @Override
    protected void verifyUpdateData(SyxyEnvSyncRecordEO data) {

    }

    @Override
    protected void verifyDeleteId(Serializable... ids) {

    }
}
