package com.adc.da.vdaims.controller;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;
import javax.validation.constraints.NotNull;
import com.adc.da.mp.base.IBaseService;
import com.adc.da.mp.base.Query;
import com.adc.da.util.http.PageInfo;
import com.adc.da.util.http.ResponseMessage;
import com.adc.da.util.http.Result;
import com.adc.da.vdaims.entity.SyxyEnviromentPrintTemplateEO;
import com.adc.da.vdaims.service.ISyxyEnviromentPrintTemplateEOService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import static org.springframework.http.MediaType.APPLICATION_JSON_VALUE;
import org.springframework.web.bind.annotation.RequestMapping;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;
import com.adc.da.mp.base.BaseController;

/**
 * <p>
 *  前端控制器
 * </p>
 * 作者 gen
 * 日期 2021-09-02
 */
@RestController
@RequestMapping("/${restPath}/vdaims/syxyEnviromentPrintTemplate")
@Api(tags = "|SyxyEnviromentPrintTemplateEO|")
public class SyxyEnviromentPrintTemplateEOController extends BaseController<SyxyEnviromentPrintTemplateEO> {
    private static final Logger logger = LoggerFactory.getLogger(SyxyEnviromentPrintTemplateEOController.class);

    @Autowired
    private ISyxyEnviromentPrintTemplateEOService service;

    @ApiOperation(value = "|SyxyEnviromentPrintTemplateEO|列表查询", notes = "vdaims:syxyenviromentprinttemplate:list")
    @PostMapping(value = "list", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyenviromentprinttemplate:list")
    public ResponseMessage<List<SyxyEnviromentPrintTemplateEO>> getList(@RequestBody Query<SyxyEnviromentPrintTemplateEO> query) {

        return Result.success(super.list(query));
    }

    @ApiOperation(value = "|SyxyEnviromentPrintTemplateEO|分页查询", notes = "vdaims:syxyenviromentprinttemplate:page")
    @PostMapping(value = "page", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyenviromentprinttemplate:page")
    public ResponseMessage<PageInfo<SyxyEnviromentPrintTemplateEO>> getPage(@RequestBody Query<SyxyEnviromentPrintTemplateEO> query) {

        return Result.success(getPageInfo(super.page(query)));
    }

    @ApiOperation(value = "|SyxyEnviromentPrintTemplateEO|详情", notes = "vdaims:syxyenviromentprinttemplate:get")
    @GetMapping("{id}")
    //@RequiresPermissions("vdaims:syxyenviromentprinttemplate:get")
    public ResponseMessage<SyxyEnviromentPrintTemplateEO> get(@NotNull @PathVariable Serializable id) {

        return Result.success(super.getById(id));
    }

    @ApiOperation(value = "|SyxyEnviromentPrintTemplateEO|新增", notes = "vdaims:syxyenviromentprinttemplate:save")
    @PostMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyenviromentprinttemplate:save")
    public ResponseMessage<SyxyEnviromentPrintTemplateEO> create(@RequestBody SyxyEnviromentPrintTemplateEO data) {

        return Result.success(super.save(data));
    }

    @ApiOperation(value = "|SyxyEnviromentPrintTemplateEO|修改", notes = "vdaims:syxyenviromentprinttemplate:update")
    @PutMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyenviromentprinttemplate:update")
    public ResponseMessage<SyxyEnviromentPrintTemplateEO> modify(@RequestBody SyxyEnviromentPrintTemplateEO data) {

        return Result.success(super.update(data));
    }

    @ApiOperation(value = "|SyxyEnviromentPrintTemplateEO|批量删除", notes = "vdaims:syxyenviromentprinttemplate:delete")
    @DeleteMapping("{ids}")
    //@RequiresPermissions("vdaims:syxyenviromentprinttemplate:delete")
    public ResponseMessage delete(@NotNull @PathVariable Serializable... ids) {

         return Result.success(super.deleteBatchIds(ids));
    }

    @Override
    protected IBaseService<SyxyEnviromentPrintTemplateEO> getService() {

        return service;
    }

    @Override
    protected void verifyQuery(Query<SyxyEnviromentPrintTemplateEO> queryItem) {

    }

    @Override
    protected void verifySaveData(SyxyEnviromentPrintTemplateEO data) {

    }

    @Override
    protected void verifyUpdateData(SyxyEnviromentPrintTemplateEO data) {

    }

    @Override
    protected void verifyDeleteId(Serializable... ids) {

    }
}
