package com.adc.da.vdaims.controller;

import java.io.Serializable;
import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.*;
import javax.servlet.http.HttpServletRequest;
import javax.validation.constraints.NotNull;

import com.adc.da.excel.poi.excel.ExcelImportUtil;
import com.adc.da.excel.poi.excel.entity.ImportParams;
import com.adc.da.mp.base.IBaseService;
import com.adc.da.mp.base.Query;
import com.adc.da.mp.base.QueryItem;
import com.adc.da.util.http.PageInfo;
import com.adc.da.util.http.ResponseMessage;
import com.adc.da.util.http.Result;
import com.adc.da.util.utils.*;
import com.adc.da.vdaims.dao.SyxyEnvironmentalDataEODao;
import com.adc.da.vdaims.entity.*;
import com.adc.da.vdaims.exception.BusinessException;
import com.adc.da.vdaims.service.*;
import com.adc.da.vdaims.util.AjaxJson;
import com.adc.da.vdaims.util.StringUtil;
import com.adc.da.vdaims.vo.HbqdTemplateInfoVo;
import com.adc.da.vdaims.webservice.environmental.WSXEnvironmentalUtils;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import static org.springframework.http.MediaType.APPLICATION_JSON_VALUE;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import com.adc.da.mp.base.BaseController;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 *  前端控制器
 * </p>
 * 作者 gen
 * 日期 2021-08-26
 */
@RestController
@RequestMapping("/${restPath}/vdaims/syxyEnvironmentalData")
@Api(tags = "|SyxyEnvironmentalDataEO|环保基础数据")
public class SyxyEnvironmentalDataEOController extends BaseController<SyxyEnvironmentalDataEO> {
    private static final Logger logger = LoggerFactory.getLogger(SyxyEnvironmentalDataEOController.class);

    @Autowired
    private ISyxyEnvironmentalDataEOService service;
    @Autowired
    private IVehicleCertEOService vehicleCertEOService;
    @Autowired
    private SyxyEnvironmentalDataEODao environmentalDataEODao;
    @Autowired
    private ISyxyEnviromentPrintTemplateEOService printTemplateEOService;
    @Autowired
    private ISyxyModelEnviromentalDataEOService modelEnviromentalDataEOService;
    @Autowired
    private ISyxyEnvSyncRecordEOService iSyxyEnvSyncRecordEOService;
    @Autowired
    private ISyxyModelEnviromentalLogEOService modelEnviromentalLogEOService;
    @Autowired
    private IYzxTemplateDataEOService yzxTemplateDataEOService;
    @Autowired
    private ICertHgzPrintEOService iCertHgzPrintEOService;

    @ApiOperation(value = "|SyxyEnvironmentalDataEO|列表查询", notes = "vdaims:syxyenvironmentaldata:list")
    @PostMapping(value = "list", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyenvironmentaldata:list")
    public ResponseMessage<List<SyxyEnvironmentalDataEO>> getList(@RequestBody Query<SyxyEnvironmentalDataEO> query) {

        return Result.success(super.list(query));
    }

    @ApiOperation(value = "|SyxyEnvironmentalDataEO|分页查询", notes = "vdaims:syxyenvironmentaldata:page")
    @PostMapping(value = "page", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyenvironmentaldata:page")
    public ResponseMessage<PageInfo<SyxyEnvironmentalDataEO>> getPage(@RequestBody Query<SyxyEnvironmentalDataEO> query) {
        return Result.success(getPageInfo(super.page(query)));
    }

    @ApiOperation(value = "|SyxyEnvironmentalDataEO|详情", notes = "vdaims:syxyenvironmentaldata:get")
    @GetMapping("{id}")
    //@RequiresPermissions("vdaims:syxyenvironmentaldata:get")
    public ResponseMessage<SyxyEnvironmentalDataEO> get(@NotNull @PathVariable Serializable id) {

        return Result.success(super.getById(id));
    }


    @ApiOperation(value = "|SyxyEnvironmentalAllDataEO|详情(全部)", notes = "vdaims:syxyenvironmentaldata:get")
    @GetMapping("/environmentAllInfo/{id}")
    //@RequiresPermissions("vdaims:syxyenvironmentaldata:get")
    public ResponseMessage<SyxyEnvironmentAllInfo> getEnvironmentAllInfo(@NotNull @PathVariable Serializable id) {
        return Result.success(service.getEnvironmentAllInfoById(id));
    }


    @ApiOperation(value = "|SyxyEnvironmentalDataEO|新增", notes = "vdaims:syxyenvironmentaldata:save")
    @PostMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyenvironmentaldata:save")
    public ResponseMessage<SyxyEnvironmentalDataEO> create(@RequestBody SyxyEnvironmentalDataEO data) {

        return Result.success(super.save(data));
    }

    @ApiOperation(value = "|SyxyEnvironmentalDataEO|修改", notes = "vdaims:syxyenvironmentaldata:update")
    @PutMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyenvironmentaldata:update")
    public ResponseMessage<SyxyEnvironmentAllInfo> modify(@RequestBody SyxyEnvironmentAllInfo data) {

       // return Result.success(super.update(data));
        return Result.success(service.updateEnvInfo(data));
    }


    @ApiOperation(value = "|SyxyEnvironmentalDataEO|批量删除", notes = "vdaims:syxyenvironmentaldata:delete")
    @DeleteMapping("{ids}")
    //@RequiresPermissions("vdaims:syxyenvironmentaldata:delete")
    public ResponseMessage delete(@NotNull @PathVariable Serializable... ids) {

         return Result.success(super.deleteBatchIds(ids));
    }


/*    @ApiOperation(value = "|syncData|车型同步")
    @RequestMapping(params = "syncData")
    @ResponseBody
    public AjaxJson syncData(String clxh) {
        AjaxJson j = new AjaxJson();
        //  List<EnvSyncRecordEntity> records = systemService.loadAll(EnvSyncRecordEntity.class);
//        if(records != null && records.size() > 0){
//        boolean flag = service.syncData();
        boolean flag = service.syncSingleData(clxh);
        if (flag) {
            j.setMsg("同步成功");
        } else {
            j.setMsg("同步失败，请重试");
        }
        return j;
    }*/


    @ApiOperation(value = "|同步单车数据")
    @GetMapping("syncSingleEnvData")
    public ResponseMessage syncSingleEnvData(HttpServletRequest request,String clxh) {
        try {
            Map<String,Object> usermap=(Map<String, Object>) request.getSession().getAttribute("usermap");
            String qyid=usermap.get("USERNAME").toString();
//            String qyid = "JH120006"; //TODO del
            boolean flag = service.syncSingleData(clxh,qyid);
            return Result.success();
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error(e.getMessage());
        }
    }

/*
    @ApiOperation(value = "|同步官方环保数据")
    @GetMapping("syncEnvData ")
    public ResponseMessage syncEnvData(String pc) {
        try {
            boolean flag = service.syncData();
            return Result.success();
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error("同步失败，请重试");
        }
    }
*/


/*
    @ApiOperation(value = "|syncData|同步官方环保数据")
    @RequestMapping(params = "syncEnvData")
    @ResponseBody
    public AjaxJson syncData(HttpServletRequest request, String pc) {
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        String qyid = usermap.get("USERNAME").toString();
        String qyname = usermap.get("NAME").toString();
        //获取当前系统的最新批次
        if(null == pc || "".equals(pc)){
            List<VehicleInfoVO> newPc = environmentalDataEODao.getNewPc();
            if(newPc.size()>0){
                pc = newPc.get(0).getPc();
            }
        }
//        pc = "346";   //TODO del
//        String qyname="北汽福田汽车股份有限公司"; //TODO del
//        String qyid ="GN010002";  //TODO del
        AjaxJson j = new AjaxJson();
      boolean flag = service.syncAllData(pc,qyname,qyid);
        if (flag) {
            j.setMsg("同步成功");
        } else {
            j.setMsg("已经同步完成！如有问题，请联系客服！");
        }
        return j;
    }
*/

    @ApiOperation(value = "|syncData|同步官方环保数据")
    @GetMapping(params = "syncEnvData")
    @ResponseBody
    public AjaxJson syncData(HttpServletRequest request, String pc) {
        AjaxJson message = new AjaxJson();
        //TODO open
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        String qyid = usermap.get("USERNAME").toString();
        String qyname = usermap.get("NAME").toString();
//        String qyid ="JH120006";
//        String qyname ="安徽江淮汽车集团股份有限公司";


        //当前企业要更新的批次的同步状态
        QueryWrapper<SyxyEnvSyncRecordEO> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(SyxyEnvSyncRecordEO.SYXY_ENV_SYNC_RECORD_PC,pc)
                .eq(SyxyEnvSyncRecordEO.SYXY_ENV_SYNC_RECORD_QYID,qyid);
        List<SyxyEnvSyncRecordEO> list = iSyxyEnvSyncRecordEOService.list(queryWrapper);

        if(list.size()>0){
            SyxyEnvSyncRecordEO syxyEnvSyncRecordEO = list.get(0);
            String status = syxyEnvSyncRecordEO.getStatus();
            if(null!=status && "0".equals(status)){
                message.setMsg("正在同步环保数据，请稍等！");
                return message;
            }
            if(null!=status && "1".equals(status)){
                message.setMsg("该批次同步环保数据已经同步完成！");
                return message;
            }
            if(null!=status && "3".equals(status)){
                message.setMsg("该批次同步环保数据同步异常，请联系客服！");
                return message;
            }
        }
        //获取当前系统的最新批次
        if(null == pc || "".equals(pc)){
            List<VehicleInfoVO> newPc = environmentalDataEODao.getNewPc();
            if(newPc.size()>0){
                pc = newPc.get(0).getPc();
            }
        }
//        pc = "346";   //TODO del
//        String qyname="安徽江淮汽车集团股份有限公司"; //TODO del
//        String qyid ="JH120006";  //TODO del
        boolean flag = service.syncAllData(pc,qyname,qyid);
        message.setMsg("正在同步环保数据，请稍等！");
        return message;
    }


    @ApiOperation(value = "|SyxyEnvironmentalDataEO|模板数据导入校验")
    @PostMapping(value = "importCheck")
    public ResponseMessage importTemplateExcelCheck(HttpServletRequest request, @RequestParam("file") MultipartFile file) {
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        String qyId = usermap.get("USERNAME").toString();
        String name = usermap.get("NAME").toString();
        String fileExtension = FileUtil.getFileExtension(file.getOriginalFilename());
        if (!ConstantUrils.EXCEL_TYPE_XLS.equalsIgnoreCase(fileExtension) && !ConstantUrils.EXCEL_TYPE_XLSX.equalsIgnoreCase(fileExtension)) {
            return Result.error("导入文件格式不正确，导入失败");
        }
        ImportParams params = new ImportParams();
        params.setTitleRows(1);
        params.setHeadRows(1);
        try {
            List<ImportVehicleInfoVO> vinList = new ArrayList<>(); //保存需要用户确认的vin集合
            List<HbqdTemplateInfoVo> templateInfoVos = ExcelImportUtil.importExcel(file.getInputStream(), HbqdTemplateInfoVo.class, params);
            if (CollectionUtils.isEmpty(templateInfoVos)) {
                return Result.error("请填写模板数据");
            }
            for (HbqdTemplateInfoVo templateInfoVo : templateInfoVos) {
                if (StringUtils.isBlank(templateInfoVo.getVin()) || templateInfoVo.getVin().length() != 17) {
                    return Result.error("车辆识别码输入错误");
                }
                if (StringUtils.isBlank(templateInfoVo.getFdjNo())) {
                    return Result.error("发动机号不能为空");
                }
                if (templateInfoVo.getProduceDate() == null) {
                    return Result.error("制造日期不能为空");
                }
                if (StringUtils.isBlank(templateInfoVo.getHbCertno())) {
                    return Result.error("环保信息公开编号不能为空");
                }
                //新增校验--导入模板数据之前加校验，如果该企业的数据未确认，则进行提示
                QueryWrapper<SyxyEnvironmentalDataEO> queryWrapper = new QueryWrapper<>();
                queryWrapper.eq(SyxyEnvironmentalDataEO.SYXY_ENVIRONMENTAL_DATA_CREATE_BY_ID,qyId)
                        .eq(SyxyEnvironmentalDataEO.SYXY_ENVIRONMENTAL_DATA_DEL,"0")
                        .eq(SyxyEnvironmentalDataEO.SYXY_ENVIRONMENTAL_DATA_INFO_DISCLOSURE_NO,templateInfoVo.getHbCertno());
                List<SyxyEnvironmentalDataEO> list = service.list(queryWrapper);
                if(list.size() > 0){
                    return Result.error("请先确认环保信息公开编号为：【"+templateInfoVo.getHbCertno()+"】的环保基础数据后再进行导入！");
                }
                //新增校验--企业上传的环保编号对应的车是否是本企业的车
                QueryWrapper<SyxyEnvironmentalDataEO> queryWrapperQyInfo = new QueryWrapper<>();
                queryWrapperQyInfo.eq(SyxyEnvironmentalDataEO.SYXY_ENVIRONMENTAL_DATA_INFO_DISCLOSURE_NO,templateInfoVo.getHbCertno());
                List<SyxyEnvironmentalDataEO> listQyInfo = service.list(queryWrapperQyInfo);
                if(listQyInfo.size() > 0){
                    String qyidByHbbh = listQyInfo.get(0).getCreateById();
                    if(!qyId.equals(qyidByHbbh)){
                        return Result.error("该环保信息公开编号【"+templateInfoVo.getHbCertno()+"】不属于贵企业，如有疑问请联系客服人员！");
                    }
                }
                //新增校验--校验该Vin 对应的环保数据是否已经申报
                String vin = templateInfoVo.getVin();                  // vin
                String fdjNo = templateInfoVo.getFdjNo();             //发动机编号
                Date produceDate = templateInfoVo.getProduceDate();  //制造日期

                QueryWrapper<SyxyModelEnviromentalDataEO> queryHbWrapper = new QueryWrapper<>();
                queryHbWrapper.eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN,vin)
                        .eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN_STATE,"1");
                List<SyxyModelEnviromentalDataEO> hblist = modelEnviromentalDataEOService.list(queryHbWrapper);
                if(hblist.size() > 0){
                    return Result.error("该VIN:【"+vin+"】对应环保信息公开编号的车已经申报！");
                }

                //校验该Vin 对应的合格证数据是否已经申报
//                hgz_status  -- 3 表示 已申报
                QueryWrapper<CertHgzPrintEO> queryHgzWrapper = new QueryWrapper<>();
                queryHgzWrapper.eq(CertHgzPrintEO.CERT_HGZ_PRINT_VEH_CLSBDH,vin).eq("HGZ_STATUS","3");
                List<CertHgzPrintEO> hgzlist = iCertHgzPrintEOService.list(queryHgzWrapper);
                if(hgzlist.size() > 0){
                    return Result.error("该VIN:【"+vin+"】对应合格证编号的车已经申报！");
                }

                //校验该Vin 对应的一致性数据是否已经申报
                //先根据vin查VEHICLE_CERT_VIN对应的ID
                QueryWrapper<VehicleCertEO> querWrapperyz =  new QueryWrapper<>();
                querWrapperyz.eq(VehicleCertEO.VEHICLE_CERT_VIN,vin);
                String yzxid = vehicleCertEOService.getOne(querWrapperyz).getId();
                //根据ID查询申报状态
                QueryWrapper<YzxTemplateDataEO> queryYzWrapper = new QueryWrapper<>();
                queryYzWrapper.eq(YzxTemplateDataEO.ID,yzxid).eq(YzxTemplateDataEO.DECLARE_STATUS  ,"1");
                List<YzxTemplateDataEO> yzlist = yzxTemplateDataEOService.list(queryYzWrapper);
                if(yzlist.size() > 0){
                    return Result.error("该VIN:【"+vin+"】对应一致性证书编号的车已经申报！");
                }

                //校验都通过了，下面看已存在的VIN中发动机编号等是否与之前的一致性！若一致不进行处理，若不一致进行提示，
                //征求用户的建议，是否覆盖之前的信息！！

                //找已存在vin中发动机等信息不能记录的集合，返回给前端！！
                SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
                String formatProduceDate = sdf.format(produceDate);

                QueryWrapper<VehicleCertEO> queryWrapperVinInfo = new QueryWrapper<>();
                queryWrapperVinInfo.eq(VehicleCertEO.VEHICLE_CERT_VIN,templateInfoVo.getVin());
                List<VehicleCertEO> listVinInfo = vehicleCertEOService.list(queryWrapperVinInfo);
                if(listVinInfo.size() > 0 ){
                    ImportVehicleInfoVO importVehicleInfoVO = new ImportVehicleInfoVO();
                    importVehicleInfoVO.setVin(vin);
                    VehicleCertEO vehicleCertEO = listVinInfo.get(0);
                    String fdjNo1 = vehicleCertEO.getFdjNo();
                    Date produceDate1 = vehicleCertEO.getProduceDate();
                    String formatProduceDate1 = sdf.format(produceDate1);
                    if(!fdjNo.equals(fdjNo1) || !formatProduceDate.equals(formatProduceDate1)){
//                        return Result.error("请确保单车信息【发动机编号】、【制造日期】的正确性，此次修改将覆盖已存在的信息！");
                        importVehicleInfoVO.setFdjNoBefore(fdjNo1);
                        importVehicleInfoVO.setFdjNoAfter(fdjNo);
                        importVehicleInfoVO.setProduceDateBefore(formatProduceDate1);
                        importVehicleInfoVO.setProduceDateAfter(formatProduceDate);
                        importVehicleInfoVO.setMessage("请确保单车信息【发动机编号】、【制造日期】的正确性，此次修改将覆盖已存在的信息！");
                        vinList.add(importVehicleInfoVO);
                    }
                }
                //新增校验--vin编号不能重复的问题！
//                QueryWrapper<VehicleCertEO> queryWrapperVinInfo = new QueryWrapper<>();
//                queryWrapperVinInfo.eq(VehicleCertEO.VEHICLE_CERT_VIN,templateInfoVo.getVin());
//                List<VehicleCertEO> listVinInfo = vehicleCertEOService.list(queryWrapperVinInfo);
//                if(listVinInfo.size() > 0 ){
//                    String hbCertno = listVinInfo.get(0).getHbCertno();
//                    if(null!=hbCertno && !"".equals(hbCertno) && !"null".equals(hbCertno)){
//                        return Result.error("VIN【"+templateInfoVo.getVin()+"】已存在，如有疑问请联系客服人员！");
//                    }
//                }
            }
//            return Result.success(service.importHbqdData(templateInfoVos, qyId, name));
            return Result.success(vinList);
        } catch (BusinessException e) {
            return Result.error(e.getMessage());
        } catch (Exception e) {
            logger.error("导入环保清单单车信息失败",e);
            return Result.error("导入环保清单单车信息失败");
        }
    }

    @ApiOperation(value = "|SyxyEnvironmentalDataEO|模板数据导入")
   // @PostMapping(value = "import")   //TODO open
    @PostMapping(value = "import111")  //TODOdel
    public ResponseMessage importTemplateExcel(HttpServletRequest request, @RequestParam("file") MultipartFile file) {
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        String qyId = usermap.get("USERNAME").toString();
        String name = usermap.get("NAME").toString();
        String fileExtension = FileUtil.getFileExtension(file.getOriginalFilename());
        if (!ConstantUrils.EXCEL_TYPE_XLS.equalsIgnoreCase(fileExtension) && !ConstantUrils.EXCEL_TYPE_XLSX.equalsIgnoreCase(fileExtension)) {
            return Result.error("导入文件格式不正确，导入失败");
        }
        ImportParams params = new ImportParams();
        params.setTitleRows(1);
        params.setHeadRows(1);
        try {
            List<String> vinList = new ArrayList<>(); //保存需要用户确认的vin集合
            List<HbqdTemplateInfoVo> templateInfoVos = ExcelImportUtil.importExcel(file.getInputStream(), HbqdTemplateInfoVo.class, params);
            if (CollectionUtils.isEmpty(templateInfoVos)) {
                return Result.error("请填写模板数据");
            }
            return Result.success(service.importNewHbqdData(templateInfoVos, qyId, name));
        } catch (BusinessException e) {
            return Result.error(e.getMessage());
        } catch (Exception e) {
            logger.error("导入环保清单单车信息失败",e);
            return Result.error("导入环保清单单车信息失败");
        }
    }

    @ApiOperation(value = "|SyxyEnvironmentalDataEO|模板数据导入（old废弃）")
    @PostMapping(value = "importOld")
    public ResponseMessage importTemplateExcelOld(HttpServletRequest request, @RequestParam("file") MultipartFile file) {
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        String qyId = usermap.get("USERNAME").toString();
        String name = usermap.get("NAME").toString();
        String fileExtension = FileUtil.getFileExtension(file.getOriginalFilename());
        if (!ConstantUrils.EXCEL_TYPE_XLS.equalsIgnoreCase(fileExtension) && !ConstantUrils.EXCEL_TYPE_XLSX.equalsIgnoreCase(fileExtension)) {
            return Result.error("导入文件格式不正确，导入失败");
        }
        ImportParams params = new ImportParams();
        params.setTitleRows(1);
        params.setHeadRows(1);
        try {
            List<HbqdTemplateInfoVo> templateInfoVos = ExcelImportUtil.importExcel(file.getInputStream(), HbqdTemplateInfoVo.class, params);
            if (CollectionUtils.isEmpty(templateInfoVos)) {
                return Result.error("请填写模板数据");
            }
            for (HbqdTemplateInfoVo templateInfoVo : templateInfoVos) {
                if (StringUtils.isBlank(templateInfoVo.getVin()) || templateInfoVo.getVin().length() != 17) {
                    return Result.error("车辆识别码输入错误");
                }
                if (StringUtils.isBlank(templateInfoVo.getFdjNo())) {
                    return Result.error("发动机号不能为空");
                }
                if (templateInfoVo.getProduceDate() == null) {
                    return Result.error("制造日期不能为空");
                }
                if (StringUtils.isBlank(templateInfoVo.getHbCertno())) {
                    return Result.error("环保信息公开编号不能为空");
                }
                //新增校验--导入模板数据之前加校验，如果该企业的数据未确认，则进行提示
                QueryWrapper<SyxyEnvironmentalDataEO> queryWrapper = new QueryWrapper<>();
                queryWrapper.eq(SyxyEnvironmentalDataEO.SYXY_ENVIRONMENTAL_DATA_CREATE_BY_ID,qyId)
                        .eq(SyxyEnvironmentalDataEO.SYXY_ENVIRONMENTAL_DATA_DEL,"0")
                        .eq(SyxyEnvironmentalDataEO.SYXY_ENVIRONMENTAL_DATA_INFO_DISCLOSURE_NO,templateInfoVo.getHbCertno());
                List<SyxyEnvironmentalDataEO> list = service.list(queryWrapper);
                if(list.size() > 0){
                    return Result.error("请先确认环保信息公开编号为：【"+templateInfoVo.getHbCertno()+"】的环保基础数据后再进行导入！");
                }
                //新增校验--企业上传的环保编号对应的车是否是本企业的车
                QueryWrapper<SyxyEnvironmentalDataEO> queryWrapperQyInfo = new QueryWrapper<>();
                queryWrapperQyInfo.eq(SyxyEnvironmentalDataEO.SYXY_ENVIRONMENTAL_DATA_INFO_DISCLOSURE_NO,templateInfoVo.getHbCertno());
                List<SyxyEnvironmentalDataEO> listQyInfo = service.list(queryWrapperQyInfo);
                if(listQyInfo.size() > 0){
                    String qyidByHbbh = listQyInfo.get(0).getCreateById();
                    if(!qyId.equals(qyidByHbbh)){
                        return Result.error("该环保信息公开编号【"+templateInfoVo.getHbCertno()+"】不属于贵企业，如有疑问请联系客服人员！");
                    }
                }

                //新增校验--vin编号不能重复的问题！
                QueryWrapper<VehicleCertEO> queryWrapperVinInfo = new QueryWrapper<>();
                queryWrapperVinInfo.eq(VehicleCertEO.VEHICLE_CERT_VIN,templateInfoVo.getVin());
                List<VehicleCertEO> listVinInfo = vehicleCertEOService.list(queryWrapperVinInfo);
                if(listVinInfo.size() > 0 ){
                    String hbCertno = listVinInfo.get(0).getHbCertno();
                    if(null!=hbCertno && !"".equals(hbCertno) && !"null".equals(hbCertno)){
                        return Result.error("VIN【"+templateInfoVo.getVin()+"】已存在，如有疑问请联系客服人员！");
                    }
                }
            }
            return Result.success(service.importHbqdData(templateInfoVos, qyId, name));
        } catch (BusinessException e) {
            return Result.error(e.getMessage());
        } catch (Exception e) {
            logger.error("导入环保清单单车信息失败",e);
            return Result.error("导入环保清单单车信息失败");
        }
    }


    @ApiOperation(value = "|确认")
    @GetMapping("confirm")
    public ResponseMessage confirmEnv(String ids) {
        try {
            for(String id:ids.split(",")){
                SyxyEnvironmentalDataEO byId = service.getById(id);
                //先校验是否选择模板
                String templateType = byId.getTemplateType();
                String templateInfo = byId.getTemplateInfo();
                if(null==templateType || "".equals(templateType) || "null".equals(templateType)
                        || null==templateInfo  || "".equals(templateInfo) || "null".equals(templateInfo)){
                    return Result.error("请确认环保编号为"+byId.getInfoDisclosureNo()+"是否选择模板！");
                }
                byId.setDel(BigDecimal.valueOf(1)); // 1 表示已确认
                service.saveOrUpdate(byId);
            }
            return Result.success();
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error(e.getMessage());
        }
    }

    @ApiOperation(value = "|回退")
    @GetMapping("return")
    public ResponseMessage returnEnv(String ids) {
        try {
            for(String id:ids.split(",")){
                SyxyEnvironmentalDataEO byId = service.getById(id);
                byId.setDel(BigDecimal.valueOf(0)); // 0 表示未确认
                service.saveOrUpdate(byId);
            }
            return Result.success();
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error(e.getMessage());
        }
    }


    @ApiOperation(value = "|退回打印数据(已经上传的环保对应的车不能退回)")
    @GetMapping("returnPrint")
    public ResponseMessage returnEnvPrint(String ids) {
        try {
            for(String id:ids.split(",")){
                SyxyEnvironmentalDataEO byId = service.getById(id);
                //先校验该基础数据对应的多个vin车是否有已经上传的车型，如果有，则不能退回！ pdfState; // pdf报送状态;0否1是 (自己的理解)
                //先校验该基础数据对应的多个vin车是否有已经已经【vin已经报送的车】，如果有，则不能退回！(找刘芳确认后的)

               QueryWrapper<SyxyModelEnviromentalDataEO> queryWrapper = new QueryWrapper<>();
                queryWrapper.eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_INFO_DISCLOSURE_NO,byId.getInfoDisclosureNo())
                            .eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN_STATE,"1");
                List<SyxyModelEnviromentalDataEO> list = modelEnviromentalDataEOService.list(queryWrapper);
                if(list.size() > 0){
                    return Result.error("该环保信息公开编号有VIN报送的车，不能退回！");
                }
                //开始进行退回操作！
                //1、先判断该环保编号对应的vin车中是否有已经【vin已经报送的车】，如果有则进行退回。（old）
                //private Integer vinState; // vin报送状态;0否1是
                //2、退回已经打印的车，并记录该车的数据
                //2.1 删除之前先对要删除车型数据进行备份
                QueryWrapper<SyxyModelEnviromentalDataEO> queryWrapperBackup = new QueryWrapper<>();
                queryWrapperBackup.eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_INFO_DISCLOSURE_NO,byId.getInfoDisclosureNo());
                List<SyxyModelEnviromentalDataEO> listBackup = modelEnviromentalDataEOService.list(queryWrapperBackup);
                for(SyxyModelEnviromentalDataEO modelEnviromentalDataEO : listBackup){
                    //开始进行备份 syxy_model_enviromental_log
                    SyxyModelEnviromentalLogEO modelEnviromentalLogEO = new SyxyModelEnviromentalLogEO();
                    BeanUtils.copyProperties(modelEnviromentalDataEO,modelEnviromentalLogEO);
                    modelEnviromentalLogEOService.save(modelEnviromentalLogEO);
                }
                //2.2开始进行删除操作
                QueryWrapper<SyxyModelEnviromentalDataEO> queryWrapperDel = new QueryWrapper<>();
                queryWrapperDel.eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_INFO_DISCLOSURE_NO,byId.getInfoDisclosureNo());
                modelEnviromentalDataEOService.remove(queryWrapperDel);
                //3、修改基础数据状态
                byId.setDel(BigDecimal.valueOf(0)); // 0 表示未确认
                service.saveOrUpdate(byId);
            }
            return Result.success();
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error(e.getMessage());
        }
    }




    @ApiOperation(value = "|SyxyEnvironmentalAllDataEO|根据排放标准选择模板", notes = "vdaims:syxyenvironmentaldata:getTemplate")
    @GetMapping("environmentalTemplate")
    public ResponseMessage<List<TemplateInfoVO>> getTemplate(String pfbz) {
        try {
            List<TemplateInfoVO> TemplateInfoVOList = new ArrayList<>();
            QueryWrapper<SyxyEnviromentPrintTemplateEO> queryWrapper = new QueryWrapper<>();

            if(null!= pfbz && !"".equals(pfbz) && !"null".equals(pfbz)){
                queryWrapper.eq(SyxyEnviromentPrintTemplateEO.SYXY_ENVIROMENT_PRINT_TEMPLATE_TEMPLATE_KIND,"1")
                        .like(SyxyEnviromentPrintTemplateEO.SYXY_ENVIROMENT_PRINT_TEMPLATE_TEMPLATE_NAMER,pfbz);
            }else{
                queryWrapper.eq(SyxyEnviromentPrintTemplateEO.SYXY_ENVIROMENT_PRINT_TEMPLATE_TEMPLATE_KIND,"1");
            }
            List<SyxyEnviromentPrintTemplateEO> list = printTemplateEOService.list(queryWrapper);
            for(SyxyEnviromentPrintTemplateEO printTemplateEO : list){
                TemplateInfoVO templateInfoVO = new TemplateInfoVO();
                templateInfoVO.setTemplateType(printTemplateEO.getTemplateType());
                templateInfoVO.setTemplateTypeName(printTemplateEO.getTemplateNamer());
                TemplateInfoVOList.add(templateInfoVO);
            }
            return Result.success(TemplateInfoVOList);
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error(e.getMessage());
        }
    }

    @ApiOperation(value = "|SyxyEnvironmentalAllDataEO|根据模板名称选择模板名称对应的头内容", notes = "vdaims:syxyenvironmentaldata:getTemplateHeadInfo")
    @GetMapping("environmentalTemplateHeadInfo")
    public ResponseMessage<TemplateInfoVO> getTemplateHeadInfo(HttpServletRequest request,String template) {
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        String qyId = usermap.get("USERNAME").toString();
        String qyname = usermap.get("NAME").toString();  //TODO open
//        String qyname = "安徽江淮汽车集团股份有限公司"; //TODO del
        try {
            QueryWrapper<SyxyEnviromentPrintTemplateEO> queryWrapper = new QueryWrapper<>();
                queryWrapper.eq(SyxyEnviromentPrintTemplateEO.SYXY_ENVIROMENT_PRINT_TEMPLATE_TEMPLATE_KIND,"1")
                        .eq(SyxyEnviromentPrintTemplateEO.SYXY_ENVIROMENT_PRINT_TEMPLATE_TEMPLATE_TYPE,template);
            List<SyxyEnviromentPrintTemplateEO> list = printTemplateEOService.list(queryWrapper);
            SyxyEnviromentPrintTemplateEO printTemplateEO = null;
            TemplateInfoVO templateInfoVO = new TemplateInfoVO();
               if(list.size() > 0 ){
                   printTemplateEO = list.get(0);
                   templateInfoVO.setTemplateType(printTemplateEO.getTemplateType());
                   templateInfoVO.setTemplateTypeName(printTemplateEO.getTemplateNamer());
                   templateInfoVO.setTemplateInfo(qyname + printTemplateEO.getTemplateInfo());
               }
            return Result.success(templateInfoVO);
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error(e.getMessage());
        }
    }




    @Override
    protected IBaseService<SyxyEnvironmentalDataEO> getService() {

        return service;
    }

    @Override
    protected void verifyQuery(Query<SyxyEnvironmentalDataEO> queryItem) {

    }

    @Override
    protected void verifySaveData(SyxyEnvironmentalDataEO data) {

    }

    @Override
    protected void verifyUpdateData(SyxyEnvironmentalDataEO data) {

    }

    @Override
    protected void verifyDeleteId(Serializable... ids) {

    }
}
