package com.adc.da.vdaims.controller;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;
import javax.validation.constraints.NotNull;
import com.adc.da.mp.base.IBaseService;
import com.adc.da.mp.base.Query;
import com.adc.da.util.http.PageInfo;
import com.adc.da.util.http.ResponseMessage;
import com.adc.da.util.http.Result;
import com.adc.da.vdaims.entity.SyxyInspectionInformationEO;
import com.adc.da.vdaims.service.ISyxyInspectionInformationEOService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import static org.springframework.http.MediaType.APPLICATION_JSON_VALUE;
import org.springframework.web.bind.annotation.RequestMapping;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;
import com.adc.da.mp.base.BaseController;

/**
 * <p>
 *  前端控制器
 * </p>
 * 作者 gen
 * 日期 2021-08-26
 */
@RestController
@RequestMapping("/${restPath}/vdaims/syxyInspectionInformation")
@Api(tags = "|SyxyInspectionInformationEO|")
public class SyxyInspectionInformationEOController extends BaseController<SyxyInspectionInformationEO> {
    private static final Logger logger = LoggerFactory.getLogger(SyxyInspectionInformationEOController.class);

    @Autowired
    private ISyxyInspectionInformationEOService service;

    @ApiOperation(value = "|SyxyInspectionInformationEO|列表查询", notes = "vdaims:syxyinspectioninformation:list")
    @PostMapping(value = "list", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyinspectioninformation:list")
    public ResponseMessage<List<SyxyInspectionInformationEO>> getList(@RequestBody Query<SyxyInspectionInformationEO> query) {

        return Result.success(super.list(query));
    }

    @ApiOperation(value = "|SyxyInspectionInformationEO|分页查询", notes = "vdaims:syxyinspectioninformation:page")
    @PostMapping(value = "page", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyinspectioninformation:page")
    public ResponseMessage<PageInfo<SyxyInspectionInformationEO>> getPage(@RequestBody Query<SyxyInspectionInformationEO> query) {

        return Result.success(getPageInfo(super.page(query)));
    }

    @ApiOperation(value = "|SyxyInspectionInformationEO|详情", notes = "vdaims:syxyinspectioninformation:get")
    @GetMapping("{id}")
    //@RequiresPermissions("vdaims:syxyinspectioninformation:get")
    public ResponseMessage<SyxyInspectionInformationEO> get(@NotNull @PathVariable Serializable id) {

        return Result.success(super.getById(id));
    }

    @ApiOperation(value = "|SyxyInspectionInformationEO|新增", notes = "vdaims:syxyinspectioninformation:save")
    @PostMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyinspectioninformation:save")
    public ResponseMessage<SyxyInspectionInformationEO> create(@RequestBody SyxyInspectionInformationEO data) {

        return Result.success(super.save(data));
    }

    @ApiOperation(value = "|SyxyInspectionInformationEO|修改", notes = "vdaims:syxyinspectioninformation:update")
    @PutMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyinspectioninformation:update")
    public ResponseMessage<SyxyInspectionInformationEO> modify(@RequestBody SyxyInspectionInformationEO data) {

        return Result.success(super.update(data));
    }

    @ApiOperation(value = "|SyxyInspectionInformationEO|批量删除", notes = "vdaims:syxyinspectioninformation:delete")
    @DeleteMapping("{ids}")
    //@RequiresPermissions("vdaims:syxyinspectioninformation:delete")
    public ResponseMessage delete(@NotNull @PathVariable Serializable... ids) {

         return Result.success(super.deleteBatchIds(ids));
    }

    @Override
    protected IBaseService<SyxyInspectionInformationEO> getService() {

        return service;
    }

    @Override
    protected void verifyQuery(Query<SyxyInspectionInformationEO> queryItem) {

    }

    @Override
    protected void verifySaveData(SyxyInspectionInformationEO data) {

    }

    @Override
    protected void verifyUpdateData(SyxyInspectionInformationEO data) {

    }

    @Override
    protected void verifyDeleteId(Serializable... ids) {

    }
}
