package com.adc.da.vdaims.controller;

import java.io.*;
import java.lang.reflect.InvocationTargetException;
import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.validation.constraints.NotNull;

import cn.afterturn.easypoi.excel.entity.ExportParams;
import cn.afterturn.easypoi.excel.entity.enmus.ExcelType;
import com.adc.da.mp.base.IBaseService;
import com.adc.da.mp.base.Query;
import com.adc.da.util.http.PageInfo;
import com.adc.da.util.http.ResponseMessage;
import com.adc.da.util.http.Result;
import com.adc.da.util.utils.ExcelUtils;
import com.adc.da.vdaims.entity.*;
import com.adc.da.vdaims.service.*;
import com.adc.da.vdaims.service.impl.VehicleCertEOServiceImpl;
import com.adc.da.vdaims.util.AjaxJson;
import com.adc.da.vdaims.util.ResourceUtil;
import com.adc.da.vdaims.util.StringUtil;
import com.adc.da.vdaims.util.TemplateKindEnum;
import com.adc.da.vdaims.webservice.environmental.WSXEnvironmentalUtils;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.thoughtworks.xstream.XStream;
import org.apache.commons.lang3.StringUtils;
import org.apache.poi.ss.usermodel.Workbook;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import static org.springframework.http.MediaType.APPLICATION_JSON_VALUE;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import com.adc.da.mp.base.BaseController;

/**
 * <p>
 *  前端控制器
 * </p>
 * 作者 gen
 * 日期 2021-08-30
 */
@RestController
@RequestMapping("/${restPath}/vdaims/syxyModelEnviromentalData")
@Api(tags = "|SyxyModelEnviromentalDataEO|环保证书打印")
public class SyxyModelEnviromentalDataEOController extends BaseController<SyxyModelEnviromentalDataEO> {
    private static final Logger logger = LoggerFactory.getLogger(SyxyModelEnviromentalDataEOController.class);

    @Autowired
    private ISyxyModelEnviromentalDataEOService service;

    @Autowired
    private ISyxyInspectionInformationEOService inspectionInformationEOService;
    @Autowired
    private ISyxyAccountSetEOService iSyxyAccountSetEOService;
   @Autowired
   private IVehicleCertEOService vehicleCertEOService;
    @Autowired
    private ISyxyModelEnviromentalDataEOService modelEnviromentalDataEOService;
    @Autowired
    private IYzxTemplateDataEOService yzxTemplateDataEOService;
    @Autowired
    private ICertHgzPrintEOService iCertHgzPrintEOService;
    @Autowired
    private ISyxyEnvironmentalDataEOService syxyEnvironmentalDataEOService;


    @ApiOperation(value = "|SyxyModelEnviromentalDataEO|列表查询", notes = "vdaims:syxymodelenviromentaldata:list")
    @PostMapping(value = "list", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxymodelenviromentaldata:list")
    public ResponseMessage<List<SyxyModelEnviromentalDataEO>> getList(@RequestBody Query<SyxyModelEnviromentalDataEO> query) {
        return Result.success(service.modelEnviromentalList(query));
    }

    @ApiOperation(value = "|SyxyModelEnviromentalDataEO|分页查询", notes = "vdaims:syxymodelenviromentaldata:page")
    @PostMapping(value = "page", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxymodelenviromentaldata:page")
    public ResponseMessage<PageInfo<SyxyModelEnviromentalDataEO>> getPage(@RequestBody Query<SyxyModelEnviromentalDataEO> query) {
        return Result.success(getPageInfo(service.modelEnviromentpage(query)));
    }

    @ApiOperation(value = "|SyxyModelEnviromentalDataEO|详情", notes = "vdaims:syxymodelenviromentaldata:get")
    @GetMapping("{vin}")
    //@RequiresPermissions("vdaims:syxymodelenviromentaldata:get")
    public ResponseMessage<SyxyModelEnviromentalDataEO> get(@NotNull @PathVariable Serializable vin) {
        SyxyModelEnviromentalDataEO envPrintData= null;
        QueryWrapper<SyxyModelEnviromentalDataEO> queryWrapperOne = new QueryWrapper();
        queryWrapperOne.eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN,vin);
        List<SyxyModelEnviromentalDataEO> listOne = service.list(queryWrapperOne);
        if(listOne.size() > 0){
            envPrintData =listOne.get(0);
        }
        return Result.success(envPrintData);
    }

    @ApiOperation(value = "|SyxyModelEnviromentalDataEO|新增", notes = "vdaims:syxymodelenviromentaldata:save")
    @PostMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxymodelenviromentaldata:save")
    public ResponseMessage<SyxyModelEnviromentalDataEO> create(@RequestBody SyxyModelEnviromentalDataEO data) {

        return Result.success(super.save(data));
    }

    @ApiOperation(value = "|SyxyModelEnviromentalDataEO|修改", notes = "vdaims:syxymodelenviromentaldata:update")
    @PutMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxymodelenviromentaldata:update")
    public ResponseMessage<SyxyModelEnviromentalDataEO> modify(@RequestBody SyxyModelEnviromentalDataEO data) {
        Date produceDate = data.getProduceDate();
        System.out.println(produceDate);
        return Result.success(service.updateEnviromentalData(data));
    }

    @ApiOperation(value = "|校验环保数据")
    @GetMapping("verifyEnvData")
    public ResponseMessage verifyEnvData(@RequestBody SyxyModelEnviromentalDataEO enviromentalDataEO) {
            try {
            //如果修改的单车信息与库里同一个vin信息的【发动机编号  制造日期、（车身颜色--一致性）】不一致，
            //提示：请确保单车信息的正确性，此次修改将覆盖已存在的信息。前提：vin未报送/未上传（三个模块的）；已上传的不能进行修改！）
             //TODO open
            String vin = enviromentalDataEO.getVin();                  // vin
            String fdjNo = enviromentalDataEO.getFdjNo();             //发动机编号
            Date produceDate = enviromentalDataEO.getProduceDate();  //制造日期

            //TODO del
//            String vin ="LNBRCFHK2LB630802";
//            String fdjNo ="30TC1AF00611999";
//            Date produceDate = new Date();

            //校验该Vin 对应的环保数据是否已经申报
                QueryWrapper<SyxyModelEnviromentalDataEO> queryWrapper = new QueryWrapper<>();
                queryWrapper.eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN,vin)
                        .eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN_STATE,"1");
                List<SyxyModelEnviromentalDataEO> hblist = modelEnviromentalDataEOService.list(queryWrapper);
                if(hblist.size() > 0){
                    return Result.error("该VIN对应环保信息公开编号的车已经申报！");
                }

                //校验该Vin 对应的一致性数据是否已经申报
                //先根据vin查VEHICLE_CERT_VIN对应的ID
                QueryWrapper<VehicleCertEO> querWrapperyz =  new QueryWrapper<>();
                querWrapperyz.eq(VehicleCertEO.VEHICLE_CERT_VIN,vin);  //TODO open
//                querWrapperyz.eq(VehicleCertEO.VEHICLE_CERT_VIN,"LNBRCFHK2LB630900");  //TODO del
                String yzxid = vehicleCertEOService.getOne(querWrapperyz).getId();
                //根据ID查询申报状态
                QueryWrapper<YzxTemplateDataEO> queryYzWrapper = new QueryWrapper<>();
                queryYzWrapper.eq(YzxTemplateDataEO.ID,yzxid).eq(YzxTemplateDataEO.DECLARE_STATUS  ,"1"); //TODO open
//                queryYzWrapper.eq(YzxTemplateDataEO.ID,yzxid).eq(YzxTemplateDataEO.DECLARE_STATUS  ,"0"); //TODO del
                List<YzxTemplateDataEO> yzlist = yzxTemplateDataEOService.list(queryYzWrapper);
                if(yzlist.size() > 0){
                    return Result.error("该VIN对应一致性证书编号的车已经申报！");
                }
                //校验该Vin 对应的合格证数据是否已经申报
//                hgz_status  -- 3 表示 已申报
//                select hgz_status from cert_hgz_print where veh_clsbdh = 'LF0E5HSE6K0005557'
                QueryWrapper<CertHgzPrintEO> queryHgzWrapper = new QueryWrapper<>();
                queryHgzWrapper.eq(CertHgzPrintEO.CERT_HGZ_PRINT_VEH_CLSBDH,vin).eq("HGZ_STATUS","3");   //TODO open
//                queryHgzWrapper.eq(CertHgzPrintEO.CERT_HGZ_PRINT_VEH_CLSBDH,"LF0E5HSE6K0005557").eq("HGZ_STATUS","1"); //TODO del
                List<CertHgzPrintEO> hgzlist = iCertHgzPrintEOService.list(queryHgzWrapper);
                if(hgzlist.size() > 0){
                    return Result.error("该VIN对应合格证编号的车已经申报！");
                }

            //根据vin获取 NERDS.VEHICLE_CERT 中 发动机编号  制造日期 信息
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
            String formatProduceDate = sdf.format(produceDate);
            QueryWrapper<VehicleCertEO> queryVehicleCertEOWrapper =  new QueryWrapper<>();
            queryVehicleCertEOWrapper.eq(VehicleCertEO.VEHICLE_CERT_VIN,vin);
            List<VehicleCertEO> list = vehicleCertEOService.list(queryVehicleCertEOWrapper);

           if(list.size()>0){
                VehicleCertEO vehicleCertEO = list.get(0);
                String fdjNo1 = vehicleCertEO.getFdjNo();
                Date produceDate1 = vehicleCertEO.getProduceDate();
                String formatProduceDate1 = sdf.format(produceDate1);
                if(!fdjNo.equals(fdjNo1) || !formatProduceDate.equals(formatProduceDate1)){
                    return Result.error("请确保单车信息【发动机编号】、【制造日期】的正确性，此次修改将覆盖已存在的信息！");
                }
            }
            return Result.success();
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error(e.getMessage());
        }
    }

    @ApiOperation(value = "|同步环保合格证一致性数据")
    @GetMapping("syncEnvHgzYzxData")
    public ResponseMessage syncEnvHgzYzxData(String vin,String fdjNo,Date produceDate,String vehicleColor) {
        try {
            return Result.success(syxyEnvironmentalDataEOService.syncEnvHgzYzxData(vin,fdjNo,produceDate,vehicleColor));
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error(e.getMessage());
        }
    }


    @ApiOperation(value = "|校验合格证/一致性数据")
    @GetMapping("verifyHgzYzxData")
    public ResponseMessage verifyHgzYzxData(String vin,String fdjNo,Date produceDate,String vehicleColor) {
        try {
            //如果修改的单车信息与库里同一个vin信息的【发动机编号  制造日期、（车身颜色--一致性）】不一致，
            //提示：请确保单车信息的正确性，此次修改将覆盖已存在的信息。前提：vin未报送/未上传（三个模块的）；已上传的不能进行修改！）
            //校验该Vin 对应的环保数据是否已经申报
            QueryWrapper<SyxyModelEnviromentalDataEO> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN,vin)
                    .eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN_STATE,"1");
            List<SyxyModelEnviromentalDataEO> hblist = modelEnviromentalDataEOService.list(queryWrapper);
            if(hblist.size() > 0){
                return Result.error("该VIN对应环保信息公开编号的车已经申报，不能退回！");
            }
            //校验该Vin 对应的一致性数据是否已经申报
            //先根据vin查VEHICLE_CERT_VIN对应的ID
            QueryWrapper<VehicleCertEO> querWrapperyz =  new QueryWrapper<>();
            querWrapperyz.eq(VehicleCertEO.VEHICLE_CERT_VIN,vin);
            String yzxid = vehicleCertEOService.getOne(querWrapperyz).getId();
            //根据ID查询申报状态
            QueryWrapper<YzxTemplateDataEO> queryYzWrapper = new QueryWrapper<>();
            queryYzWrapper.eq(YzxTemplateDataEO.ID,yzxid).eq(YzxTemplateDataEO.DECLARE_STATUS  ,"1");
            List<YzxTemplateDataEO> yzxlist = yzxTemplateDataEOService.list(queryYzWrapper);
            if(yzxlist.size() > 0){
                return Result.error("该VIN对应一致性证书编号的车已经申报，不能退回！");
            }
            //校验该Vin 对应的合格证数据是否已经申报
//                hgz_status  -- 3 表示 已申报
//                select hgz_status from cert_hgz_print where veh_clsbdh = 'LF0E5HSE6K0005557'
            QueryWrapper<CertHgzPrintEO> queryHgzWrapper = new QueryWrapper<>();
                queryHgzWrapper.eq(CertHgzPrintEO.CERT_HGZ_PRINT_VEH_CLSBDH,vin).eq("HGZ_STATUS","3");
            List<CertHgzPrintEO> hgzlist = iCertHgzPrintEOService.list(queryHgzWrapper);
            if(hgzlist.size() > 0){
                return Result.error("该VIN对应合格证编号的车已经申报，不能退回！");
            }

            //根据vin获取 NERDS.VEHICLE_CERT 中 发动机编号、制造日期、车身颜色等信息，并校验是否一致！
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
            String formatProduceDate = sdf.format(produceDate);
            QueryWrapper<VehicleCertEO> queryVehicleCertEOWrapper =  new QueryWrapper<>();
            queryVehicleCertEOWrapper.eq(VehicleCertEO.VEHICLE_CERT_VIN,vin);
            List<VehicleCertEO> list = vehicleCertEOService.list(queryVehicleCertEOWrapper);

            if(list.size()>0){
                //获取发动机编号、制造日期、车身颜色等信息
                VehicleCertEO vehicleCertEO = list.get(0);
                String fdjNo1 = vehicleCertEO.getFdjNo();
                Date produceDate1 = vehicleCertEO.getProduceDate();
                String vehicleColor1 = vehicleCertEO.getVehicleColor();
                String formatProduceDate1 = sdf.format(produceDate1);
                //校验是否一致
                if(!fdjNo.equals(fdjNo1) || !formatProduceDate.equals(formatProduceDate1) || !vehicleColor.equals(vehicleColor1)){
                    return Result.error("请确保单车信息【发动机编号】、【制造日期】、【车身颜色】的正确性，此次修改将覆盖已存在的信息！");
                }
            }
            return Result.success();
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error(e.getMessage());
        }
    }


    @ApiOperation(value = "|SyxyModelEnviromentalDataEO|批量删除", notes = "vdaims:syxymodelenviromentaldata:delete")
    @DeleteMapping("{ids}")
    //@RequiresPermissions("vdaims:syxymodelenviromentaldata:delete")
    public ResponseMessage delete(@NotNull @PathVariable Serializable... ids) {

         return Result.success(super.deleteBatchIds(ids));
    }

    @ApiOperation(value = "|确认")
    @GetMapping("confirm")
    public ResponseMessage exportLog(String ids) {
        try {
            for(String id:ids.split(",")){
                SyxyModelEnviromentalDataEO byId = service.getById(id);
                byId.setConfirmStatus("1");
                service.saveOrUpdate(byId);
            }
            return Result.success();
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error(e.getMessage());
        }
    }

    @ApiOperation(value = "|环保证书预览")
    @GetMapping("environmentalProtectionView")
    public ResponseMessage<PrintInfoVO> environmentalProtectionView(HttpServletRequest request,String vins) {
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        String qyId = usermap.get("USERNAME").toString();
        String qyname = usermap.get("NAME").toString();
//        String qyId = "JH120006";
//        String qyname = "安徽江淮汽车集团股份有限公司";

        Integer printFlag = 6; //表示预览打印
        PrintInfoVO printInfoVO = new PrintInfoVO();
        List<String> pathList = new ArrayList<>();
        String pdfpath = "";
        String message="";
        String idNames="";
      //  vins = "LNBRCFHK2LB630999"; //TODO del
        try {
            // ids 为 vin的集合
            for(String id:vins.split(",")){
//            EnvironmentalPrintEntity envPrintData=environmentalPrintService.getEntity(EnvironmentalPrintEntity.class,id);

                //SyxyModelEnviromentalDataEO envPrintData= service.getById(id);
                SyxyModelEnviromentalDataEO envPrintData= null;
                QueryWrapper<SyxyModelEnviromentalDataEO> queryWrapperOne = new QueryWrapper();
                queryWrapperOne.eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN,id);
                List<SyxyModelEnviromentalDataEO> listOne = service.list(queryWrapperOne);
                if(listOne.size() > 0){
                    envPrintData =listOne.get(0);
                }

                //不是一键打印，不是预览，合格证没有打印的时候
			/*if (!"1".equals(allPrint) && previewFlag == null && !isPrint(envPrintData)) {
				message += "车辆识别代号为"+envPrintData.getVehicleIdentificationNumber()+"合格证还未打印！<br>";
				continue;
			}*/
                //获取生产同步数据与基础数据
                //获取生产同步数据与基础数据
//            ProduceEntity produceData = produceService.getProducet(envPrintData.getVehicleNo());
//            List<ModelCertificateDataEntity> modelEntity=modelservice.getModelCertData(envPrintData.getFastOutputNumber());
                //----------------------
                //根据环保随车清单里的车辆型号和合同编号匹配环保信息公开基础数据
                /*ModelEnviromentalDataEntity environmentalInfoData=environmentalPrintService.getEnvironmentalInfoDataByFastOutputNumber(envPrintData.getFastOutputNumber());*/
//            ModelEnviromentalDataEntity environmentalInfoData = environmentalPrintService.getEnvironmentalInfoDataByInfoDisclosureNo(envPrintData.getInfoDisclosureNo());

                QueryWrapper<SyxyModelEnviromentalDataEO> queryWrapperEnviromentalData = new QueryWrapper();
                queryWrapperEnviromentalData.eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN,id);
                List<SyxyModelEnviromentalDataEO> list = service.list(queryWrapperEnviromentalData);
                SyxyModelEnviromentalDataEO environmentalInfoData = null;
                if(list.size() > 0){
                    environmentalInfoData =list.get(0);
                }
                //SyxyModelEnviromentalDataEO environmentalInfoData = service.getById(id);
                //判断是否找到匹配的基础数据
                if(environmentalInfoData != null){
                    //判断当前基础是否为暂停打印：0为暂停打印 ；1为正常打印
                    if(environmentalInfoData.getPrintSwitch().intValue() == 1){
                        //根据找到的对应的环保信息公开基础数据里的车型款式找到与之对应的适用车型模板
                        String templatePath="";
                      //  if(null == previewFlag){  //不是预览（查找打印模板）
                            templatePath=service.getTemplatePath(environmentalInfoData.getTemplateType(), TemplateKindEnum.PRINT.getValue());
                     //   }else{    //是预览（查找上传打印模板）
                       //     templatePath=service.getTemplatePath(environmentalInfoData.getVehicleDesign(),TemplateKindEnum.UPLOAD.getValue());
                     //   }
                        //先获取型式检验信息
                        // 根据对应的环保信息公开基础数据的id找到对应的型式检验信息
                        // String sql="select * from syxy_inspection_information where ENVIRONMENTAL_ID =? order by ORDER_NUMBER";
                        QueryWrapper<SyxyInspectionInformationEO> queryWrapper = new QueryWrapper<>();
                        queryWrapper.eq(SyxyInspectionInformationEO.SYXY_INSPECTION_INFORMATION_ENVIRONMENTAL_ID,environmentalInfoData.getId());
                        List<SyxyInspectionInformationEO> informations = inspectionInformationEOService.list(queryWrapper);

                        //拼接对应的型式检验信息
//                    List<TypeInspectionInformationEntity> informations=environmentalPrintService.getInformationsOnData(environmentalInfoData.getBasedOnStandard(),environmentalInfoData.getDetectionMechanism(),environmentalInfoData.getTestConclusion());

                        if(StringUtils.isNotEmpty(templatePath)){
                            String fileName=templatePath.substring(0,templatePath.indexOf("|"));
                            String filePath= ResourceUtil.getConfigByName("realpath")+fileName;
                            File file=new File(filePath);
                            if(!file.exists()){
//                            message +="环保证书车辆识别代号为"+envPrintData.getVehicleIdentificationNumber()+"的模板已损坏<br>";
                                message +="环保证书车辆识别代号为"+envPrintData.getVin()+"的模板已损坏<br>";
                                return Result.error(message);
                            }else{
                                try{
                                    //判断国五还是国六
                                    if(environmentalInfoData.getDischargeStage() !=null && environmentalInfoData.getDischargeStage().equals("国六")) {
                                        /*根据新增的车辆识别代号生成二维码*/
//                                    environmentalPrintService.createQRCodeSIX(envPrintData.getVehicleIdentificationNumber());
                                        service.createQRCodeSIX(envPrintData.getVin());

                                        /*根据新增的车辆识别代号生成条形码*/
//                                    environmentalPrintService.createBarCodeSix(envPrintData.getVehicleIdentificationNumber());
                                        service.createBarCodeSix(envPrintData.getVin());

                                    }else {
                                        /*根据新增的车辆识别代号生成二维码*/
//                                    environmentalPrintService.createQRCode(envPrintData.getVehicleIdentificationNumber());
                                        service.createQRCode(envPrintData.getVin());
                                        /*根据新增的车辆识别代号生成条形码*/
//                                    environmentalPrintService.createBarCode(envPrintData.getVehicleIdentificationNumber());
                                        service.createBarCode(envPrintData.getVin());
                                    }

//                                String m = environmentalPrintService.createWord(envPrintData, environmentalInfoData, informations,templatePath,previewFlag);
                                    String type = "1";  //1 表示打印；2表示上传
                                    String m = service.createWord(envPrintData, environmentalInfoData, informations,templatePath,printFlag,qyname,qyId,type);
                                    //printInfoVO.setPdfPath(m);
                                    pathList.add(m);
                                    if(m == ""){
                                        idNames += envPrintData.getId()+",";
                                    }else{
                                        message +="环保证书车辆识别代号为"+envPrintData.getVin()+m+"<br>";
                                    }
                                }catch(IllegalArgumentException e){
                                    message +="环保证书车辆识别代号为"+envPrintData.getVin()+"不能为中文，请重新输入!<br>";
                                    e.printStackTrace();
                                    return Result.error(message);
                                }
                            }
                        }else{
                            message += "环保证书车辆识别代号为"+envPrintData.getVin()+"未上传模板！<br>";
                            return Result.error(message);
                        }
                    }else{
                        message += "环保证书车辆识别代号为"+envPrintData.getVin()+"已暂停打印！<br>";
                        return Result.error(message);
                    }
                }else{
                    message += "环保证书车辆识别代号为"+envPrintData.getVin()+"基础数据缺失！<br>";
                    return Result.error(message);
                }
                //修改状态位
                SyxyModelEnviromentalDataEO enviromentalDataEO = null;
                QueryWrapper<SyxyModelEnviromentalDataEO> queryWrapperTwo = new QueryWrapper();
                queryWrapperTwo.eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN,id);
                List<SyxyModelEnviromentalDataEO> listTwo = service.list(queryWrapperTwo);
                if(listTwo.size() > 0){
                    enviromentalDataEO =listOne.get(0);
                }

                // SyxyModelEnviromentalDataEO enviromentalDataEO = service.getById(id);
                //enviromentalDataEO.setPrintStatus(previewFlag+""); //0:未打印 1：参考打印 2：已经打印
                service.saveOrUpdate(enviromentalDataEO);
            }
            printInfoVO.setPdfPath(pathList);
            printInfoVO.setMessage(message);
            return Result.success(printInfoVO);
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error(message);
        }
    }

    @ApiOperation(value = "|环保证书打印")
    @GetMapping("environmentalProtectionPrint")
    //vins:LNBRCFHK2LB630999    previewFlag 0:未打印 1：参考打印 2：已经打印     printType:  1 表示打印， 2表示上传打印
    public ResponseMessage<PrintInfoVO> environmentalProtectionPrint(HttpServletRequest request,String vins, Integer previewFlag, String printType) {
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        String qyId = usermap.get("USERNAME").toString(); //TODO open
        String qyname = usermap.get("NAME").toString(); //TODO open
//        String qyname ="安徽江淮汽车集团股份有限公司";     //TODO del
//        String qyId = "JH120006";
        PrintInfoVO printInfoVO = new PrintInfoVO();
        List<String> pathList = new ArrayList<>();
        String pdfpath = "";
        String message="";
        String idNames="";
       // vins = "LNBRCFHK2LB630999"; //TODO del
        try {
            // ids 为 vin的集合
            for(String vin:vins.split(",")){
//            EnvironmentalPrintEntity envPrintData=environmentalPrintService.getEntity(EnvironmentalPrintEntity.class,id);
                //SyxyModelEnviromentalDataEO envPrintData= service.getById(id);
                SyxyModelEnviromentalDataEO envPrintData= null;
                QueryWrapper<SyxyModelEnviromentalDataEO> queryWrapperOne = new QueryWrapper();
                queryWrapperOne.eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN,vin);
                List<SyxyModelEnviromentalDataEO> listOne = service.list(queryWrapperOne);
                if(listOne.size() > 0){
                    envPrintData =listOne.get(0);
                }

                //不是一键打印，不是预览，合格证没有打印的时候
			/*if (!"1".equals(allPrint) && previewFlag == null && !isPrint(envPrintData)) {
				message += "车辆识别代号为"+envPrintData.getVehicleIdentificationNumber()+"合格证还未打印！<br>";
				continue;
			}*/
                //获取生产同步数据与基础数据
                //获取生产同步数据与基础数据
//            ProduceEntity produceData = produceService.getProducet(envPrintData.getVehicleNo());
//            List<ModelCertificateDataEntity> modelEntity=modelservice.getModelCertData(envPrintData.getFastOutputNumber());
                //----------------------
                //根据环保随车清单里的车辆型号和合同编号匹配环保信息公开基础数据
                /*ModelEnviromentalDataEntity environmentalInfoData=environmentalPrintService.getEnvironmentalInfoDataByFastOutputNumber(envPrintData.getFastOutputNumber());*/
//            ModelEnviromentalDataEntity environmentalInfoData = environmentalPrintService.getEnvironmentalInfoDataByInfoDisclosureNo(envPrintData.getInfoDisclosureNo());

               QueryWrapper<SyxyModelEnviromentalDataEO> queryWrapperEnviromentalData = new QueryWrapper();
                queryWrapperEnviromentalData.eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN,vin);
                List<SyxyModelEnviromentalDataEO> list = service.list(queryWrapperEnviromentalData);
                SyxyModelEnviromentalDataEO environmentalInfoData = null;
                if(list.size() > 0){
                    environmentalInfoData =list.get(0);
                }
                //SyxyModelEnviromentalDataEO environmentalInfoData = service.getById(id);
                //判断是否找到匹配的基础数据
                if(environmentalInfoData != null){
                    //判断当前基础是否为暂停打印：0为暂停打印 ；1为正常打印
                    if(environmentalInfoData.getPrintSwitch().intValue() == 1){
                        //根据找到的对应的环保信息公开基础数据里的车型款式找到与之对应的适用车型模板
                        String templatePath="";
                  //      if(null == previewFlag){  //不是预览（查找打印模板）
                    //    }else{    //是预览（查找上传打印模板）
//                        templatePath=service.getTemplatePath(environmentalInfoData.getVehicleDesign(), TemplateKindEnum.PRINT.getValue());
                        //        templatePath=service.getTemplatePath(environmentalInfoData.getVehicleDesign(),TemplateKindEnum.UPLOAD.getValue());
                    //    }
                        // 1 表示打印， 2表示上传打印
                        if("1".equals(printType) ){
                            //TODO 后续改成根据模板类别选择对应的模板 ！！
                            templatePath=service.getTemplatePath(environmentalInfoData.getTemplateType(), TemplateKindEnum.PRINT.getValue());
                        } else if("2".equals(printType)){
                            templatePath=service.getTemplatePath(environmentalInfoData.getTemplateType(), TemplateKindEnum.UPLOAD.getValue());
                        }else{
                            templatePath=service.getTemplatePath(environmentalInfoData.getTemplateType(), TemplateKindEnum.PRINT.getValue());
                        }

                        if(null == templatePath || "".equals(templatePath)){
                            message += "环保证书车辆识别代号为"+envPrintData.getVin()+"未上传模板！<br>";
                            return Result.error(message);
                        }

                        //先获取型式检验信息
                        // 根据对应的环保信息公开基础数据的id找到对应的型式检验信息
                        // String sql="select * from syxy_inspection_information where ENVIRONMENTAL_ID =? order by ORDER_NUMBER";
                        QueryWrapper<SyxyInspectionInformationEO> queryWrapper = new QueryWrapper<>();
                        queryWrapper.eq(SyxyInspectionInformationEO.SYXY_INSPECTION_INFORMATION_ENVIRONMENTAL_ID,environmentalInfoData.getEnvid());
                        List<SyxyInspectionInformationEO> informations = inspectionInformationEOService.list(queryWrapper);

                        //拼接对应的型式检验信息
//                    List<TypeInspectionInformationEntity> informations=environmentalPrintService.getInformationsOnData(environmentalInfoData.getBasedOnStandard(),environmentalInfoData.getDetectionMechanism(),environmentalInfoData.getTestConclusion());

                        if(StringUtils.isNotEmpty(templatePath)){
                            String fileName=templatePath.substring(0,templatePath.indexOf("|"));
                            String filePath= ResourceUtil.getConfigByName("realpath")+fileName;
                            File file=new File(filePath);
                            if(!file.exists()){
//                            message +="环保证书车辆识别代号为"+envPrintData.getVehicleIdentificationNumber()+"的模板已损坏<br>";
                                message +="环保证书车辆识别代号为"+envPrintData.getVin()+"的模板已损坏<br>";
                                return Result.error(message);
                            }else{
                                try{
                                    //判断国五还是国六
                                    if(environmentalInfoData.getDischargeStage() !=null && environmentalInfoData.getDischargeStage().equals("国六")) {
                                        /*根据新增的车辆识别代号生成二维码*/
//                                    environmentalPrintService.createQRCodeSIX(envPrintData.getVehicleIdentificationNumber());
                                        service.createQRCodeSIX(envPrintData.getVin());

                                        /*根据新增的车辆识别代号生成条形码*/
//                                    environmentalPrintService.createBarCodeSix(envPrintData.getVehicleIdentificationNumber());
                                        service.createBarCodeSix(envPrintData.getVin());

                                    }else {
                                        /*根据新增的车辆识别代号生成二维码*/
//                                    environmentalPrintService.createQRCode(envPrintData.getVehicleIdentificationNumber());
                                        service.createQRCode(envPrintData.getVin());
                                        /*根据新增的车辆识别代号生成条形码*/
//                                    environmentalPrintService.createBarCode(envPrintData.getVehicleIdentificationNumber());
                                        service.createBarCode(envPrintData.getVin());
                                    }

//                                String m = environmentalPrintService.createWord(envPrintData, environmentalInfoData, informations,templatePath,previewFlag);
                                    String m = service.createWord(envPrintData, environmentalInfoData, informations,templatePath,previewFlag,qyname,qyId,printType);
                                    //printInfoVO.setPdfPath(m);
                                    if(m.contains("模板创建异常")){
                                      return  Result.error(m);
                                    }
                                    pathList.add(m);
                                    if(m == ""){
                                        idNames += envPrintData.getId()+",";
                                    }else{
                                        message +="环保证书车辆识别代号为"+envPrintData.getVin()+m+"<br>";
                                    }
                                }catch(IllegalArgumentException e){
                                    message +="环保证书车辆识别代号为"+envPrintData.getVin()+"不能为中文，请重新输入!<br>";
                                    e.printStackTrace();
                                    return Result.error(message);
                                }
                            }
                        }else{
                            message += "环保证书车辆识别代号为"+envPrintData.getVin()+"未上传模板！<br>";
                            return Result.error(message);
                        }
                    }else{
                        message += "环保证书车辆识别代号为"+envPrintData.getVin()+"已暂停打印！<br>";
                        return Result.error(message);
                    }
                }else{
                    message += "环保证书车辆识别代号为"+envPrintData.getVin()+"基础数据缺失！<br>";
                    return Result.error(message);
                }
                //修改状态位
                SyxyModelEnviromentalDataEO enviromentalDataEO = null;
                QueryWrapper<SyxyModelEnviromentalDataEO> queryWrapperTwo = new QueryWrapper();
                queryWrapperTwo.eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN,vin);
                List<SyxyModelEnviromentalDataEO> listTwo = service.list(queryWrapperTwo);
                if(listTwo.size() > 0){
                    enviromentalDataEO =listOne.get(0);
                }

               // SyxyModelEnviromentalDataEO enviromentalDataEO = service.getById(id);
                enviromentalDataEO .setPrintStatus(previewFlag+""); //0:未打印 1：参考打印 2：已经打印
                enviromentalDataEO.setPdfState(0);
                service.saveOrUpdate(enviromentalDataEO);
            }
            printInfoVO.setPdfPath(pathList);
            printInfoVO.setMessage(message);
            return Result.success(printInfoVO);
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error(e.getMessage());
        }
    }



    @ApiOperation(value = "打印/参考打印——1")
    @GetMapping(params="createWords")
    @ResponseBody
    public AjaxJson createWords(String ids, Integer previewFlag, String allPrint,HttpServletRequest request) throws UnsupportedEncodingException, FileNotFoundException, IOException, NoSuchMethodException, IllegalAccessException, IllegalArgumentException, InvocationTargetException {
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        String qyId = usermap.get("USERNAME").toString();
        String qyname = usermap.get("NAME").toString();
        AjaxJson j=new AjaxJson();
        String message="";
        String idNames="";

        //8830fcdff9f272f719535ce3d7ad8c24
      //  ids = "8830fcdff9f272f719535ce3d7ad8c24"; //TODO del

        for(String id:ids.split(",")){
//            EnvironmentalPrintEntity envPrintData=environmentalPrintService.getEntity(EnvironmentalPrintEntity.class,id);
            SyxyModelEnviromentalDataEO envPrintData= service.getById(id);

            //不是一键打印，不是预览，合格证没有打印的时候
			/*if (!"1".equals(allPrint) && previewFlag == null && !isPrint(envPrintData)) {
				message += "车辆识别代号为"+envPrintData.getVehicleIdentificationNumber()+"合格证还未打印！<br>";
				continue;
			}*/
            //获取生产同步数据与基础数据
            //获取生产同步数据与基础数据
//            ProduceEntity produceData = produceService.getProducet(envPrintData.getVehicleNo());
//            List<ModelCertificateDataEntity> modelEntity=modelservice.getModelCertData(envPrintData.getFastOutputNumber());
            //----------------------
            //根据环保随车清单里的车辆型号和合同编号匹配环保信息公开基础数据
            /*ModelEnviromentalDataEntity environmentalInfoData=environmentalPrintService.getEnvironmentalInfoDataByFastOutputNumber(envPrintData.getFastOutputNumber());*/
//            ModelEnviromentalDataEntity environmentalInfoData = environmentalPrintService.getEnvironmentalInfoDataByInfoDisclosureNo(envPrintData.getInfoDisclosureNo());
            SyxyModelEnviromentalDataEO environmentalInfoData = service.getById(id);

            //判断是否找到匹配的基础数据
            if(environmentalInfoData != null){
                //判断当前基础是否为暂停打印：0为暂停打印 ；1为正常打印
                if(environmentalInfoData.getPrintSwitch().intValue() == 1){
                    //根据找到的对应的环保信息公开基础数据里的车型款式找到与之对应的适用车型模板
                    String templatePath="";
                    if(null == previewFlag){  //不是预览（查找打印模板）
                        templatePath=service.getTemplatePath(environmentalInfoData.getVehicleDesign(), TemplateKindEnum.PRINT.getValue());


                    }else{    //是预览（查找上传打印模板）
                        templatePath=service.getTemplatePath(environmentalInfoData.getVehicleDesign(),TemplateKindEnum.UPLOAD.getValue());
                    }
                    //先获取型式检验信息
                    // 根据对应的环保信息公开基础数据的id找到对应的型式检验信息
                    // String sql="select * from syxy_inspection_information where ENVIRONMENTAL_ID =? order by ORDER_NUMBER";
                    QueryWrapper<SyxyInspectionInformationEO> queryWrapper = new QueryWrapper<>();
                    queryWrapper.eq(SyxyInspectionInformationEO.SYXY_INSPECTION_INFORMATION_ENVIRONMENTAL_ID,environmentalInfoData.getId());
                    List<SyxyInspectionInformationEO> informations = inspectionInformationEOService.list(queryWrapper);

                    //拼接对应的型式检验信息
//                    List<TypeInspectionInformationEntity> informations=environmentalPrintService.getInformationsOnData(environmentalInfoData.getBasedOnStandard(),environmentalInfoData.getDetectionMechanism(),environmentalInfoData.getTestConclusion());

                    if(StringUtils.isNotEmpty(templatePath)){
                        String fileName=templatePath.substring(0,templatePath.indexOf("|"));
                        String filePath= ResourceUtil.getConfigByName("realpath")+fileName;
                        File file=new File(filePath);
                        if(!file.exists()){
//                            message +="环保证书车辆识别代号为"+envPrintData.getVehicleIdentificationNumber()+"的模板已损坏<br>";
                            message +="环保证书车辆识别代号为"+envPrintData.getVin()+"的模板已损坏<br>";
                        }else{
                            try{
                                //判断国五还是国六
                                if(environmentalInfoData.getDischargeStage() !=null && environmentalInfoData.getDischargeStage().equals("国六")) {
                                    /*根据新增的车辆识别代号生成二维码*/
//                                    environmentalPrintService.createQRCodeSIX(envPrintData.getVehicleIdentificationNumber());
                                    service.createQRCodeSIX(envPrintData.getVin());

                                    /*根据新增的车辆识别代号生成条形码*/
//                                    environmentalPrintService.createBarCodeSix(envPrintData.getVehicleIdentificationNumber());
                                    service.createBarCodeSix(envPrintData.getVin());

                                }else {
                                    /*根据新增的车辆识别代号生成二维码*/
//                                    environmentalPrintService.createQRCode(envPrintData.getVehicleIdentificationNumber());
                                    service.createQRCode(envPrintData.getVin());
                                    /*根据新增的车辆识别代号生成条形码*/
//                                    environmentalPrintService.createBarCode(envPrintData.getVehicleIdentificationNumber());
                                    service.createBarCode(envPrintData.getVin());
                                }

//                                String m = environmentalPrintService.createWord(envPrintData, environmentalInfoData, informations,templatePath,previewFlag);
                                String type = "1";  //1 表示打印；2表示上传
                                String m = service.createWord(envPrintData, environmentalInfoData, informations,templatePath,previewFlag,qyname,qyId,type);
                                if(m == ""){
                                    idNames += envPrintData.getId()+",";
                                }else{
                                    message +="环保证书车辆识别代号为"+envPrintData.getVin()+m+"<br>";
                                }
                            }catch(IllegalArgumentException e){
                                message +="环保证书车辆识别代号为"+envPrintData.getVin()+"不能为中文，请重新输入!<br>";
                                e.printStackTrace();
                            }
                        }
                    }else{
                        message += "环保证书车辆识别代号为"+envPrintData.getVin()+"未上传模板！<br>";
                    }
                }else{
                    message += "环保证书车辆识别代号为"+envPrintData.getVin()+"已暂停打印！<br>";
                }
            }else{
                message += "环保证书车辆识别代号为"+envPrintData.getVin()+"基础数据缺失！<br>";
            }

        }

        //去掉最后的“，”
        if(!"".equals(idNames) && idNames.indexOf(",") != -1){
            idNames=idNames.substring(0,idNames.length()-1);
        }
        //判断当前是否为预览的功能，是的话不需要查找打印机
        if(null == previewFlag){
//            if(StringUtil.isNotEmpty(idNames)){
            if(idNames != null && !"".equals(idNames)) {
                if(message != ""){
                    message += "请点击确定键继续进行打印";
                }
            }
            //查找打印机
//            String printName=environmentalPrintService.findPrint();
            String printName=service.findPrint();
            idNames += "|"+printName;
        }
        j.setMsg(message);
        j.setObj(idNames);
        return j;
    }


    /**
     * 前台打印修改移除的方法
     *
     */
    @ApiOperation(value = "打印——2")
    @ResponseBody
    @GetMapping(params="removeEnv")
    public AjaxJson removeEnv(String id){
        AjaxJson j=new AjaxJson();
        String message="打印失败！";
        try {
//            EnvironmentalPrintEntity certificate=systemService.getEntity(EnvironmentalPrintEntity.class, id);
//            if(StringUtils.isNotEmpty(certificate.getUpdateState()) && "1".equals(certificate.getUpdateState())){
//                environmentalPrintService.removeNew(id);
//            }else{
//                environmentalPrintService.remove(id);
//            }

            SyxyModelEnviromentalDataEO enviromentalDataEO = service.getById(id);
            enviromentalDataEO.setPrintStatus("1"); //已经打印
            service.saveOrUpdate(enviromentalDataEO);

            // systemService.addLog("EnvironmentalPrintController.removeEnv;"+"车辆识别代号"+certificate.getVehicleIdentificationNumber()+"的环保随车清单打印成功后进入未申报模块",Globals.Log_Type_INSERT, Globals.Log_Leavel_INFO);
            message="打印成功！";
        } catch (Exception e) {
            e.printStackTrace();
            message="打印失败！";
        }
        j.setMsg(message);
        return j;
    }


    /**
     * 更新参考打印状态
     * */
    @ApiOperation(value = "参考打印——2")
    @GetMapping(params="removeReferencePrintStart")
    @ResponseBody
    public AjaxJson removeSamplePrintStart(String id){
        AjaxJson j=new AjaxJson();
        String message="";
        try{
            //EnvironmentalPrintEntity env = systemService.getEntity(EnvironmentalPrintEntity.class, id);
            SyxyModelEnviromentalDataEO env = service.getById(id);

            if(env != null){
                String ext1 = env.getExt1();//参考打印次数
                if(null == ext1 || "".equals(ext1)){
                    ext1 = "0";
                }
                int ext1Num = Integer.parseInt(ext1);
                ext1Num++;
                env.setExt1(String.valueOf(ext1Num));
                service.saveOrUpdate(env);
//                env.setReferencePrintingNum(env.getReferencePrintingNum() + 1);
//                environmentalPrintService.removeCertificatePrintState(env);
            }
            message="环保证书打印成功！";
           // systemService.addLog("EnvironmentalPrintController.removeSamplePrintStart;"+"车辆识别代号"+env.getVehicleIdentificationNumber()+"的环保随车清单参考打印成功",Globals.Log_Type_UPDATE, Globals.Log_Leavel_INFO);
        }catch(Exception e){
            message="环保证书打印失败！";
            //systemService.addLog("id为"+id+"的"+message,Globals.Log_Type_INSERT, Globals.Log_Leavel_ERROR);
            e.printStackTrace();
        }
        j.setMsg(message);
        return j;
    }



    @ApiOperation(value = "打印/参考打印——3")
    @ResponseBody
    @GetMapping(params = "wordPrintDownload")
    public void wordPrintDownload(HttpServletResponse response, String fileName, HttpServletRequest request) {
        try {
            service.downFileWithfileName(fileName,"previewPath", response, request);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }


    @ApiOperation(value = "|环保信息随车清单申报")
    @GetMapping("batchPdfDeclares")
    public ResponseMessage batchPdfDeclares(HttpServletRequest request,String vins) {
        try {
            //TODO open
            Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
            String qyid = usermap.get("USERNAME").toString();
            String qyname = usermap.get("NAME").toString();

            //TODO del
//            String qyname ="安徽江淮汽车集团股份有限公司";
//            String qyid = "JH120006";

            String msg = "";
            for(String id:vins.split(",")){
                msg += service.doDeclarePdf(id,qyid,qyname) + ",";
            }
            if (!"".equals(msg)) {
                msg = msg.substring(0, msg.length() - 1);
            }
            return Result.success(msg);
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error(e.getMessage());
        }
    }

    @ApiOperation(value = "|VIN报送")
    @GetMapping("batchVinDeclares")
    public ResponseMessage batchVinDeclares(HttpServletRequest request,String vins) {
        try {
            String manufid = "";   //申报用户名
            String password = "";  // 申报密码
            String message = "";
            //获取当前系统的用户名
            Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
            String qyid = usermap.get("USERNAME").toString();  //TODO open
//            String qyid = "GN010002" ; //TODO del
            QueryWrapper<SyxyAccountSetEO>  accountWrapper = new QueryWrapper<>();
            accountWrapper.eq(SyxyAccountSetEO.SYXY_ACCOUNT_SET_QYID,qyid); //TODO 测试

//            manufid= "62188593-x";        //TODO del
//            password = "5jCxqtqtTCGTwk3n";//TODO del

//TODO open
            List<SyxyAccountSetEO> list = iSyxyAccountSetEOService.list(accountWrapper);
            if (!list.isEmpty() && list.size() > 0) {
                manufid = list.get(0).getEUsename();
                password = list.get(0).getEPassword();
            } else {
                message = "未找到环保申报账号密码";
                return Result.error(message);
            }

            String loginResult = WSXEnvironmentalUtils.login(manufid, password);
            boolean success = StringUtil.getSubUtilSimple(loginResult, "<succeed>(.*?)</succeed>").equals("true") ? true
                    : false;
            String key = StringUtil.getSubUtilSimple(loginResult, "<data>(.*?)</data>");
            if (success) {
                try {
                    String[] vinArray = vins.split(",");
                    String msg = "";
//                    List<EnvironmentalDeclareEntity> encftList = new ArrayList<>();
                    List<SyxyModelEnviromentalDataEO> encftList = new ArrayList<>();
                    List<VinDataBean> vinBeanList = new ArrayList<>();
                    for (int i = 0; i < vinArray.length; i++) {
                        String vin =  vinArray[i];
//                        String vin = null;
                        // 遍历每次对集合进行上次集合数清除
                        // vinBeanList.clear();
//                        EnvironmentalDeclareEntity environment = encftService.getEntity(EnvironmentalDeclareEntity.class,
//                                idArray[i]);
                        SyxyModelEnviromentalDataEO environment= null;
                        QueryWrapper<SyxyModelEnviromentalDataEO> queryWrapperOne = new QueryWrapper();
                        queryWrapperOne.eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN,vin);
                        List<SyxyModelEnviromentalDataEO> listOne = service.list(queryWrapperOne);
                        if(listOne.size() > 0){
                            environment =listOne.get(0);
                        }
//                        vin = environment.getDiscernNumber();
                        VinDataBean vinData = new VinDataBean();
                        vinData.setVin(vin);
                       // vinData.setXxgkh(environment.getXxgkh());
                        vinData.setXxgkh(environment.getInfoDisclosureNo()); //信息公开编号
//                        vinData.setSb(environment.getSb());
                        vinData.setSb(environment.getTrademark());
//                        vinData.setSccdz(environment.getProductionAddress());
                        vinData.setSccdz(environment.getFactoryAddress()); //生产地址
//                       vinData.setFdjh(environment.getEngineNumber());
                        vinData.setFdjh(environment.getEngineNo());  //TODO oepn


                        vinData.setScdate(environment.getProducedDate() == null ? ""
                                : new SimpleDateFormat("yyyy-MM-dd").format(environment.getProducedDate()));
                        if ("国六".equals(environment.getDischargeStage())) {
                            vinData.setCcsy("双怠速试验".equals(environment.getCcsy()) ? "GB 18285" : environment.getCcsy());

                        } else {
                            vinData.setCcsy(environment.getCcsy());
                        }					vinData.setCcjl(environment.getCcjl());
                        vinData.setGkwww(environment.getEnterpriseInfoPublicUrl());
                        vinData.setFdjsb(environment.getEngineMake());
                        vinData.setFdjsccdz(environment.getEngineFactoryAddress());

//                        vinData.setFdjh("SC20M163Q6A");    //TODO del
//                        vinData.setScdate("2021-09-29");//TODO del
//                        vinData.setCcjl("11111");//TODO del
//                        vinData.setCcsy("2222");//TODO del

                        vinBeanList.add(vinData);
                        encftList.add(environment);
                    }
                    XStream xstream = new XStream();
                    xstream.autodetectAnnotations(true);
                    String vinDataXml = xstream.toXML(vinBeanList);
                    vinDataXml = vinDataXml.replaceAll("<list>", "<vindatas>").replaceAll("</list>", "</vindatas>");
                   String uploadRes = WSXEnvironmentalUtils.sendVindData(key, vinDataXml);
                    boolean uploadSuccess = StringUtil.getSubUtilSimple(uploadRes, "<succeed>(.*?)</succeed>")
                            .equals("true") ? true : false;
                    String uploadMsg = StringUtil.getSubUtilSimple(uploadRes, "<data>(.*?)</data>");
                    if (uploadSuccess) {
                        if (key != null && vinDataXml != null) {
                            //for (EnvironmentalDeclareEntity encftEntity : encftList) {
                               for (SyxyModelEnviromentalDataEO encftEntity : encftList) {
                                // 如果pdf已经申报完了，那摩这条数据整体已经申报结束进入已申报页面，否则要等pdf申报结束后才算申报结束，到已申报页面
                        /*        if (encftEntity.getPdfState() != null
                                        && "1".equals(encftEntity.getPdfState()) ) {
                                    encftEntity.setState(EnvironmentApplyStatus.APPLY_YES);// 已申报
                                    systemService.addLog(
                                            "EnvironmentalDeclareController.doBatchDeclare;车辆识别代号为" + encftEntity.getDiscernNumber() + "的环保随车清单VIN申报成功后进入已申报模块",
                                            Globals.Log_Type_UPLOAD, Globals.Log_Leavel_INFO);
                                } else {
                                    systemService.addLog("EnvironmentalDeclareController.doBatchDeclare;车辆识别代号为" + encftEntity.getDiscernNumber() + "的环保随车清单VIN申报成功",
                                            Globals.Log_Type_UPLOAD, Globals.Log_Leavel_INFO);
                                }*/
                                encftEntity.setVinState(1);
                                encftEntity.setVinUploadDate(new Date());
                                //2019-01-31 add
//                                encftEntity.setDiscernNumber(encftEntity.getModelNumber());  //车辆识别代号
                                encftEntity.setVin(encftEntity.getVin());  //车辆识别代号
                                service.saveOrUpdate(encftEntity);
                                msg += "车辆识别代号为" + encftEntity.getVin() + "的vin报送成功,";
                            }
                        }
                    } else {
                        //j.setSuccess(false);
                        message = "接口错误:" + uploadMsg;
                        return Result.error(message);
                    }
                    // 调用服务器中的logout方法声明退出
                    WSXEnvironmentalUtils.logout(key);
                    if (!"".equals(msg)) {
                        message = msg.substring(0, msg.length() - 1);
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                    message = "格式错误，请检查！";
                    return Result.error(message);
                }
            } else {
                message = "账号或密码错误";
                return Result.error(message);
            }
            return Result.success(message);
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error(e.getMessage());
        }
    }

    @ApiOperation(value = "环保证书导出")
    @PostMapping(value = "export")
    public ResponseMessage exportYzxTemplate(HttpServletRequest request, HttpServletResponse response, @RequestBody List<String> vinList) {
        List<SyxyModelEnviromentalDataEO> modelEnviromentalDataEOList = service.lambdaQuery().in(SyxyModelEnviromentalDataEO::getVin, vinList).list();
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        ExportParams exportParams = new ExportParams("查询信息", "导出信息");
        exportParams.setType(ExcelType.XSSF);
        exportParams.setCreateHeadRows(true);
        exportParams.setSecondTitle("导出人："+usermap.get("NAME"));
        Workbook workbook = ExcelUtils.exportExcel(modelEnviromentalDataEOList, exportParams, SyxyModelEnviromentalDataEO.class);
        ExcelUtils.downLoadExcel("环保证书查询与申报.xls", response, workbook);
        return Result.success();
    }

    @ApiOperation(value = "根据查询条件导出环保证书")
    @PostMapping(value = "exportByQueryWhere", consumes = APPLICATION_JSON_VALUE)
    public ResponseMessage exportYzxTemplateByQueryWhere(HttpServletRequest request, HttpServletResponse response, @RequestBody Query<SyxyModelEnviromentalDataEO> query) {
        List<SyxyModelEnviromentalDataEO> modelEnviromentalDataEOList = service.modelEnviromentpage(query).getRecords();
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        ExportParams exportParams = new ExportParams("查询信息", "导出信息");
        exportParams.setType(ExcelType.XSSF);
        exportParams.setCreateHeadRows(true);
        exportParams.setSecondTitle("导出人："+usermap.get("NAME"));
        Workbook workbook = ExcelUtils.exportExcel(modelEnviromentalDataEOList, exportParams, SyxyModelEnviromentalDataEO.class);
        ExcelUtils.downLoadExcel("环保证书查询与申报.xls", response, workbook);
        return Result.success();
    }

    @ApiOperation(value = "|回退环保打印数据")
    @GetMapping("return")
    public ResponseMessage returnEnv(String vins) {
        try {
            for(String vin:vins.split(",")){
//                SyxyEnvironmentalDataEO byId = service.getById(vin);
//                byId.setDel(BigDecimal.valueOf(0)); // 0 表示未确认
                QueryWrapper<SyxyModelEnviromentalDataEO> queryWrapperOne = new QueryWrapper();
                queryWrapperOne.eq(SyxyModelEnviromentalDataEO.SYXY_MODEL_ENVIROMENTAL_DATA_VIN,vin);
                List<SyxyModelEnviromentalDataEO> listOne = service.list(queryWrapperOne);
                if(listOne.size() > 0){
                    SyxyModelEnviromentalDataEO envPrintData =listOne.get(0);
                    envPrintData.setConfirmStatus("0");
                    envPrintData.setPrintStatus("0");
                    service.saveOrUpdate(envPrintData);
                }
            }
            return Result.success();
        }catch (Exception e){
            logger.error(e.getMessage(), e);
            return Result.error(e.getMessage());
        }
    }


    @Override
    protected IBaseService<SyxyModelEnviromentalDataEO> getService() {

        return service;
    }

    @Override
    protected void verifyQuery(Query<SyxyModelEnviromentalDataEO> queryItem) {

    }

    @Override
    protected void verifySaveData(SyxyModelEnviromentalDataEO data) {

    }

    @Override
    protected void verifyUpdateData(SyxyModelEnviromentalDataEO data) {

    }

    @Override
    protected void verifyDeleteId(Serializable... ids) {

    }
}
