package com.adc.da.vdaims.controller;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;
import javax.validation.constraints.NotNull;
import com.adc.da.mp.base.IBaseService;
import com.adc.da.mp.base.Query;
import com.adc.da.util.http.PageInfo;
import com.adc.da.util.http.ResponseMessage;
import com.adc.da.util.http.Result;
import com.adc.da.vdaims.entity.SyxyModelEnviromentalLogEO;
import com.adc.da.vdaims.service.ISyxyModelEnviromentalLogEOService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import static org.springframework.http.MediaType.APPLICATION_JSON_VALUE;
import org.springframework.web.bind.annotation.RequestMapping;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;
import com.adc.da.mp.base.BaseController;

/**
 * <p>
 *  前端控制器
 * </p>
 * 作者 gen
 * 日期 2021-10-14
 */
@RestController
@RequestMapping("/${restPath}/vdaims/syxyModelEnviromentalLog")
@Api(tags = "|SyxyModelEnviromentalLogEO|")
public class SyxyModelEnviromentalLogEOController extends BaseController<SyxyModelEnviromentalLogEO> {
    private static final Logger logger = LoggerFactory.getLogger(SyxyModelEnviromentalLogEOController.class);

    @Autowired
    private ISyxyModelEnviromentalLogEOService service;

    @ApiOperation(value = "|SyxyModelEnviromentalLogEO|列表查询", notes = "vdaims:syxymodelenviromentallog:list")
    @PostMapping(value = "list", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxymodelenviromentallog:list")
    public ResponseMessage<List<SyxyModelEnviromentalLogEO>> getList(@RequestBody Query<SyxyModelEnviromentalLogEO> query) {

        return Result.success(super.list(query));
    }

    @ApiOperation(value = "|SyxyModelEnviromentalLogEO|分页查询", notes = "vdaims:syxymodelenviromentallog:page")
    @PostMapping(value = "page", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxymodelenviromentallog:page")
    public ResponseMessage<PageInfo<SyxyModelEnviromentalLogEO>> getPage(@RequestBody Query<SyxyModelEnviromentalLogEO> query) {

        return Result.success(getPageInfo(super.page(query)));
    }

    @ApiOperation(value = "|SyxyModelEnviromentalLogEO|详情", notes = "vdaims:syxymodelenviromentallog:get")
    @GetMapping("{id}")
    //@RequiresPermissions("vdaims:syxymodelenviromentallog:get")
    public ResponseMessage<SyxyModelEnviromentalLogEO> get(@NotNull @PathVariable Serializable id) {

        return Result.success(super.getById(id));
    }

    @ApiOperation(value = "|SyxyModelEnviromentalLogEO|新增", notes = "vdaims:syxymodelenviromentallog:save")
    @PostMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxymodelenviromentallog:save")
    public ResponseMessage<SyxyModelEnviromentalLogEO> create(@RequestBody SyxyModelEnviromentalLogEO data) {

        return Result.success(super.save(data));
    }

    @ApiOperation(value = "|SyxyModelEnviromentalLogEO|修改", notes = "vdaims:syxymodelenviromentallog:update")
    @PutMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxymodelenviromentallog:update")
    public ResponseMessage<SyxyModelEnviromentalLogEO> modify(@RequestBody SyxyModelEnviromentalLogEO data) {

        return Result.success(super.update(data));
    }

    @ApiOperation(value = "|SyxyModelEnviromentalLogEO|批量删除", notes = "vdaims:syxymodelenviromentallog:delete")
    @DeleteMapping("{ids}")
    //@RequiresPermissions("vdaims:syxymodelenviromentallog:delete")
    public ResponseMessage delete(@NotNull @PathVariable Serializable... ids) {

         return Result.success(super.deleteBatchIds(ids));
    }

    @Override
    protected IBaseService<SyxyModelEnviromentalLogEO> getService() {

        return service;
    }

    @Override
    protected void verifyQuery(Query<SyxyModelEnviromentalLogEO> queryItem) {

    }

    @Override
    protected void verifySaveData(SyxyModelEnviromentalLogEO data) {

    }

    @Override
    protected void verifyUpdateData(SyxyModelEnviromentalLogEO data) {

    }

    @Override
    protected void verifyDeleteId(Serializable... ids) {

    }
}
