package com.adc.da.vdaims.controller;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;
import javax.validation.constraints.NotNull;
import com.adc.da.mp.base.IBaseService;
import com.adc.da.mp.base.Query;
import com.adc.da.util.http.PageInfo;
import com.adc.da.util.http.ResponseMessage;
import com.adc.da.util.http.Result;
import com.adc.da.vdaims.entity.SyxyPrintEnterprisEO;
import com.adc.da.vdaims.service.ISyxyPrintEnterprisEOService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import static org.springframework.http.MediaType.APPLICATION_JSON_VALUE;
import org.springframework.web.bind.annotation.RequestMapping;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;
import com.adc.da.mp.base.BaseController;

/**
 * <p>
 *  前端控制器
 * </p>
 * 作者 gen
 * 日期 2021-09-06
 */
@RestController
@RequestMapping("/${restPath}/vdaims/syxyPrintEnterpris")
@Api(tags = "|SyxyPrintEnterprisEO|")
public class SyxyPrintEnterprisEOController extends BaseController<SyxyPrintEnterprisEO> {
    private static final Logger logger = LoggerFactory.getLogger(SyxyPrintEnterprisEOController.class);

    @Autowired
    private ISyxyPrintEnterprisEOService service;

    @ApiOperation(value = "|SyxyPrintEnterprisEO|列表查询", notes = "vdaims:syxyprintenterpris:list")
    @PostMapping(value = "list", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyprintenterpris:list")
    public ResponseMessage<List<SyxyPrintEnterprisEO>> getList(@RequestBody Query<SyxyPrintEnterprisEO> query) {

        return Result.success(super.list(query));
    }

    @ApiOperation(value = "|SyxyPrintEnterprisEO|分页查询", notes = "vdaims:syxyprintenterpris:page")
    @PostMapping(value = "page", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyprintenterpris:page")
    public ResponseMessage<PageInfo<SyxyPrintEnterprisEO>> getPage(@RequestBody Query<SyxyPrintEnterprisEO> query) {

        return Result.success(getPageInfo(super.page(query)));
    }

    @ApiOperation(value = "|SyxyPrintEnterprisEO|详情", notes = "vdaims:syxyprintenterpris:get")
    @GetMapping("{id}")
    //@RequiresPermissions("vdaims:syxyprintenterpris:get")
    public ResponseMessage<SyxyPrintEnterprisEO> get(@NotNull @PathVariable Serializable id) {

        return Result.success(super.getById(id));
    }

    @ApiOperation(value = "|SyxyPrintEnterprisEO|新增", notes = "vdaims:syxyprintenterpris:save")
    @PostMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyprintenterpris:save")
    public ResponseMessage<SyxyPrintEnterprisEO> create(@RequestBody SyxyPrintEnterprisEO data) {

        return Result.success(super.save(data));
    }

    @ApiOperation(value = "|SyxyPrintEnterprisEO|修改", notes = "vdaims:syxyprintenterpris:update")
    @PutMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:syxyprintenterpris:update")
    public ResponseMessage<SyxyPrintEnterprisEO> modify(@RequestBody SyxyPrintEnterprisEO data) {

        return Result.success(super.update(data));
    }

    @ApiOperation(value = "|SyxyPrintEnterprisEO|批量删除", notes = "vdaims:syxyprintenterpris:delete")
    @DeleteMapping("{ids}")
    //@RequiresPermissions("vdaims:syxyprintenterpris:delete")
    public ResponseMessage delete(@NotNull @PathVariable Serializable... ids) {

         return Result.success(super.deleteBatchIds(ids));
    }

    @Override
    protected IBaseService<SyxyPrintEnterprisEO> getService() {

        return service;
    }

    @Override
    protected void verifyQuery(Query<SyxyPrintEnterprisEO> queryItem) {

    }

    @Override
    protected void verifySaveData(SyxyPrintEnterprisEO data) {

    }

    @Override
    protected void verifyUpdateData(SyxyPrintEnterprisEO data) {

    }

    @Override
    protected void verifyDeleteId(Serializable... ids) {

    }
}
