package com.adc.da.vdaims.controller;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.validation.constraints.NotNull;
import com.adc.da.mp.base.IBaseService;
import com.adc.da.mp.base.Query;
import com.adc.da.util.http.PageInfo;
import com.adc.da.util.http.ResponseMessage;
import com.adc.da.util.http.Result;
import com.adc.da.vdaims.entity.SyxySerialNumberEO;
import com.adc.da.vdaims.exception.BusinessException;
import com.adc.da.vdaims.service.ISyxySerialNumberEOService;
import com.adc.da.vdaims.vo.SerialNumberVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import static org.springframework.http.MediaType.APPLICATION_JSON_VALUE;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import com.adc.da.mp.base.BaseController;

/**
 * <p>
 * 纸张编号管理 前端控制器
 * </p>
 * 作者 gen
 * 日期 2021-08-27
 */
@RestController
@RequestMapping("/${restPath}/vdaims/syxySerialNumber")
@Api(tags = "纸张编号管理")
public class SyxySerialNumberEOController extends BaseController<SyxySerialNumberEO> {
    private static final Logger logger = LoggerFactory.getLogger(SyxySerialNumberEOController.class);

    @Autowired
    private ISyxySerialNumberEOService service;

//    @ApiOperation(value = "|SyxySerialNumberEO|列表查询纸张编号管理", notes = "vdaims:syxyserialnumber:list")
//    @PostMapping(value = "list", consumes = APPLICATION_JSON_VALUE)
//    //@RequiresPermissions("vdaims:syxyserialnumber:list")
//    public ResponseMessage<List<SyxySerialNumberEO>> getList(@RequestBody Query<SyxySerialNumberEO> query) {
//
//        return Result.success(super.list(query));
//    }

//    @ApiOperation(value = "|SyxySerialNumberEO|分页查询纸张编号管理", notes = "vdaims:syxyserialnumber:page")
//    @PostMapping(value = "page", consumes = APPLICATION_JSON_VALUE)
//    //@RequiresPermissions("vdaims:syxyserialnumber:page")
//    public ResponseMessage<PageInfo<SyxySerialNumberEO>> getPage(@RequestBody Query<SyxySerialNumberEO> query) {
//
//        return Result.success(getPageInfo(super.page(query)));
//    }

    @ApiOperation(value = "|SyxySerialNumberEO|详情纸张编号管理", notes = "vdaims:syxyserialnumber:get")
    @GetMapping("{id}")
    //@RequiresPermissions("vdaims:syxyserialnumber:get")
    public ResponseMessage<SyxySerialNumberEO> get(@NotNull @PathVariable Serializable id) {

        return Result.success(super.getById(id));
    }

    @ApiOperation(value = "|SyxySerialNumberEO|新增纸张编号管理")
    @PostMapping(value = "add", consumes = APPLICATION_JSON_VALUE)
    public ResponseMessage<SyxySerialNumberEO> create(HttpServletRequest request, @RequestBody SerialNumberVo serialNumberVo) {
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        String qyId = usermap.get("USERNAME").toString();
        service.addSerialNumber(qyId, serialNumberVo);
        return Result.success();
    }

    @ApiOperation(value = "|SyxySerialNumberEO|修改纸张编号")
    @PutMapping(consumes = APPLICATION_JSON_VALUE)
    public ResponseMessage<SyxySerialNumberEO> modify(@Validated @RequestBody SerialNumberVo serialNumberVo) {
        try {
            service.updateSerialNumber(serialNumberVo);
        } catch (BusinessException be) {
            return Result.error(be.getMessage());
        }
        return Result.success();
    }

    @ApiOperation(value = "|SyxySerialNumberEO|批量删除纸张编号管理")
    @PostMapping(consumes = APPLICATION_JSON_VALUE)
    public ResponseMessage delete(HttpServletRequest request, @NotNull @RequestBody List<String> ids) {
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        String qyId = usermap.get("USERNAME").toString();
        service.delSerialNumber(qyId, ids);
         return Result.success();
    }

    @ApiOperation(value = "|SyxySerialNumberEO|根据类型查询纸张编号")
    @GetMapping(value = "list/{type}")
    public ResponseMessage<List<SyxySerialNumberEO>> getListByType(HttpServletRequest request, @PathVariable(value = "type") String type) {
        Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
        String qyId = usermap.get("USERNAME").toString();
        List<SyxySerialNumberEO> serialNumberEOS = service.lambdaQuery().eq(SyxySerialNumberEO::getQyId, qyId).eq(SyxySerialNumberEO::getType, type).list();

        return Result.success(serialNumberEOS);
    }

    @Override
    protected IBaseService<SyxySerialNumberEO> getService() {

        return service;
    }

    @Override
    protected void verifyQuery(Query<SyxySerialNumberEO> queryItem) {

    }

    @Override
    protected void verifySaveData(SyxySerialNumberEO data) {

    }

    @Override
    protected void verifyUpdateData(SyxySerialNumberEO data) {

    }

    @Override
    protected void verifyDeleteId(Serializable... ids) {

    }
}
