package com.adc.da.vdaims.controller;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;
import javax.validation.constraints.NotNull;
import com.adc.da.mp.base.IBaseService;
import com.adc.da.mp.base.Query;
import com.adc.da.util.http.PageInfo;
import com.adc.da.util.http.ResponseMessage;
import com.adc.da.util.http.Result;
import com.adc.da.vdaims.entity.VehicleCertInfoEO;
import com.adc.da.vdaims.service.IVehicleCertInfoEOService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import static org.springframework.http.MediaType.APPLICATION_JSON_VALUE;
import org.springframework.web.bind.annotation.RequestMapping;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;
import com.adc.da.mp.base.BaseController;

/**
 * <p>
 *  前端控制器
 * </p>
 * 作者 gen
 * 日期 2021-09-09
 */
@RestController
@RequestMapping("/${restPath}/vdaims/vehicleCertInfo")
@Api(tags = "|VehicleCertInfoEO|")
public class VehicleCertInfoEOController extends BaseController<VehicleCertInfoEO> {
    private static final Logger logger = LoggerFactory.getLogger(VehicleCertInfoEOController.class);

    @Autowired
    private IVehicleCertInfoEOService service;

    @ApiOperation(value = "|VehicleCertInfoEO|列表查询", notes = "vdaims:vehiclecertinfo:list")
    @PostMapping(value = "list", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:vehiclecertinfo:list")
    public ResponseMessage<List<VehicleCertInfoEO>> getList(@RequestBody Query<VehicleCertInfoEO> query) {

        return Result.success(super.list(query));
    }

    @ApiOperation(value = "|VehicleCertInfoEO|分页查询", notes = "vdaims:vehiclecertinfo:page")
    @PostMapping(value = "page", consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:vehiclecertinfo:page")
    public ResponseMessage<PageInfo<VehicleCertInfoEO>> getPage(@RequestBody Query<VehicleCertInfoEO> query) {

        return Result.success(getPageInfo(super.page(query)));
    }

    @ApiOperation(value = "|VehicleCertInfoEO|详情", notes = "vdaims:vehiclecertinfo:get")
    @GetMapping("{id}")
    //@RequiresPermissions("vdaims:vehiclecertinfo:get")
    public ResponseMessage<VehicleCertInfoEO> get(@NotNull @PathVariable Serializable id) {

        return Result.success(super.getById(id));
    }

    @ApiOperation(value = "|VehicleCertInfoEO|新增", notes = "vdaims:vehiclecertinfo:save")
    @PostMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:vehiclecertinfo:save")
    public ResponseMessage<VehicleCertInfoEO> create(@RequestBody VehicleCertInfoEO data) {

        return Result.success(super.save(data));
    }

    @ApiOperation(value = "|VehicleCertInfoEO|修改", notes = "vdaims:vehiclecertinfo:update")
    @PutMapping(consumes = APPLICATION_JSON_VALUE)
    //@RequiresPermissions("vdaims:vehiclecertinfo:update")
    public ResponseMessage<VehicleCertInfoEO> modify(@RequestBody VehicleCertInfoEO data) {

        return Result.success(super.update(data));
    }

    @ApiOperation(value = "|VehicleCertInfoEO|批量删除", notes = "vdaims:vehiclecertinfo:delete")
    @DeleteMapping("{ids}")
    //@RequiresPermissions("vdaims:vehiclecertinfo:delete")
    public ResponseMessage delete(@NotNull @PathVariable Serializable... ids) {

         return Result.success(super.deleteBatchIds(ids));
    }

    @Override
    protected IBaseService<VehicleCertInfoEO> getService() {

        return service;
    }

    @Override
    protected void verifyQuery(Query<VehicleCertInfoEO> queryItem) {

    }

    @Override
    protected void verifySaveData(VehicleCertInfoEO data) {

    }

    @Override
    protected void verifyUpdateData(VehicleCertInfoEO data) {

    }

    @Override
    protected void verifyDeleteId(Serializable... ids) {

    }
}
