package com.adc.da.vdaims.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.util.Date;

import com.adc.da.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import static com.baomidou.mybatisplus.annotation.FieldFill.INSERT;
import static com.baomidou.mybatisplus.annotation.FieldFill.INSERT_UPDATE;
import static com.baomidou.mybatisplus.annotation.FieldStrategy.IGNORED;

/**
 * <p>
 * 实体类
 * </p>
 * 作者 gen
 * 日期 2021-09-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CERT_HGZ_PRINT")
@ApiModel(value = "CertHgzPrint对象", description = "")
public class CertHgzPrintEO extends BaseEntity<CertHgzPrintEO> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.UUID)
    private String id;

    @ApiModelProperty(value = "企业ID")
    @TableField("QY_ID")
    private String qyId;

    @ApiModelProperty(value = "车辆状态信息")
    @JsonProperty("Veh_Clztxx")
    @TableField(value = "VEH_CLZTXX", jdbcType = JdbcType.VARCHAR)
    private String vehClztxx;

    @ApiModelProperty(value = "整车合格证编号")
    @JsonProperty("Veh_Zchgzbh")
    @TableField(value = "VEH_ZCHGZBH", jdbcType = JdbcType.VARCHAR)
    private String vehZchgzbh;

    @ApiModelProperty(value = "底盘合格证编号")
    @JsonProperty("Veh_Dphgzbh")
    @TableField(value = "VEH_DPHGZBH", jdbcType = JdbcType.VARCHAR)
    private String vehDphgzbh;

    @ApiModelProperty(value = "发证日期")
    @JsonProperty("Veh_Fzrq")
    @TableField(value = "VEH_FZRQ", jdbcType = JdbcType.VARCHAR)
    private String vehFzrq;

    @ApiModelProperty(value = "车辆制造企业名称")
    @JsonProperty("Veh_Clzzqymc")
    @TableField(value = "VEH_CLZZQYMC", jdbcType = JdbcType.VARCHAR)
    private String vehClzzqymc;

    @ApiModelProperty(value = "企业ID")
    @JsonProperty("vehQyid")
    @TableField(value = "VEH_QYID", jdbcType = JdbcType.VARCHAR)
    private String vehQyid;

    @ApiModelProperty(value = "车辆分类")
    @JsonProperty("Veh_Clfl")
    @TableField(value = "VEH_CLFL", jdbcType = JdbcType.VARCHAR)
    private String vehClfl;

    @ApiModelProperty(value = "车辆名称")
    @JsonProperty("Veh_Clmc")
    @TableField(value = "VEH_CLMC", jdbcType = JdbcType.VARCHAR)
    private String vehClmc;

    @ApiModelProperty(value = "车辆品牌")
    @JsonProperty("Veh_Clpp")
    @TableField(value = "VEH_CLPP", jdbcType = JdbcType.VARCHAR)
    private String vehClpp;

    @ApiModelProperty(value = "车辆型号")
    @JsonProperty("Veh_Clxh")
    @TableField(value = "VEH_CLXH", jdbcType = JdbcType.VARCHAR)
    private String vehClxh;

    @ApiModelProperty(value = "车身颜色")
    @JsonProperty("Veh_Csys")
    @TableField(value = "VEH_CSYS", jdbcType = JdbcType.VARCHAR)
    private String vehCsys;

    @ApiModelProperty(value = "底盘型号")
    @JsonProperty("Veh_Dpxh")
    @TableField(value = "VEH_DPXH", jdbcType = JdbcType.VARCHAR)
    private String vehDpxh;

    @ApiModelProperty(value = "底盘ID")
    @JsonProperty("Veh_Dpid")
    @TableField(value = "VEH_DPID", jdbcType = JdbcType.VARCHAR)
    private String vehDpid;

    @ApiModelProperty(value = "车辆识别代号")
    @JsonProperty("Veh_Clsbdh")
    @TableField(value = "VEH_CLSBDH", jdbcType = JdbcType.VARCHAR)
    private String vehClsbdh;

    @ApiModelProperty(value = "车架号")
    @JsonProperty("Veh_Cjh")
    @TableField(value = "VEH_CJH", jdbcType = JdbcType.VARCHAR)
    private String vehCjh;

    @ApiModelProperty(value = "发动机号")
    @JsonProperty("Veh_Fdjh")
    @TableField(value = "VEH_FDJH", jdbcType = JdbcType.VARCHAR)
    private String vehFdjh;

    @ApiModelProperty(value = "发动机型号")
    @JsonProperty("Veh_Fdjxh")
    @TableField(value = "VEH_FDJXH", jdbcType = JdbcType.VARCHAR)
    private String vehFdjxh;

    @ApiModelProperty(value = "燃料种类")
    @JsonProperty("Veh_Rlzl")
    @TableField(value = "VEH_RLZL", jdbcType = JdbcType.VARCHAR)
    private String vehRlzl;

    @ApiModelProperty(value = "排放标准")
    @JsonProperty("Veh_Pfbz")
    @TableField(value = "VEH_PFBZ", jdbcType = JdbcType.VARCHAR)
    private String vehPfbz;

    @ApiModelProperty(value = "排量")
    @JsonProperty("Veh_Pl")
    @TableField(value = "VEH_PL", jdbcType = JdbcType.VARCHAR)
    private String vehPl;

    @ApiModelProperty(value = "功率")
    @JsonProperty("Veh_Gl")
    @TableField(value = "VEH_GL", jdbcType = JdbcType.VARCHAR)
    private String vehGl;

    @ApiModelProperty(value = "转向形式")
    @JsonProperty("Veh_Zxxs")
    @TableField(value = "VEH_ZXXS", jdbcType = JdbcType.VARCHAR)
    private String vehZxxs;

    @ApiModelProperty(value = "前轮距")
    @JsonProperty("Veh_Qlj")
    @TableField(value = "VEH_QLJ", jdbcType = JdbcType.VARCHAR)
    private String vehQlj;

    @ApiModelProperty(value = "后轮距")
    @JsonProperty("Veh_Hlj")
    @TableField(value = "VEH_HLJ", jdbcType = JdbcType.VARCHAR)
    private String vehHlj;

    @ApiModelProperty(value = "轮胎数")
    @JsonProperty("Veh_Lts")
    @TableField(value = "VEH_LTS", jdbcType = JdbcType.VARCHAR)
    private String vehLts;

    @ApiModelProperty(value = "轮胎规格")
    @JsonProperty("Veh_Ltgg")
    @TableField(value = "VEH_LTGG", jdbcType = JdbcType.VARCHAR)
    private String vehLtgg;

    @ApiModelProperty(value = "钢板弹簧片数")
    @JsonProperty("Veh_Gbthps")
    @TableField(value = "VEH_GBTHPS", jdbcType = JdbcType.VARCHAR)
    private String vehGbthps;

    @ApiModelProperty(value = "轴距")
    @JsonProperty("Veh_Zj")
    @TableField(value = "VEH_ZJ", jdbcType = JdbcType.VARCHAR)
    private String vehZj;

    @ApiModelProperty(value = "轴荷")
    @JsonProperty("Veh_Zh")
    @TableField(value = "VEH_ZH", jdbcType = JdbcType.VARCHAR)
    private String vehZh;

    @ApiModelProperty(value = "轴数")
    @JsonProperty("Veh_Zs")
    @TableField(value = "VEH_ZS", jdbcType = JdbcType.VARCHAR)
    private String vehZs;

    @ApiModelProperty(value = "外廓长")
    @JsonProperty("Veh_Wkc")
    @TableField(value = "VEH_WKC", jdbcType = JdbcType.VARCHAR)
    private String vehWkc;

    @ApiModelProperty(value = "外廓宽")
    @JsonProperty("Veh_Wkk")
    @TableField(value = "VEH_WKK", jdbcType = JdbcType.VARCHAR)
    private String vehWkk;

    @ApiModelProperty(value = "外廓高")
    @JsonProperty("Veh_Wkg")
    @TableField(value = "VEH_WKG", jdbcType = JdbcType.VARCHAR)
    private String vehWkg;

    @ApiModelProperty(value = "货厢内部长")
    @JsonProperty("Veh_Hxnbc")
    @TableField(value = "VEH_HXNBC", jdbcType = JdbcType.VARCHAR)
    private String vehHxnbc;

    @ApiModelProperty(value = "货厢内部宽")
    @JsonProperty("Veh_Hxnbk")
    @TableField(value = "VEH_HXNBK", jdbcType = JdbcType.VARCHAR)
    private String vehHxnbk;

    @ApiModelProperty(value = "货厢内部高")
    @JsonProperty("Veh_Hxnbg")
    @TableField(value = "VEH_HXNBG", jdbcType = JdbcType.VARCHAR)
    private String vehHxnbg;

    @ApiModelProperty(value = "总质量")
    @JsonProperty("Veh_Zzl")
    @TableField(value = "VEH_ZZL", jdbcType = JdbcType.VARCHAR)
    private String vehZzl;

    @ApiModelProperty(value = "额定载质量")
    @JsonProperty("Veh_Edzzl")
    @TableField(value = "VEH_EDZZL", jdbcType = JdbcType.VARCHAR)
    private String vehEdzzl;

    @ApiModelProperty(value = "整备质量")
    @JsonProperty("Veh_Zbzl")
    @TableField(value = "VEH_ZBZL", jdbcType = JdbcType.VARCHAR)
    private String vehZbzl;

    @ApiModelProperty(value = "载质量利用系数")
    @JsonProperty("Veh_Zzllyxs")
    @TableField(value = "VEH_ZZLLYXS", jdbcType = JdbcType.VARCHAR)
    private String vehZzllyxs;

    @ApiModelProperty(value = "准牵引总质量")
    @JsonProperty("Veh_Zqyzzl")
    @TableField(value = "VEH_ZQYZZL", jdbcType = JdbcType.VARCHAR)
    private String vehZqyzzl;

    @ApiModelProperty(value = "额定载客")
    @JsonProperty("Veh_Edzk")
    @TableField(value = "VEH_EDZK", jdbcType = JdbcType.VARCHAR)
    private String vehEdzk;

    @ApiModelProperty(value = "半挂车鞍座最大允许总质量")
    @JsonProperty("Veh_Bgcazzdyxzzl")
    @TableField(value = "VEH_BGCAZZDYXZZL", jdbcType = JdbcType.VARCHAR)
    private String vehBgcazzdyxzzl;

    @ApiModelProperty(value = "驾驶室准乘人数")
    @JsonProperty("Veh_Jsszcrs")
    @TableField(value = "VEH_JSSZCRS", jdbcType = JdbcType.VARCHAR)
    private String vehJsszcrs;

    @ApiModelProperty(value = "最高车速")
    @JsonProperty("Veh_Zgcs")
    @TableField(value = "VEH_ZGCS", jdbcType = JdbcType.VARCHAR)
    private String vehZgcs;

    @ApiModelProperty(value = "车辆制造日期")
    @JsonProperty("Veh_Clzzrq")
    @TableField(value = "VEH_CLZZRQ", jdbcType = JdbcType.VARCHAR)
    private String vehClzzrq;

    @ApiModelProperty(value = "备注")
    @JsonProperty("Veh_Bz")
    @TableField(value = "VEH_BZ", jdbcType = JdbcType.VARCHAR)
    private String vehBz;

    @ApiModelProperty(value = "企业标准")
    @JsonProperty("Veh_Qybz")
    @TableField(value = "VEH_QYBZ", jdbcType = JdbcType.VARCHAR)
    private String vehQybz;

    @ApiModelProperty(value = "车辆生产单位名称")
    @JsonProperty("Veh_Clscdwmc")
    @TableField(value = "VEH_CLSCDWMC", jdbcType = JdbcType.VARCHAR)
    private String vehClscdwmc;

    @ApiModelProperty(value = "车辆生产单位地址")
    @JsonProperty("Veh_Cpscdz")
    @TableField(value = "VEH_CPSCDZ", jdbcType = JdbcType.VARCHAR)
    private String vehCpscdz;

    @ApiModelProperty(value = "企业其它信息")
    @JsonProperty("Veh_Qyqtxx")
    @TableField(value = "VEH_QYQTXX", jdbcType = JdbcType.VARCHAR)
    private String vehQyqtxx;

    @ApiModelProperty(value = "转向轴个数")
    @JsonProperty("Veh_Zxzs")
    @TableField(value = "VEH_ZXZS", jdbcType = JdbcType.VARCHAR)
    private String vehZxzs;

    @ApiModelProperty(value = "合格证条码信息")
    @JsonProperty("Veh_Tmxx")
    @TableField(value = "VEH_TMXX", jdbcType = JdbcType.VARCHAR)
    private String vehTmxx;

    @ApiModelProperty(value = "校验信息")
    @JsonProperty("Veh_Jyw")
    @TableField(value = "VEH_JYW", jdbcType = JdbcType.VARCHAR)
    private String vehJyw;

    @ApiModelProperty(value = "油耗")
    @JsonProperty("Veh_Yh")
    @TableField(value = "VEH_YH", jdbcType = JdbcType.VARCHAR)
    private String vehYh;

    @ApiModelProperty(value = "纯电动标记")
    @JsonProperty("Veh_Cddbj")
    @TableField(value = "VEH_CDDBJ", jdbcType = JdbcType.VARCHAR)
    private String vehCddbj;

    @ApiModelProperty(value = "目标打印机的名称")
    @JsonProperty("Veh_PrinterName")
    @TableField(value = "VEH_PRINTERNAME", jdbcType = JdbcType.VARCHAR)
    private String vehPrintername;

    @ApiModelProperty(value = "合格证打印的左边距")
    @JsonProperty("Veh_PrintPosLeft")
    @TableField(value = "VEH_PRINTPOSLEFT", jdbcType = JdbcType.VARCHAR)
    private String vehPrintposleft;

    @ApiModelProperty(value = "合格证打印的上边距")
    @JsonProperty("Veh_PrintPosTop")
    @TableField(value = "VEH_PRINTPOSTOP", jdbcType = JdbcType.VARCHAR)
    private String vehPrintpostop;

    @ApiModelProperty(value = "连接串口")
    @JsonProperty("Veh_Connect")
    @TableField(value = "VEH_CONNECT", jdbcType = JdbcType.VARCHAR)
    private String vehConnect;

    @ApiModelProperty(value = "串口波特率")
    @JsonProperty("Veh_Baud")
    @TableField(value = "VEH_BAUD", jdbcType = JdbcType.VARCHAR)
    private String vehBaud;

    @ApiModelProperty(value = "串口奇偶校验")
    @JsonProperty("Veh_Parity")
    @TableField(value = "VEH_PARITY", jdbcType = JdbcType.VARCHAR)
    private String vehParity;

    @ApiModelProperty(value = "串口数据位")
    @JsonProperty("Veh_Databits")
    @TableField(value = "VEH_DATABITS", jdbcType = JdbcType.VARCHAR)
    private String vehDatabits;

    @ApiModelProperty(value = "串口停止位")
    @JsonProperty("Veh_Stopbits")
    @TableField(value = "VEH_STOPBITS", jdbcType = JdbcType.VARCHAR)
    private String vehStopbits;

    @ApiModelProperty(value = "记录最近一次出错信息")
    @JsonProperty("Veh_ErrorInfo")
    @TableField(value = "VEH_ERRORINFO", jdbcType = JdbcType.VARCHAR)
    private String vehErrorinfo;

    @ApiModelProperty(value = "产品公告号")
    @JsonProperty("Veh_Cpggh")
    @TableField(value = "VEH_CPGGH", jdbcType = JdbcType.VARCHAR)
    private String vehCpggh;

    @ApiModelProperty(value = "纸张编号")
    @JsonProperty("Veh_Zzbh")
    @TableField(value = "VEH_ZZBH", jdbcType = JdbcType.VARCHAR)
    private String vehZzbh;

    @ApiModelProperty(value = "公告批次")
    @JsonProperty("Veh_Ggpc")
    @TableField(value = "VEH_GGPC", jdbcType = JdbcType.VARCHAR)
    private String vehGgpc;

    @ApiModelProperty(value = "公告生效日期")
    @JsonProperty("Veh_Ggsxrq")
    @TableField(value = "VEH_GGSXRQ", jdbcType = JdbcType.VARCHAR)
    private String vehGgsxrq;

    @ApiModelProperty(value = "打印唯一码")
    @JsonProperty("Veh_Dywym")
    @TableField(value = "VEH_DYWYM", jdbcType = JdbcType.VARCHAR)
    private String vehDywym;

    @ApiModelProperty(value = "配置序列号 ")
    @TableField(value = "CONFIG_SEQ_NO", jdbcType = JdbcType.INTEGER)
    private String configSeqNo;

    @ApiModelProperty(value = "合格证打印状态 ")
    @TableField(value = "HGZ_PRINT_STATUS", jdbcType = JdbcType.INTEGER)
    private Integer hgzPrintStatus;

    @ApiModelProperty(value = "合格证状态")
    @TableField(value = "HGZ_STATUS", jdbcType = JdbcType.INTEGER)
    private Integer hgzStatus;

    @ApiModelProperty(value = "合格证确认时间")
    @TableField(value = "HGZ_ACK_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date hgzAckTime;

    @ApiModelProperty(value = "合格证打印时间")
    @TableField(value = "HGZ_PRINT_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date hgzPrintTime;

    @ApiModelProperty(value = "合格证上传时间")
    @TableField(value = "HGZ_UPLOAD_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date hgzUploadTime;

    @ApiModelProperty(value = "合格证上传返回信息")
    @TableField(value = "HGZ_UPLOAD_MESSAGE", jdbcType = JdbcType.VARCHAR)
    private String hgzUploadMessage;

    @ApiModelProperty(value = "合格证补传原因 ")
    @TableField(value = "HGZ_OVER_TIME_REASON", jdbcType = JdbcType.VARCHAR)
    private String hgzOverTimeReason;

    @ApiModelProperty(value = "合格证注销原因 ")
    @TableField(value = "HGZ_LOGOUT_REASON", jdbcType = JdbcType.VARCHAR)
    private String hgzLogoutReason;

    @ApiModelProperty(value = "款型 ")
    @TableField(value = "HGZ_STYLE", jdbcType = JdbcType.VARCHAR)
    private String hgzStyle;

    @ApiModelProperty(value = "车辆状态信息 ")
    @TableField(value = "HGZ_VECHILE_STATE", jdbcType = JdbcType.VARCHAR)
    private String hgzVehicleState;

    @ApiModelProperty(value = "批次 ")
    @TableField(value = "HGZ_BATCH", jdbcType = JdbcType.VARCHAR)
    private String hgzBatch;

    @ApiModelProperty(value = "是否列入《免征车辆购置税的新能源汽车车型目录》 ")
    @TableField(value = "HGZ_MZSXNYQCML", jdbcType = JdbcType.VARCHAR)
    private String hgzMzsxnyqcml;

    @ApiModelProperty(value = "是否属于减征车辆购置税挂车 ")
    @TableField(value = "HGZ_JZCLGZSGC", jdbcType = JdbcType.VARCHAR)
    private String hgzJzclgzsgc;


    @TableField(value = "HGZ_ANNOUNCE_EFFECTIVE_DATE")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date hgzAnnounceEffectiveDate;

    @ApiModelProperty(value = "是否属于减征车辆购置税挂车 ")
    @TableField(value = "HGZ_TYPE", jdbcType = JdbcType.INTEGER)
    private Integer hgzType;

    @ApiModelProperty(value = "修改次数")
    @TableField(value = "HGZ_UPDATE_NUM", jdbcType = JdbcType.INTEGER)
    private Integer hgzUpdateNum;

    @ApiModelProperty(value = "撤销次数")
    @TableField(value = "HGZ_REVOKE_NUM", jdbcType = JdbcType.INTEGER)
    private Integer hgzRevokeNum;

    @TableField(value = "CREATE_TIME", insertStrategy = IGNORED, fill = INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(value ="CREATOR", insertStrategy = IGNORED, fill = INSERT, jdbcType = JdbcType.VARCHAR)
    private String creator;

    @ApiModelProperty(value = "")
    @TableField(value = "UPDATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @TableField(value = "UPDATER", updateStrategy = IGNORED, fill = INSERT_UPDATE, jdbcType = JdbcType.VARCHAR)
    private String updater;


    public static final String CERT_HGZ_PRINT_ID = "ID";

    public static final String CERT_HGZ_PRINT_VEH_CLZTXX = "VEH_Clztxx";

    public static final String CERT_HGZ_PRINT_VEH_ZCHGZBH = "VEH_Zchgzbh";

    public static final String CERT_HGZ_PRINT_VEH_DPHGZBH = "VEH_Dphgzbh";

    public static final String CERT_HGZ_PRINT_VEH_FZRQ = "VEH_Fzrq";

    public static final String CERT_HGZ_PRINT_VEH_CLZZQYMC = "VEH_Clzzqymc";

    public static final String CERT_HGZ_PRINT_VEH_QYID = "VEH_Qyid";

    public static final String CERT_HGZ_PRINT_VEH_CLFL = "VEH_Clfl";

    public static final String CERT_HGZ_PRINT_VEH_CLMC = "VEH_Clmc";

    public static final String CERT_HGZ_PRINT_VEH_CLPP = "VEH_Clpp";

    public static final String CERT_HGZ_PRINT_VEH_CLXH = "VEH_Clxh";

    public static final String CERT_HGZ_PRINT_VEH_CSYS = "VEH_Csys";

    public static final String CERT_HGZ_PRINT_VEH_DPXH = "VEH_Dpxh";

    public static final String CERT_HGZ_PRINT_VEH_DPID = "VEH_Dpid";

    public static final String CERT_HGZ_PRINT_VEH_CLSBDH = "VEH_Clsbdh";

    public static final String CERT_HGZ_PRINT_VEH_CJH = "VEH_Cjh";

    public static final String CERT_HGZ_PRINT_VEH_FDJH = "VEH_Fdjh";

    public static final String CERT_HGZ_PRINT_VEH_FDJXH = "VEH_Fdjxh";

    public static final String CERT_HGZ_PRINT_VEH_RLZL = "VEH_Rlzl";

    public static final String CERT_HGZ_PRINT_VEH_PFBZ = "VEH_Pfbz";

    public static final String CERT_HGZ_PRINT_VEH_PL = "VEH_Pl";

    public static final String CERT_HGZ_PRINT_VEH_GL = "VEH_Gl";

    public static final String CERT_HGZ_PRINT_VEH_ZXXS = "VEH_Zxxs";

    public static final String CERT_HGZ_PRINT_VEH_QLJ = "VEH_Qlj";

    public static final String CERT_HGZ_PRINT_VEH_HLJ = "VEH_Hlj";

    public static final String CERT_HGZ_PRINT_VEH_LTS = "VEH_Lts";

    public static final String CERT_HGZ_PRINT_VEH_LTGG = "VEH_Ltgg";

    public static final String CERT_HGZ_PRINT_VEH_GBTHPS = "VEH_Gbthps";

    public static final String CERT_HGZ_PRINT_VEH_ZJ = "VEH_Zj";

    public static final String CERT_HGZ_PRINT_VEH_ZH = "VEH_Zh";

    public static final String CERT_HGZ_PRINT_VEH_ZS = "VEH_Zs";

    public static final String CERT_HGZ_PRINT_VEH_WKC = "VEH_Wkc";

    public static final String CERT_HGZ_PRINT_VEH_WKK = "VEH_Wkk";

    public static final String CERT_HGZ_PRINT_VEH_WKG = "VEH_Wkg";

    public static final String CERT_HGZ_PRINT_VEH_HXNBC = "VEH_Hxnbc";

    public static final String CERT_HGZ_PRINT_VEH_HXNBK = "VEH_Hxnbk";

    public static final String CERT_HGZ_PRINT_VEH_HXNBG = "VEH_Hxnbg";

    public static final String CERT_HGZ_PRINT_VEH_ZZL = "VEH_Zzl";

    public static final String CERT_HGZ_PRINT_VEH_EDZZL = "VEH_Edzzl";

    public static final String CERT_HGZ_PRINT_VEH_ZBZL = "VEH_Zbzl";

    public static final String CERT_HGZ_PRINT_VEH_ZZLLYXS = "VEH_Zzllyxs";

    public static final String CERT_HGZ_PRINT_VEH_ZQYZZL = "VEH_Zqyzzl";

    public static final String CERT_HGZ_PRINT_VEH_EDZK = "VEH_Edzk";

    public static final String CERT_HGZ_PRINT_VEH_BGCAZZDYXZZL = "VEH_Bgcazzdyxzzl";

    public static final String CERT_HGZ_PRINT_VEH_JSSZCRS = "VEH_Jsszcrs";

    public static final String CERT_HGZ_PRINT_VEH_ZGCS = "VEH_Zgcs";

    public static final String CERT_HGZ_PRINT_VEH_CLZZRQ = "VEH_Clzzrq";

    public static final String CERT_HGZ_PRINT_VEH_BZ = "VEH_Bz";

    public static final String CERT_HGZ_PRINT_VEH_QYBZ = "VEH_Qybz";

    public static final String CERT_HGZ_PRINT_VEH_CLSCDWMC = "VEH_Clscdwmc";

    public static final String CERT_HGZ_PRINT_VEH_CPSCDZ = "VEH_Cpscdz";

    public static final String CERT_HGZ_PRINT_VEH_QYQTXX = "VEH_Qyqtxx";

    public static final String CERT_HGZ_PRINT_VEH_ZXZS = "VEH_Zxzs";

    public static final String CERT_HGZ_PRINT_VEH_TMXX = "VEH_Tmxx";

    public static final String CERT_HGZ_PRINT_VEH_JYW = "VEH_Jyw";

    public static final String CERT_HGZ_PRINT_VEH_YH = "VEH_Yh";

    public static final String CERT_HGZ_PRINT_VEH_CDDBJ = "VEH_Cddbj";

    public static final String CERT_HGZ_PRINT_VEH_PRINTERNAME = "VEH_PrinterName";

    public static final String CERT_HGZ_PRINT_VEH_PRINTPOSLEFT = "VEH_PrintPosLeft";

    public static final String CERT_HGZ_PRINT_VEH_PRINTPOSTOP = "VEH_PrintPosTop";

    public static final String CERT_HGZ_PRINT_VEH_CONNECT = "VEH_Connect";

    public static final String CERT_HGZ_PRINT_VEH_BAUD = "VEH_Baud";

    public static final String CERT_HGZ_PRINT_VEH_PARITY = "VEH_Parity";

    public static final String CERT_HGZ_PRINT_VEH_DATABITS = "VEH_Databits";

    public static final String CERT_HGZ_PRINT_VEH_STOPBITS = "VEH_Stopbits";

    public static final String CERT_HGZ_PRINT_VEH_ERRORINFO = "VEH_ErrorInfo";

    public static final String CERT_HGZ_PRINT_VEH_CPGGH = "VEH_Cpggh";

    public static final String CERT_HGZ_PRINT_VEH_ZZBH = "VEH_Zzbh";

    public static final String CERT_HGZ_PRINT_VEH_GGPC = "VEH_Ggpc";

    public static final String CERT_HGZ_PRINT_VEH_GGSXRQ = "VEH_Ggsxrq";

    public static final String CERT_HGZ_PRINT_VEH_DYWYM = "VEH_Dywym";

    public static final String CERT_HGZ_PRINT_HGZ_PRINT_STATUS = "HGZ_PRINT_STATUS";

    public static final String CERT_HGZ_PRINT_HGZ_ACK_TIME = "HGZ_ACK_TIME";

    public static final String CERT_HGZ_PRINT_CREATE_TIME = "CREATE_TIME";

    public static final String CERT_HGZ_PRINT_UPDATE_TIME = "UPDATE_TIME";

    public static final String CERT_HGZ_PRINT_UPDATER = "UPDATER";

    public static final String CERT_HGZ_PRINT_CREATOR = "CREATOR";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
