package com.adc.da.vdaims.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.adc.da.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.validation.annotation.Validated;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import static com.baomidou.mybatisplus.annotation.FieldFill.INSERT;
import static com.baomidou.mybatisplus.annotation.FieldFill.INSERT_UPDATE;
import static com.baomidou.mybatisplus.annotation.FieldStrategy.IGNORED;

/**
 * <p>
 *  实体类
 * </p>
 * 作者 gen
 * 日期 2021-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CERT_ZK")
@ApiModel(value="CertZkExt对象", description="")
public class CertZkExtEO extends BaseEntity<CertZkExtEO> {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ID_WORKER_STR)
    private String id;

    @ApiModelProperty(value = "企业ID")
    @TableField("QY_ID")
    private String qyId;

    @ApiModelProperty(value = "是否列入《免征车辆购置税的新能源汽车车型目录》 0 不是　１是")
    @TableField("MIANSHUI_XNY")
    private Integer mianshuiXny;

    @ApiModelProperty(value = "是否属于减征车辆购置税挂车　０　不是　１　是")
    @TableField("JIANSHUI_GUACHE")
    private Integer jianshuiGuache;

    @ApiModelProperty(value = "类别 1整车 2 底盘")
    @TableField("TYPE")
    private Integer type;

    @ApiModelProperty(value = "配置序列号表ID")
    @TableField("CONFIG_SEQ_ID")
    private String configSeqId;

    @ApiModelProperty(value = "车辆生产单位企业名称")
    @TableField("ENTERPRISE_NAME")
    @NotBlank(message = "车辆生产单位企业名称不能为空")
    private String enterpriseName;

    @ApiModelProperty(value = "款型")
    @TableField("STYLE")
    @NotBlank(message = "款型不能为空")
    private String style;

    @ApiModelProperty(value = "使用车型年份")
    @TableField("MODEL_USE_YEAR")
    @NotBlank(message = "使用车型年份不能为空")
    private Integer modelUseYear;

    @ApiModelProperty(value = "纯电动标记")
    @TableField("PURE_ELECTRICITY")
    private Integer pureElectricity;

    @ApiModelProperty(value = "双积分配置ID")
    @TableField("DOULE_SCORE_CONFIG_ID")
    private String douleScoreConfigId;

    @ApiModelProperty(value = "专用作业车免税标识")
    @TableField("MIANSHUI_ZYZYE")
    private Integer mianshuiZyzye;

    @ApiModelProperty(value = "VIN重新标示原因")
    @TableField("VIN_REMARK_REASON")
    @NotBlank(message = "VIN重新标示原因不能为空")
    private String vinRemarkReason;

    @ApiModelProperty(value = "企业标准")
    @TableField("ENTERPRISE_STANDARD")
    @NotBlank(message = "企业标准不能为空")
    private String enterpriseStandard;

    @ApiModelProperty(value = "备注")
    @TableField("REMARK")
    private String remark;

    @ApiModelProperty(value = "企业其它信息")
    @TableField("ENTERPRISE_OTHER")
    private String enterpriseOther;

    @ApiModelProperty(value = "模板名称")
    @TableField("TEMPLATE_NAME")
    @NotBlank(message = "模板名称不能为空")
    private String templateName;

    @ApiModelProperty(value = "状态 0  编辑中 1  已提交")
    @TableField("STATUS")
    private Integer status;

    @TableField(value = "CREATE_TIME", insertStrategy = IGNORED, fill = INSERT)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(value = "CREATOR", insertStrategy = IGNORED, fill = INSERT,jdbcType = JdbcType.VARCHAR)
    private String creator;

    @ApiModelProperty(value = "")
    @TableField("UPDATE_TIME")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @TableField(value = "UPDATER", updateStrategy = IGNORED, fill = INSERT_UPDATE,jdbcType = JdbcType.VARCHAR)
    private String updater;

    public static final String CERT_ZK_EXT_STATUS = "STATUS";

    public static final String CERT_ZK_EXT_ID = "ID";

    public static final String CERT_ZK_EXT_MIANSHUI_XNY = "MIANSHUI_XNY";

    public static final String CERT_ZK_EXT_JIANSHUI_GUACHE = "JIANSHUI_GUACHE";

    public static final String CERT_ZK_EXT_TYPE = "TYPE";

    public static final String CERT_ZK_EXT_CONFIG_SEQ_ID = "CONFIG_SEQ_ID";

    public static final String CERT_ZK_EXT_ENTERPRISE_NAME = "ENTERPRISE_NAME";

    public static final String CERT_ZK_EXT_STYLE = "STYLE";

    public static final String CERT_ZK_EXT_MODEL_USE_YEAR = "MODEL_USE_YEAR";

    public static final String CERT_ZK_EXT_PURE_ELECTRICITY = "PURE_ELECTRICITY";

    public static final String CERT_ZK_EXT_DOULE_SCORE_CONFIG_ID = "DOULE_SCORE_CONFIG_ID";

    public static final String CERT_ZK_EXT_MIANSHUI_ZYZYE = "MIANSHUI_ZYZYE";

    public static final String CERT_ZK_EXT_VIN_REMARK_REASON = "VIN_REMARK_REASON";

    public static final String CERT_ZK_EXT_ENTERPRISE_STANDARD = "ENTERPRISE_STANDARD";

    public static final String CERT_ZK_EXT_REMARK = "REMARK";

    public static final String CERT_ZK_EXT_ENTERPRISE_OTHER = "ENTERPRISE_OTHER";

    public static final String CERT_ZK_EXT_TEMPLATE_NAME = "TEMPLATE_NAME";

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
