package com.adc.da.vdaims.entity;

import com.adc.da.mp.base.BaseEntity;
import org.jeecgframework.poi.excel.annotation.Excel;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @Title: CertificationEntity
 * @Description: 证书的相关信息
 * @date 2017-05-15 16:39:31
 * @author yangzezheng
 * @version V1.0
 *
 */

public class CertificateDeclareEntity extends BaseEntity<CertificateDeclareEntity> {

	@Column(name="SERIAL_NUMBER",nullable =true,length = 600)
	@Excel(name = "流水号")
	private String serialNumber;//流水号

	@Column(name="PAPER_NO",nullable = true ,length = 600)
	@Excel(name = "纸张编号")
	private String paperNo;//纸张编号

	@Column(name = "FRAME_NUMBER", length = 600)
	@Excel(name = "车架号")
	private String frameNumber;//车架号

	@Column(name="PRINT_DATE",length=19)
	private Date printDate;  //打印时间


	/****************整车底盘共享字段*****************/

	@Column(name="VEHICLE_MODEL",nullable =true,length = 1000)
	@Excel(name = "车辆型号")
	private String vehicleModel;//车辆型号（底盘车辆型号）

	@Column(name = "COMPANY_NAME", nullable = true, length = 600)
	@Excel(name = "企业名称")
	private String companyName; //企业名称（底盘车辆制造企业名称）

	@Column(name = "PRODUCT_ANNOUNCEMENT_NUMBER", nullable = true, length = 600)
	@Excel(name = "产品公告号")
	private String productAnnouncementNumber; //产品公告号（底盘公告号）

	@Column(name = "ANNOUNCEMENT_BATCH", nullable = false, length = 600)
	@Excel(name = "公告批次")
	private String announcementBatch; //公告批次（底盘公告批次）

	@Column(name = "ANNOUNCE_EFFECTIVE_DATE", nullable = true, length = 600)
	@Excel(name = "公告日期")
	private Date announceEffctiveDate; //公告日期（底盘公告生效日期）

	@Column(name = "VEHICLE_STATUS_INFO", nullable = true, length = 600)
	@Excel(name = "车辆状态信息")
	private String vehicleStatusInfo; //车辆状态信息（车辆状态信息 （底盘）(默认DP)）

	@Column(name="VEHICLE_CLASSES")
	@Excel(name = "车辆分类")
	private String vehicleClasses; //整车车辆类别；车辆分类；车型类型（底盘车辆分类）

	@Column(name = "VEHICLE_NAME", nullable = true, length = 600)
	@Excel(name = "产品名称")
	private String vehicleName; //车辆名称（底盘车辆名称）

	@Column(name = "VEHICLE_BRAND", nullable = true, length = 600)
	@Excel(name = "产品品牌")
	private String vehicleBrand; //车辆品牌（底盘车辆品牌）

	@Column(name = "VEHICLE_COLOR", nullable = true, length = 600)
	@Excel(name = "车身颜色")
	private String vehicleColor; //车身颜色（底盘颜色）

	@Column(name = "ENGINE_MODEL", nullable = true, length = 600)
	@Excel(name = "发动机型号")
	private String engineModel; //发动机型号（底盘发动机型号）

	@Column(name = "FUEL_TYPE", nullable = true, length = 600)
	@Excel(name = "燃料种类")
	private String fuelType; //燃料种类（底盘燃料种类）

	@Column(name = "EMISSION_STANDARD", nullable = true, length = 600)
	@Excel(name = "排放标准")
	private String emissionStandard; //排放标准（底盘排放标准）

	@Column(name = "DISPLACEMENT", nullable = true, length = 600)
	@Excel(name = "排量")
	private String displacement; //排量（底盘排量）

	@Column(name = "POWER", nullable = true, length = 600)
	@Excel(name = "功率")
	private String power; //功率（底盘功率）

	@Column(name = "STEERING_TYPE", nullable = true, length = 600)
	@Excel(name = "转向形式")
	private String steeringType; //转向形式（底盘转向型式）

	@Column(name = "FRONT_GAUGE", nullable = true, length = 600)
	@Excel(name = "前轮距")
	private String frontGauge; //前轮距（底盘前轮距）

	@Column(name = "BACK_GAUGE", nullable = true, length = 600)
	@Excel(name = "后轮距")
	private String backGauge; //后轮距（底盘后轮距）

	@Column(name = "TIRE_NUM", nullable = true, length = 600)
	@Excel(name = "轮胎数")
	private String tireNum; //轮胎数（底盘轮胎数）


	@Column(name = "TIRE_SIZE", nullable = true, length = 600)
	@Excel(name = "轮胎规格")
	private String tireSize; //轮胎规格（底盘轮胎规格）

	@Column(name = "BRAND_SPRING_NUM", nullable = true, length = 600)
	@Excel(name = "钢板弹簧片数")
	private String brandSpringNum; //钢板弹簧片数（底盘钢板弹簧片数）

	@Column(name = "WHEELBASE", nullable = true, length = 600)
	@Excel(name = "轴距")
	private String wheelBase; //轴距（底盘轴距）

	@Column(name = "AXLE_LOAD", nullable = true, length = 600)
	@Excel(name = "轴荷")
	private String axleLoad; //轴荷（底盘轴荷）

	@Column(name = "AXLE_NUM", nullable = true, length = 600)
	@Excel(name = "轴数")
	private String axleNum; //轴数（底盘轴数）

	@Column(name = "OUTSIDE_LONG", nullable = true, length = 600)
	@Excel(name = "外廓长")
	private String outsideLong; //外廓长（底盘外廓长）

	@Column(name = "OUTSIDE_WIDTH", nullable = true, length = 600)
	@Excel(name = "外廓宽")
	private String outsideWidth; //外廓宽（底盘外廓宽）

	@Column(name = "OUTSIDE_HIGH", nullable = true, length = 600)
	@Excel(name = "外廓高")
	private String outsideHigh; //外廓高（底盘外廓高）

	@Column(name = "TOTAL_WEIGHT", nullable = true, length = 600)
	@Excel(name = "总质量")
	private String totalWeight; //总质量（底盘总质量）

	@Column(name = "KERB_WEIGHT", nullable = true, length = 600)
	@Excel(name = "整备质量")
	private String kerbWeight; //整备质量（底盘整备质量）

	@Column(name= "QUALITY_UTIL_FACTOR", nullable = true, length = 600)
	@Excel(name = "载质量利用系数")
	private String qualityUtilFactor; //载质量利用系数（底盘载质量利用系数）


	@Column(name = "TRACTION_WEIGHT", nullable = true, length = 600)
	@Excel(name = "准牵引总质量")
	private String tractionWeight; //准牵引总质量（底盘准牵引总质量）

	@Column(name = "RATED_PASS_CAP", nullable = true, length = 600)
	@Excel(name = "额定载客")
	private String ratedPassCap; //额定载客（底盘额定载客）

	@Column(name = "BOLSTER_MAX_CAPACITY", nullable = true, length = 600)
	@Excel(name = "半挂车鞍座最大允许总质量")
	private String bolsterMaxCapacity; //半挂车鞍座最大允许总质量（底盘半挂车鞍座最大允许总质量）

	@Column(name = "CAB_POPULATION", nullable = true, length = 600)
	@Excel(name = "驾驶室准乘人数")
	private String cabPopulation; //驾驶室准乘人数（底盘驾驶室准乘人数）

	@Column(name = "REMARK", nullable = true, length = 1000)
	@Excel(name = "备注")
	private String remark; //备注（底盘备注）

	@Column(name = "MAX_SPEED", nullable = true, length = 600)
	@Excel(name = "最高车速")
	private String maxSpeed; //最高车速（底盘最高设计车速）

	@Column(name = "COMPANY_STANDARD", nullable = true, length = 600)
	@Excel(name = "企业标准")
	private String companyStandard; //企业标准（底盘企业标准）


	@Column(name = "VP_CAMPANY_NAME", nullable = true, length = 600)
	@Excel(name = "车辆生产单位名称")
	private String vpCampanyName; //车辆生产单位名称（底盘车辆生产单位名称）

	@Column(name = "PRODUCING_ADDRESS", nullable = true, length = 600)
	@Excel(name = "生产地址")
	private String producingAddress; //生产地址（底盘车辆生产单位地址）

	@Column(name = "COMPANY_OTHER_INFO", nullable = true, length = 600)
	@Excel(name = "企业其他信息")
	private String companyOtherInfo; //企业其他信息（底盘企业其他信息）

	@Column(name = "PRODUCED_DATE",length = 19)
	@Excel(name = "车辆制造日期", importFormat="yyyy-MM-dd" , exportFormat = "yyyy-MM-dd")
	private Date producedDate;//车辆制造日期（底盘车辆制造日期）

	@Column(name = "VEHICLE_ENGINE_NUMBER", nullable = true, length = 600)
	@Excel(name = "发动机号")
	private String vehicleEngineNumber ; //整车发动机号/发动机编号（底盘发动机编号）

	@Column(name = "VEHICLE_OPENING_DATE",length = 19)
	private Date vehicleOpeningDate; //整车发证日期（底盘发证日期）

	@Column(name = "PURE_ELECTRIC_MARK", nullable = true, length = 600)
	@Excel(name = "是否纯电动标记",replace={"否_2","是_1"," _null"})
	private String pureElectricMark; //纯电动标记（底盘纯电动标记）

	@Column(name = "VEH_CON_SEQ_NUM", nullable = true, length = 600)
	@Excel(name = "整车配置序列号")
	public String vehicleConSeqNum; //整车配置序列号（底盘配置序列号）

	@Column(name = "CONTRACT_NO", nullable = true, length = 600)
	private String contractNo; //车辆识别代号（底盘车辆识别代号）


	@Column(name = "VEHICLE_CHASSIS_ID", nullable = true, length = 600)
	@Excel(name = "底盘ID")
	private String vehicleChassisID; //底盘ID（底盘id）

	@Column(name="VEHICLE_IDENTIFICATION_NUMBER",length = 600)
	@Excel(name ="车辆识别代号")
	private String vehicleIdentificationNumber;//车辆识别代号

	@Column(name = "DYWYM", length = 600)
	private String dywym; //打印唯一码（打印时生成，上传时使用）底盘打印唯一码 （打印时生成，上传时使用）

	@Column(name = "VEHJYW", length = 600)
	private String Veh_Jyw; //校验信息（校验码，打印时生成，上传时使用）底盘合格证校验信息（打印时生成，上传时使用）
/*
	@Column(name = "CHASSIS_DYWYM" , length = 600)
	private String chassisDywym;  //底盘打印唯一码 （打印时生成，上传时使用）

	@Column(name = "CHASSIS_JYM" , length = 600)
	private String chassisJym;   //底盘合格证校验信息（打印时生成，上传时使用）
*/

	/****************整车独有字段*****************/
	@Column(name="CERTIFICATE_NO",nullable=true,length = 600)
	@Excel(name = "整车合格证编号")
	private String certificateNo;//合格证编号

	@Column(name = "WZHGZBH" , length = 600)
	private String wzhgzbh; //完整合格证编号（打印时生成，上传时使用）

	@Column(name = "VEHICLE_DESIGN", nullable = true, length = 600)
	@Excel(name = "车型款式")
	private String vehicleDesign; //车型款式


	@Column(name = "VM_CAMPANY_NAME", nullable = true, length = 600)
	@Excel(name = "车辆制造企业名称")
	private String vmCampanyName; //车辆制造企业名称

	@Column(name = "CHASSIS_MODEL", nullable = true, length = 600)
	@Excel(name = "底盘型号")
	private String chassisModel; //底盘型号

	@Column(name = "STEERING_CYCLE", nullable = true, length = 600)
	@Excel(name = "转向轴数")
	private String steeringCycle; //转向轴数

	@Column(name = "COMPANY_ID", nullable = true, length = 600)
	@Excel(name = "企业ID")
	private String companyId; //企业ID

	@Column(name = "CARGO_BODY_LONG", nullable = true, length = 600)
	@Excel(name = "货箱内部长")
	private String cargoBodyLong; //货箱内部长

	@Column(name = "CARGO_BODY_WIDTH", nullable = true, length = 600)
	@Excel(name = "货箱内部宽")
	private String cargoBodyWidth; //货箱内部宽

	@Column(name = "CARGO_BODY_HIGH", nullable = true, length = 600)
	@Excel(name = "货箱内部高")
	private String cargoBodyHigh; //货箱内部高

	@Column(name = "RATE_WEIGHT", nullable = true, length = 600)
	@Excel(name = "额定载质量")
	private String rateWeight; //额定载质量


	@Column(name = "FRONT_BRAKE_MODE", nullable = true, length = 600)
	@Excel(name = "前制动方式")
	private String frontBrakeMode; //前制动方式

	@Column(name = "BACK_BRAKE_MODE", nullable = true, length = 600)
	@Excel(name = "后制动方式")
	private String backBrakeMode; //后制动方式

	@Column(name = "FRONT_BRAKE_OPT_MODE", nullable = true, length = 600)
	@Excel(name = "前制动操作方式")
	private String frontBrakeOptMode; //前制动操作方式

	@Column(name = "BACK_BRAKE_OPT_MODE", nullable = true, length = 600)
	@Excel(name = "后制动操作方式")
	private String backBrakeOptMode; //后制动操作方式

	@Column(name = "OIL_WEAR", nullable = true, length = 600)
	@Excel(name = "耗油")
	private String oilWear; //油耗


	@Column(name = "NEW_ENERGY_FREE_MARK", nullable = true, length = 600)
	@Excel(name = "是否列入《免征车辆购置税的新能源汽车车型目录》",replace={"否_2","是_1"," _null"})
	private String newEnergyFreeMark; //是否列入《免征车辆购置税的新能源汽车车型目录》

	@Column(name = "REDUCTION_VEHICLE_TAX", nullable = true, length = 600)
	@Excel(name = "是否属于减征车辆购置税挂车",replace={"否_2","是_1"," _null"})
	private String reductionVehicleTax; //是否属于减征车辆购置税挂车

	@Column(name = "MANUFACTURING_NO", nullable = true, length = 600)
	private String manufacturingNo;//出厂编号

	@Column(name="OPT_PART",nullable =true,length = 1000)
	//@Excel(name = "选装情况")
	private String optPart;//选装情况


	/****************底盘独有字段*****************/

	@Column(name="CHASSIS_CERTIFICATE_NO",length = 600)
	@Excel(name ="底盘合格证编号")
	private String chassisCertificateNo;//底盘合格证编号

	@Column(name = "CHASSIS_WZHGZBH" , length = 600)
	private String chassisWzhgzbh;   //完整底盘合格证编号（打印时生成，上传时使用）


	/****************不清楚有没有的字段****************/

	@Column(name="CAR_FRONT_OVERHANG", length = 600)
	private String carFrontOverhang;  //前悬

	@Column(name="CAR_REAE_OVERHANG", length = 600)
	private String carReaeOverhang;   //后悬

	/**************************************/

	@Column(name = "VERSION_NUMBER" , length = 600)
	private Integer versionNumber;//版本号（0：未打印，1：待上传(<48)，2：待补传(>48)，3：已上传，4：修改未上传。5：撤销未上传，6：修改再上传，7：撤销再上传，8：远程导入数据，9：待上传修改，10：待补传修改，11：修改后待上传，12：修改后待补传）

	@Column(name = "MENU_NUMBER" , length = 600)
	private Integer menuNumber;//菜单号用来区分是哪个页面（1：合格证查询，2：已打印待上传合格证，3：已打印待补传合格证，4：已上传合格证，5：已修改待打印合格证，6：已修改待上传合格证，7：已撤销待打印合格证，8：已撤销待上传合格证）

	@Column(name = "VEHICLE_OR_CHASSIS" ,nullable=false, length = 600)
	private Integer VehicleOrchassis;//整车数据还是底盘数据(1整车，2底盘,3远程查询数据)

	@Column(name = "FORWARD_REASON", length = 600)
	private String forwardReason;//补传原因

	@Column(name = "LOGOUT_REASON", length = 600)
	private String logoutReason;//注销原因

	@Column(name = "UPDATE_REASON", length = 600)
	private String updateReason; //修改原因

	@Column(name="UPLOAD_DATE",nullable=true,length=19)
	private Date uploadDate;  //上传时间

	//20180808新增同步字段
	@Column(name = "VEHICLE_STATUS", length = 600)
	private String  vehicleStatus; //状态

	@Column(name = "CLIENT_HARDWARE_INFO", length = 600)
	private String clientHardwareInfo;//上传主机硬件信息

	@Column(name = "CREATE_TIME ", length = 7)
	private Date createTime;//上传日期

	@Column(name = "FEED_BACK_TIME", length = 7)
	private Date feedbackTime;//公安反馈时间

	@Column(name = "H_ID", length = 600)
	private String hId;//反馈码

	@Column(name = "HD_HOST", length = 600)
	private String hdHost;//上传主机地址

	@Column(name = "HD_USER", length = 600)
	private String hdUser;//企业用户名

	@Column(name = "UKEY", length = 600)
	private String ukey;//U盾标识

	@Column(name = "UPDATE_TIME", length = 7)
	private Date updateTime;//更新日期

	@Column(name = "JFPZID", nullable = true, length = 600)
	@Excel(name = "双积分配置ID")
	private String jfpzid; //双积分配置ID

	//20180919上传成功返回字段
	@Column(name = "UPLOAD_MESSAGE", length = 600)
	private String uploadMessage;//U盾标识

	@Column(name="CONFIRM_PRINT_STATUS", length = 600)
	private String confirmPrintStatus;   //确认打印状态

	//新增2019-04-15
	@Column(name="STOP_SALES_DATE",nullable = true , length = 600)
	public String stopSalesDate;//停止销售日期

	@Column(name="FAST_OUTPUT_NUMBER",nullable = true , length = 600)
	public String fastOutputNumber;//快速输入码

	@Column(name="TYPE_OF_MONEY",nullable = true , length = 600)
	public String typeOfMoney;//款型

	@Column(name="TEMPLATE_NAME",nullable = true , length = 600)
	public String templateName;//模板名称

	@Column(name="QR_STATE_CODE",nullable = true , length = 600)
	public String QRStateCode;//二维码状态

	@Column(name="REVOKE_NUM",nullable = true , length = 600)
	public Integer revokeNum;//撤销次数


	@Column(name="UPDATE_NUM",nullable = true , length = 600)
	public Integer updateNum;//修改次数

	public Integer getUpdateNum() {
		return updateNum;
	}

	public void setUpdateNum(Integer updateNum) {
		this.updateNum = updateNum;
	}

	public Integer getRevokeNum() {
		return revokeNum;
	}

	public void setRevokeNum(Integer revokeNum) {
		this.revokeNum = revokeNum;
	}

	public String getQRStateCode() {
		return QRStateCode;
	}

	public void setQRStateCode(String qRStateCode) {
		QRStateCode = qRStateCode;
	}

	public String getStopSalesDate() {
		return stopSalesDate;
	}

	public void setStopSalesDate(String stopSalesDate) {
		this.stopSalesDate = stopSalesDate;
	}

	public String getFastOutputNumber() {
		return fastOutputNumber;
	}

	public void setFastOutputNumber(String fastOutputNumber) {
		this.fastOutputNumber = fastOutputNumber;
	}

	public String getTypeOfMoney() {
		return typeOfMoney;
	}

	public void setTypeOfMoney(String typeOfMoney) {
		this.typeOfMoney = typeOfMoney;
	}

	public String getTemplateName() {
		return templateName;
	}

	public void setTemplateName(String templateName) {
		this.templateName = templateName;
	}

	public String getVehicleStatus() {
		return vehicleStatus;
	}

	public void setVehicleStatus(String vehicleStatus) {
		this.vehicleStatus = vehicleStatus;
	}

	public String getClientHardwareInfo() {
		return clientHardwareInfo;
	}

	public void setClientHardwareInfo(String clientHardwareInfo) {
		this.clientHardwareInfo = clientHardwareInfo;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getFeedbackTime() {
		return feedbackTime;
	}

	public void setFeedbackTime(Date feedbackTime) {
		this.feedbackTime = feedbackTime;
	}

	public String gethId() {
		return hId;
	}

	public void sethId(String hId) {
		this.hId = hId;
	}

	public String getHdHost() {
		return hdHost;
	}

	public void setHdHost(String hdHost) {
		this.hdHost = hdHost;
	}

	public String getHdUser() {
		return hdUser;
	}

	public void setHdUser(String hdUser) {
		this.hdUser = hdUser;
	}

	public String getUkey() {
		return ukey;
	}

	public void setUkey(String ukey) {
		this.ukey = ukey;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getChassisCertificateNo() {
		return chassisCertificateNo;
	}

	public void setChassisCertificateNo(String chassisCertificateNo) {
		this.chassisCertificateNo = chassisCertificateNo;
	}

	public String getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(String serialNumber) {
		this.serialNumber = serialNumber;
	}

	public String getPaperNo() {
		return paperNo;
	}

	public void setPaperNo(String paperNo) {
		this.paperNo = paperNo;
	}

	public String getFrameNumber() {
		return frameNumber;
	}

	public void setFrameNumber(String frameNumber) {
		this.frameNumber = frameNumber;
	}

	public Date getPrintDate() {
		return printDate;
	}

	public void setPrintDate(Date printDate) {
		this.printDate = printDate;
	}

	public String getVehicleModel() {
		return vehicleModel;
	}

	public void setVehicleModel(String vehicleModel) {
		this.vehicleModel = vehicleModel;
	}

	public String getCertificateNo() {
		return certificateNo;
	}

	public void setCertificateNo(String certificateNo) {
		this.certificateNo = certificateNo;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getProductAnnouncementNumber() {
		return productAnnouncementNumber;
	}

	public void setProductAnnouncementNumber(String productAnnouncementNumber) {
		this.productAnnouncementNumber = productAnnouncementNumber;
	}

	public String getAnnouncementBatch() {
		return announcementBatch;
	}

	public void setAnnouncementBatch(String announcementBatch) {
		this.announcementBatch = announcementBatch;
	}

	public Date getAnnounceEffctiveDate() {
		return announceEffctiveDate;
	}

	public void setAnnounceEffctiveDate(Date announceEffctiveDate) {
		this.announceEffctiveDate = announceEffctiveDate;
	}

	public String getVehicleStatusInfo() {
		return vehicleStatusInfo;
	}

	public void setVehicleStatusInfo(String vehicleStatusInfo) {
		this.vehicleStatusInfo = vehicleStatusInfo;
	}

	public String getVehicleClasses() {
		return vehicleClasses;
	}

	public void setVehicleClasses(String vehicleClasses) {
		this.vehicleClasses = vehicleClasses;
	}

	public String getVehicleName() {
		return vehicleName;
	}

	public void setVehicleName(String vehicleName) {
		this.vehicleName = vehicleName;
	}

	public String getVehicleBrand() {
		return vehicleBrand;
	}

	public void setVehicleBrand(String vehicleBrand) {
		this.vehicleBrand = vehicleBrand;
	}

	public String getVehicleColor() {
		return vehicleColor;
	}

	public void setVehicleColor(String vehicleColor) {
		this.vehicleColor = vehicleColor;
	}

	public String getEngineModel() {
		return engineModel;
	}

	public void setEngineModel(String engineModel) {
		this.engineModel = engineModel;
	}

	public String getFuelType() {
		return fuelType;
	}

	public void setFuelType(String fuelType) {
		this.fuelType = fuelType;
	}

	public String getEmissionStandard() {
		return emissionStandard;
	}

	public void setEmissionStandard(String emissionStandard) {
		this.emissionStandard = emissionStandard;
	}

	public String getDisplacement() {
		return displacement;
	}

	public void setDisplacement(String displacement) {
		this.displacement = displacement;
	}

	public String getPower() {
		return power;
	}

	public void setPower(String power) {
		this.power = power;
	}

	public String getSteeringType() {
		return steeringType;
	}

	public void setSteeringType(String steeringType) {
		this.steeringType = steeringType;
	}

	public String getFrontGauge() {
		return frontGauge;
	}

	public void setFrontGauge(String frontGauge) {
		this.frontGauge = frontGauge;
	}

	public String getBackGauge() {
		return backGauge;
	}

	public void setBackGauge(String backGauge) {
		this.backGauge = backGauge;
	}

	public String getTireNum() {
		return tireNum;
	}

	public void setTireNum(String tireNum) {
		this.tireNum = tireNum;
	}

	public String getTireSize() {
		return tireSize;
	}

	public void setTireSize(String tireSize) {
		this.tireSize = tireSize;
	}

	public String getBrandSpringNum() {
		return brandSpringNum;
	}

	public void setBrandSpringNum(String brandSpringNum) {
		this.brandSpringNum = brandSpringNum;
	}

	public String getWheelBase() {
		return wheelBase;
	}

	public void setWheelBase(String wheelBase) {
		this.wheelBase = wheelBase;
	}

	public String getAxleLoad() {
		return axleLoad;
	}

	public void setAxleLoad(String axleLoad) {
		this.axleLoad = axleLoad;
	}

	public String getAxleNum() {
		return axleNum;
	}

	public void setAxleNum(String axleNum) {
		this.axleNum = axleNum;
	}

	public String getOutsideLong() {
		return outsideLong;
	}

	public void setOutsideLong(String outsideLong) {
		this.outsideLong = outsideLong;
	}

	public String getOutsideWidth() {
		return outsideWidth;
	}

	public void setOutsideWidth(String outsideWidth) {
		this.outsideWidth = outsideWidth;
	}

	public String getOutsideHigh() {
		return outsideHigh;
	}

	public void setOutsideHigh(String outsideHigh) {
		this.outsideHigh = outsideHigh;
	}

	public String getTotalWeight() {
		return totalWeight;
	}

	public void setTotalWeight(String totalWeight) {
		this.totalWeight = totalWeight;
	}

	public String getKerbWeight() {
		return kerbWeight;
	}

	public void setKerbWeight(String kerbWeight) {
		this.kerbWeight = kerbWeight;
	}

	public String getQualityUtilFactor() {
		return qualityUtilFactor;
	}

	public void setQualityUtilFactor(String qualityUtilFactor) {
		this.qualityUtilFactor = qualityUtilFactor;
	}

	public String getTractionWeight() {
		return tractionWeight;
	}

	public void setTractionWeight(String tractionWeight) {
		this.tractionWeight = tractionWeight;
	}

	public String getRatedPassCap() {
		return ratedPassCap;
	}

	public void setRatedPassCap(String ratedPassCap) {
		this.ratedPassCap = ratedPassCap;
	}

	public String getBolsterMaxCapacity() {
		return bolsterMaxCapacity;
	}

	public void setBolsterMaxCapacity(String bolsterMaxCapacity) {
		this.bolsterMaxCapacity = bolsterMaxCapacity;
	}

	public String getCabPopulation() {
		return cabPopulation;
	}

	public void setCabPopulation(String cabPopulation) {
		this.cabPopulation = cabPopulation;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getMaxSpeed() {
		return maxSpeed;
	}

	public void setMaxSpeed(String maxSpeed) {
		this.maxSpeed = maxSpeed;
	}

	public String getCompanyStandard() {
		return companyStandard;
	}

	public void setCompanyStandard(String companyStandard) {
		this.companyStandard = companyStandard;
	}

	public String getVpCampanyName() {
		return vpCampanyName;
	}

	public void setVpCampanyName(String vpCampanyName) {
		this.vpCampanyName = vpCampanyName;
	}

	public String getProducingAddress() {
		return producingAddress;
	}

	public void setProducingAddress(String producingAddress) {
		this.producingAddress = producingAddress;
	}

	public String getCompanyOtherInfo() {
		return companyOtherInfo;
	}

	public void setCompanyOtherInfo(String companyOtherInfo) {
		this.companyOtherInfo = companyOtherInfo;
	}

	public Date getProducedDate() {
		return producedDate;
	}

	public void setProducedDate(Date producedDate) {
		this.producedDate = producedDate;
	}

	public String getVehicleEngineNumber() {
		return vehicleEngineNumber;
	}

	public void setVehicleEngineNumber(String vehicleEngineNumber) {
		this.vehicleEngineNumber = vehicleEngineNumber;
	}

	public Date getVehicleOpeningDate() {
		return vehicleOpeningDate;
	}

	public void setVehicleOpeningDate(Date vehicleOpeningDate) {
		this.vehicleOpeningDate = vehicleOpeningDate;
	}

	public String getPureElectricMark() {
		return pureElectricMark;
	}

	public void setPureElectricMark(String pureElectricMark) {
		this.pureElectricMark = pureElectricMark;
	}

	public String getVehicleConSeqNum() {
		return vehicleConSeqNum;
	}

	public void setVehicleConSeqNum(String vehicleConSeqNum) {
		this.vehicleConSeqNum = vehicleConSeqNum;
	}

	public String getContractNo() {
		return contractNo;
	}

	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}

	public String getVehicleChassisID() {
		return vehicleChassisID;
	}

	public void setVehicleChassisID(String vehicleChassisID) {
		this.vehicleChassisID = vehicleChassisID;
	}

	public String getVehicleDesign() {
		return vehicleDesign;
	}

	public void setVehicleDesign(String vehicleDesign) {
		this.vehicleDesign = vehicleDesign;
	}

	public String getVmCampanyName() {
		return vmCampanyName;
	}

	public void setVmCampanyName(String vmCampanyName) {
		this.vmCampanyName = vmCampanyName;
	}

	public String getChassisModel() {
		return chassisModel;
	}

	public void setChassisModel(String chassisModel) {
		this.chassisModel = chassisModel;
	}

	public String getSteeringCycle() {
		return steeringCycle;
	}

	public void setSteeringCycle(String steeringCycle) {
		this.steeringCycle = steeringCycle;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public String getCargoBodyLong() {
		return cargoBodyLong;
	}

	public void setCargoBodyLong(String cargoBodyLong) {
		this.cargoBodyLong = cargoBodyLong;
	}

	public String getCargoBodyWidth() {
		return cargoBodyWidth;
	}

	public void setCargoBodyWidth(String cargoBodyWidth) {
		this.cargoBodyWidth = cargoBodyWidth;
	}

	public String getCargoBodyHigh() {
		return cargoBodyHigh;
	}

	public void setCargoBodyHigh(String cargoBodyHigh) {
		this.cargoBodyHigh = cargoBodyHigh;
	}

	public String getRateWeight() {
		return rateWeight;
	}

	public void setRateWeight(String rateWeight) {
		this.rateWeight = rateWeight;
	}

	public String getFrontBrakeMode() {
		return frontBrakeMode;
	}

	public void setFrontBrakeMode(String frontBrakeMode) {
		this.frontBrakeMode = frontBrakeMode;
	}

	public String getBackBrakeMode() {
		return backBrakeMode;
	}

	public void setBackBrakeMode(String backBrakeMode) {
		this.backBrakeMode = backBrakeMode;
	}

	public String getFrontBrakeOptMode() {
		return frontBrakeOptMode;
	}

	public void setFrontBrakeOptMode(String frontBrakeOptMode) {
		this.frontBrakeOptMode = frontBrakeOptMode;
	}

	public String getBackBrakeOptMode() {
		return backBrakeOptMode;
	}

	public void setBackBrakeOptMode(String backBrakeOptMode) {
		this.backBrakeOptMode = backBrakeOptMode;
	}

	public String getOilWear() {
		return oilWear;
	}

	public void setOilWear(String oilWear) {
		this.oilWear = oilWear;
	}

	public String getNewEnergyFreeMark() {
		return newEnergyFreeMark;
	}

	public void setNewEnergyFreeMark(String newEnergyFreeMark) {
		this.newEnergyFreeMark = newEnergyFreeMark;
	}

	public String getManufacturingNo() {
		return manufacturingNo;
	}

	public void setManufacturingNo(String manufacturingNo) {
		this.manufacturingNo = manufacturingNo;
	}

	public String getOptPart() {
		return optPart;
	}

	public void setOptPart(String optPart) {
		this.optPart = optPart;
	}

	public String getVehicleIdentificationNumber() {
		return vehicleIdentificationNumber;
	}

	public void setVehicleIdentificationNumber(String vehicleIdentificationNumber) {
		this.vehicleIdentificationNumber = vehicleIdentificationNumber;
	}

	public String getWzhgzbh() {
		return wzhgzbh;
	}

	public void setWzhgzbh(String wzhgzbh) {
		this.wzhgzbh = wzhgzbh;
	}

	public String getDywym() {
		return dywym;
	}

	public void setDywym(String dywym) {
		this.dywym = dywym;
	}

	public String getVeh_Jyw() {
		return Veh_Jyw;
	}

	public void setVeh_Jyw(String veh_Jyw) {
		Veh_Jyw = veh_Jyw;
	}

	public String getChassisWzhgzbh() {
		return chassisWzhgzbh;
	}

	public void setChassisWzhgzbh(String chassisWzhgzbh) {
		this.chassisWzhgzbh = chassisWzhgzbh;
	}

	public String getCarFrontOverhang() {
		return carFrontOverhang;
	}

	public void setCarFrontOverhang(String carFrontOverhang) {
		this.carFrontOverhang = carFrontOverhang;
	}

	public String getCarReaeOverhang() {
		return carReaeOverhang;
	}

	public void setCarReaeOverhang(String carReaeOverhang) {
		this.carReaeOverhang = carReaeOverhang;
	}

	public Integer getVersionNumber() {
		return versionNumber;
	}

	public void setVersionNumber(Integer versionNumber) {
		this.versionNumber = versionNumber;
	}



	public Integer getMenuNumber() {
		return menuNumber;
	}

	public void setMenuNumber(Integer menuNumber) {
		this.menuNumber = menuNumber;
	}

	public Integer getVehicleOrchassis() {
		return VehicleOrchassis;
	}

	public void setVehicleOrchassis(Integer vehicleOrchassis) {
		VehicleOrchassis = vehicleOrchassis;
	}

	public String getForwardReason() {
		return forwardReason;
	}

	public void setForwardReason(String forwardReason) {
		this.forwardReason = forwardReason;
	}

	public String getLogoutReason() {
		return logoutReason;
	}

	public void setLogoutReason(String logoutReason) {
		this.logoutReason = logoutReason;
	}

	public String getUpdateReason() {
		return updateReason;
	}

	public void setUpdateReason(String updateReason) {
		this.updateReason = updateReason;
	}

	public Date getUploadDate() {
		return uploadDate;
	}

	public void setUploadDate(Date uploadDate) {
		this.uploadDate = uploadDate;
	}

	public String getJfpzid() {
		return jfpzid;
	}

	public void setJfpzid(String jfpzid) {
		this.jfpzid = jfpzid;
	}

	public String getReductionVehicleTax() {
		return reductionVehicleTax;
	}

	public void setReductionVehicleTax(String reductionVehicleTax) {
		this.reductionVehicleTax = reductionVehicleTax;
	}

	public String getUploadMessage() {
		return uploadMessage;
	}

	public void setUploadMessage(String uploadMessage) {
		this.uploadMessage = uploadMessage;
	}

	public String getConfirmPrintStatus() {
		return confirmPrintStatus;
	}

	public void setConfirmPrintStatus(String confirmPrintStatus) {
		this.confirmPrintStatus = confirmPrintStatus;
	}

}
