package com.adc.da.vdaims.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.adc.da.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import static com.baomidou.mybatisplus.annotation.FieldFill.INSERT;
import static com.baomidou.mybatisplus.annotation.FieldFill.INSERT_UPDATE;
import static com.baomidou.mybatisplus.annotation.FieldStrategy.IGNORED;

/**
 * <p>
 *  实体类
 * </p>
 * 作者 gen
 * 日期 2021-08-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CERT_CONFIG_SEQ")
@ApiModel(value="ConfigSeq对象", description="")
public class ConfigSeqEO extends BaseEntity<ConfigSeqEO> {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ID_WORKER_STR)
    private String id;

    @ApiModelProperty(value = "企业ID")
    @TableField("QY_ID")
    private String qyId;

    @ApiModelProperty(value = "配置序列号")
    @TableField("CONFIG_SEQ_NO")
    private String configSeqNo;

    @ApiModelProperty(value = "产品型号")
    @TableField("PRODUCT_MODEL")
    private String productModel;

    @ApiModelProperty(value = "车辆类型")
    @TableField("VEHICLE_TYPE")
    private String vehicleType;

    @ApiModelProperty(value = "产品名称")
    @TableField("PRODUCT_NAME")
    private String productName;

    @ApiModelProperty(value = "品牌")
    @TableField("BRAND")
    private String brand;

    @ApiModelProperty(value = "批次")
    @TableField("BATCH")
    private String batch;

    @ApiModelProperty(value = "状态 0 未确认 1已确认(待编辑) 2 编辑中 3 已完成 ")
    @TableField("STATUS")
    private Integer status;

    @ApiModelProperty(value = "状态 0 未确认 1已确认")
    @TableField("ACK_STATUS")
    private Integer ackStatus;

    @ApiModelProperty(value = "配置描述")
    @TableField("DESCRIPTION")
    private String description;


    @ApiModelProperty(value = "类别 1 整车 2 底盘")
    @TableField("TYPE")
    private Integer type;

    @ApiModelProperty(value = "款型")
    @TableField("STYLE")
    private String style;

    @ApiModelProperty(value = "纯型号")
    @TableField("MODEL")
    private String model;

    @TableField(value = "CREATE_TIME", insertStrategy = IGNORED, fill = INSERT)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(value = "CREATOR", insertStrategy = IGNORED, fill = INSERT,jdbcType = JdbcType.VARCHAR)
    private String creator;

    @ApiModelProperty(value = "")
    @TableField("UPDATE_TIME")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @TableField(value = "UPDATER", updateStrategy = IGNORED, fill = INSERT_UPDATE,jdbcType = JdbcType.VARCHAR)
    private String updater;


    public static final String CERT_CONFIG_SEQ_ID = "ID";

    public static final String CERT_CONFIG_SEQ_CONFIG_SEQ_NO = "CONFIG_SEQ_NO";

    public static final String CERT_CONFIG_SEQ_PRODUCT_MODEL = "PRODUCT_MODEL";

    public static final String CERT_CONFIG_SEQ_VEHICLE_TYPE = "VEHICLE_TYPE";

    public static final String CERT_CONFIG_SEQ_PRODUCT_NAME = "PRODUCT_NAME";

    public static final String CERT_CONFIG_SEQ_BRAND = "BRAND";

    public static final String CERT_CONFIG_SEQ_BATCH = "BATCH";

    public static final String CERT_CONFIG_SEQ_STATUS = "STATUS";

    public static final String CERT_CONFIG_SEQ_ACK_STATUS = "ACK_STATUS";

    public static final String CERT_CONFIG_SEQ_DESCIRPTION = "DESCIRPTION";

    public static final String CERT_CONFIG_SEQ_CREATE_TIME = "CREATE_TIME";

    public static final String CERT_CONFIG_SEQ_CREATOR = "CREATOR";

    public static final String CERT_CONFIG_SEQ_UPDATE_TIME = "UPDATE_TIME";

    public static final String CERT_CONFIG_SEQ_UPDATER = "UPDATER";

    public static final String CERT_CONFIG_SEQ_TYPE = "TYPE";

    public static final String CERT_CONFIG_SEQ_STYLE = "STYLE";

    public static final String CERT_CONFIG_SEQ_MODEL = "MODEL";

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
