package com.adc.da.vdaims.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.adc.da.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;

/**
 * <p>
 *  实体类
 * </p>
 * 作者 gen
 * 日期 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.SYXY_ENVIRONMENTAL_DATA")
@ApiModel(value="SyxyEnvironmentalData对象", description="")
public class SyxyEnvironmentalDataEO extends BaseEntity<SyxyEnvironmentalDataEO> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.UUID)
    private String id;

    @TableField("CREATE_BY_ID")
    private String createById;

    @TableField("CREATE_DATE")
    private Date createDate;

    @TableField("DEL")
    private BigDecimal del;   // 0 未确认  1已确认

    @ApiModelProperty(value = "地址")
    @TableField("ADDRESS")
    private String address;

    @ApiModelProperty(value = "空气滤清器型号/生产厂")
    @TableField("AIR_FILTER_MODEL")
    private String airFilterModel;

    @ApiModelProperty(value = "电池容量/续航里程")
    @TableField("BATTERY_CAPACITY")
    private String batteryCapacity;

    @ApiModelProperty(value = "汽车类别")
    @TableField("CAR_CATEGORY")
    private String carCategory;

    @ApiModelProperty(value = "车辆制造商名称")
    @TableField("CAR_CONSTRUCT_NAME")
    private String carConstructName;

    @ApiModelProperty(value = " 车型的识别方法和位置")
    @TableField("CAR_IDENT_LOCATION")
    private String carIdentLocation;

    @ApiModelProperty(value = "车型型号")
    @TableField("CAR_MODEL_TYPE")
    private String carModelType;

    @ApiModelProperty(value = "车辆型号")
    @TableField("CAR_TYPE_CODE")
    private String carTypeCode;

    @ApiModelProperty(value = "催化器型号/生产厂")
    @TableField("CATALYSTS_TYPE")
    private String catalystsType;

    @ApiModelProperty(value = "出厂结论")
    @TableField("CCJL")
    private String ccjl;

    @ApiModelProperty(value = "出厂试验")
    @TableField("CCSY")
    private String ccsy;

    @TableField("COAT_CARR_ENCAPSUL")
    private String coatCarrEncapsul;

    @ApiModelProperty(value = "曲轴箱排放控制装置型号/生产厂")
    @TableField("CRANK_EMIS_CONTROL_TYPE")
    private String crankEmisControlType;

    @ApiModelProperty(value = "曲轴箱污染物排放控制装置型号/生产厂")
    @TableField("CRANKCASE_EMISSION_CONTROL")
    private String crankcaseEmissionControl;

    @ApiModelProperty(value = "排放阶段")
    @TableField("DISCHARGE_STAGE")
    private String dischargeStage;

    @ApiModelProperty(value = "ECU型号/版本号/生产厂")
    @TableField("ECU_MODEL_VERSION_NUM")
    private String ecuModelVersionNum;

    @ApiModelProperty(value = "喷射器型号/生产厂")
    @TableField("EJECTOR_MODEL")
    private String ejectorModel;

    @ApiModelProperty(value = "储能装置型号/生产厂")
    @TableField("ENERGY_STORING_MODEL")
    private String energyStoringModel;

    @ApiModelProperty(value = "发动机制造商")
    @TableField("ENGINE_CONSTRUCT_NAME")
    private String engineConstructName;

    @ApiModelProperty(value = "发动机生产厂地址")
    @TableField("ENGINE_FACTORY_ADDRESS")
    private String engineFactoryAddress;

    @ApiModelProperty(value = "发动机系族名称")
    @TableField("ENGINE_FAMILY_NAME")
    private String engineFamilyName;

    @ApiModelProperty(value = "发动机厂牌")
    @TableField("ENGINE_MAKE")
    private String engineMake;

    @ApiModelProperty(value = "发动机编号（发动机号）")
    @TableField("ENGINE_NO")
    private String engineNo;

    @ApiModelProperty(value = "发动机型号/生产厂")
    @TableField("ENGINE_TYPE")
    private String engineType;

    @ApiModelProperty(value = "企业信息公开网址")
    @TableField("ENTERPRISE_INFO_PUBLIC_URL")
    private String enterpriseInfoPublicUrl;

    @ApiModelProperty(value = "EGR型号/生产厂")
    @TableField("ERG_TYPE")
    private String ergType;

    @ApiModelProperty(value = "蒸发器或压力调节器型号/生产厂")
    @TableField("EVAPORATOR_MODEL")
    private String evaporatorModel;

    @ApiModelProperty(value = "排气消声器型号/生产厂")
    @TableField("EXHAUST_MUFFLER_MODEL")
    private String exhaustMufflerModel;

    @ApiModelProperty(value = "排气后处理系统型号/生产厂")
    @TableField("EXHAUST_POST_SYSTEM_MODEL")
    private String exhaustPostSystemModel;

    @ApiModelProperty(value = "排气后处理系统型式")
    @TableField("EXHAUST_POST_SYSTEM_TYPE")
    private String exhaustPostSystemType;

    @ApiModelProperty(value = "发动机生产厂地址")
    @TableField("FACTORY_ADDRESS")
    private String factoryAddress;

    @ApiModelProperty(value = "燃油蒸发污染物排放控制装置型号/生产厂")
    @TableField("FUEL_EMISSION_CONTROL")
    private String fuelEmissionControl;

    @ApiModelProperty(value = "燃油蒸发控制装置型号/生产厂")
    @TableField("FUEL_EVAPORA_CONTROL_TYPE")
    private String fuelEvaporaControlType;

    @ApiModelProperty(value = "燃料供给系统型式")
    @TableField("FUEL_SUPPLY_SYSTEM_TYPE")
    private String fuelSupplySystemType;

    @ApiModelProperty(value = "燃气喷射单元型号/生产厂")
    @TableField("GAS_INJECTION_UNIT")
    private String gasInjectionUnit;

    @ApiModelProperty(value = "燃气混合器型号/生产厂")
    @TableField("GAS_MIXER_MODEL")
    private String gasMixerModel;

    @ApiModelProperty(value = "变速器型式/档位数")
    @TableField("GERBOX_TYPE_GEAR_NUM")
    private String gerboxTypeGearNum;

    @ApiModelProperty(value = "中冷器型式")
    @TableField("HEARTSHAPETYPE")
    private String heartshapetype;

    @ApiModelProperty(value = "混合装置型号/生产厂")
    @TableField("HYBRID_MODEL")
    private String hybridModel;

    @ApiModelProperty(value = "进口企业")
    @TableField("IMPORT_BUSINESS")
    private String importBusiness;

    @ApiModelProperty(value = "信息公开编号")
    @TableField("INFO_DISCLOSURE_NO")
    private String infoDisclosureNo;

    @ApiModelProperty(value = "喷油泵型号/生产厂")
    @TableField("INJECTION_PUMP_MOEDL")
    private String injectionPumpMoedl;

    @ApiModelProperty(value = "喷油器型号/生产厂")
    @TableField("INJECTOR_MODEL")
    private String injectorModel;

    @ApiModelProperty(value = "进气消声器型号/生产厂")
    @TableField("INTAKE_MUFFLER_MODEL")
    private String intakeMufflerModel;

    @ApiModelProperty(value = "IUPR监测功能")
    @TableField("IUPR_MONITOR_FUNCTION")
    private String iuprMonitorFunction;

    @ApiModelProperty(value = "法人代表")
    @TableField("LEGAL_REPRESENTATIVE")
    private String legalRepresentative;

    @ApiModelProperty(value = "最大净功率/转速（kW/r/min）")
    @TableField("MAXIMUM_NET_POWER")
    private String maximumNetPower;

    @ApiModelProperty(value = "最大净扭矩/转速（Nm/r/min）")
    @TableField("MAXIMUM_NET_TORQUE")
    private String maximumNetTorque;

    @ApiModelProperty(value = "联系电话")
    @TableField("MOBILE")
    private String mobile;

    @ApiModelProperty(value = "电动机型号/生产厂")
    @TableField("MOTOR_MODEL")
    private String motorModel;

    @ApiModelProperty(value = "消声器型号/生产厂")
    @TableField("MUFFLER_MODEL")
    private String mufflerModel;

    @ApiModelProperty(value = "OBD型号/生产厂")
    @TableField("OBD_TYPE")
    private String obdType;

    @ApiModelProperty(value = "公开时间")
    @TableField("OPEN_TIME")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date openTime;

    @ApiModelProperty(value = "氧传感器型号/生产厂")
    @TableField("OXYGEN_SENSOR_TYPE")
    private String oxygenSensorType;

    @ApiModelProperty(value = "封装/载体/涂层生产厂")
    @TableField("PACKAG_CARRIER_COATING")
    private String packagCarrierCoating;

    @ApiModelProperty(value = "喷射泵或压力调节器型号/生产厂")
    @TableField("PRESSURE_REGULATOR_MODEL")
    private String pressureRegulatorModel;

    @ApiModelProperty(value = "打印开关 0为关，1为开")
    @TableField("PRINT_SWITCH")
    private BigDecimal printSwitch;

    @ApiModelProperty(value = "生产企业")
    @TableField("PRO_BUSINESS")
    private String proBusiness;

    @ApiModelProperty(value = "后处理装置型号/生产厂")
    @TableField("REPROCESS_MODEL")
    private String reprocessModel;

    @ApiModelProperty(value = "模板名称")
    @TableField("TEMPLATE_NAME")
    private String templateName;

    @ApiModelProperty(value = "增压器型号/生产厂")
    @TableField("SUPERCHARGER_MODEL")
    private String superchargerModel;

    @ApiModelProperty(value = " 商标")
    @TableField("TRADEMARK")
    private String trademark;

    @ApiModelProperty(value = "整车控制器型号/版本号/生产厂")
    @TableField("VEH_MODEL_VERSION_NUM")
    private String vehModelVersionNum;

    @ApiModelProperty(value = "款型")
    @TableField("TYPE_OF_MONEY")
    private String typeOfMoney;

    @ApiModelProperty(value = "车型款式")
    @TableField("VEHICLE_DESIGN")
    private String vehicleDesign;

    @ApiModelProperty(value = "车辆识别代号")
    @TableField("VEHICLE_NO")
    private String vehicleNo;

    @ApiModelProperty(value = "快速输入码")
    @TableField("FAST_OUTPUT_NUMBER")
    private String fastOutputNumber;

    @ApiModelProperty(value = "基准质量")
    @TableField("JZZL")
    private String jzzl;

    @ApiModelProperty(value = "颗粒捕集器型号/生产企业")
    @TableField("KLBJQXH_SCQY")
    private String klbjqxhScqy;

    @ApiModelProperty(value = "涂层/载体/封装生产企业")
    @TableField("TC_ZT_FZSCC")
    private String tcZtFzscc;

    @ApiModelProperty(value = "炭罐型号/生产企业")
    @TableField("TGXH_SCQY")
    private String tgxhScqy;

    //20210922 新增字段
    @ApiModelProperty(value = "OBD接口位置")
    @TableField("OBDINTERFACELOCATION")
    private String obdinterfacelocation;

    @ApiModelProperty(value = "催化转化器（DOC）型号/生产企业")
    @TableField("CATALYSTSTYPEDOC")
    private String catalyststypedoc;

    @ApiModelProperty(value = "封装/载体/涂层生产企业")
    @TableField("TCZTFZDOC")
    private String tcztfzdoc;

    @ApiModelProperty(value = "催化转化器（SCR）型号/生产企业")
    @TableField("CATALYSTSTYPESCR")
    private String catalyststypescr;

    @ApiModelProperty(value = "封装/载体/涂层生产企业")
    @TableField("TCZTFZSCR")
    private String tcztfzscr;

    @ApiModelProperty(value = "氮氧化物存储催化还原催化转化器型号/生产企业")
    @TableField("NITROGENOXIDESTYPE")
    private String nitrogenoxidestype;

    @ApiModelProperty(value = "封装/载体/涂层生产企业")
    @TableField("TCZTFZNITROGENOXIDES")
    private String tcztfznitrogenoxides;

    @ApiModelProperty(value = "催化转化器（ASC）型号/生产企业")
    @TableField("CATALYSTSTYPEASC")
    private String catalyststypeasc;

    @ApiModelProperty(value = "封装/载体/涂层生产企业")
    @TableField("TCZTFZASC")
    private String tcztfzasc;

    //20210922 新增字段
//    @ApiModelProperty(value = "涂层/载体/封装生产企业")
//    @TableField("COATCARRENCAPSUL")
//    private String coatcarrencapsul;

    @ApiModelProperty(value = "排气管口位置")
    @TableField("EXHAUSTPIPEPOSITION")
    private String exhaustpipeposition;

    @ApiModelProperty(value = "排气管口朝向")
    @TableField("EXHAUSTPIPEORIENTATIONS")
    private String exhaustpipeorientations;

    @ApiModelProperty(value = "共轨管型号/生产企业")
    @TableField("GGXHSCQY")
    private String ggxhscqy;

//    @ApiModelProperty(value = "喷射泵或压力调节器型号/生产厂")
//    @TableField("PRESSUREREGULATORMODEL")
//    private String pressureregulatormodel;

//    @ApiModelProperty(value = "燃油蒸发污染物排放控制装置型号/生产厂")
//    @TableField("FUELEMISSIONCONTROL")
//    private String fuelemissioncontrol;


 //2021-10-08 新增字段
    @ApiModelProperty(value = "额定功率/转速")
    @TableField("RATEDPOWERSPEED")
    private String ratedPowerSpeed;

    @ApiModelProperty(value = "催化转化器（LNT）型号/生产企业")
    @TableField("CATALYSTSTYPELNT")
    private String catalystsTypeLNT;

    @ApiModelProperty(value = "封装/载体/涂层生产企业（LNT）")
    @TableField("TCZTFZLNT")
    private String tcZtFzLnt;

    @ApiModelProperty(value = "模板类型")
    @TableField("TEMPLATE_TYPE")
    private String templateType;

    @ApiModelProperty(value = "模板头信息")
    @TableField("TEMPLATE_INFO")
    private String templateInfo;


//    private String klpjqDFF;//颗粒捕集器（DPF）型号/生产企业
//    private String TcZtFzDFF;//封装/载体/涂层生产企业(颗粒捕集器（DPF）)

    @ApiModelProperty(value = "颗粒捕集器（DPF）型号/生产企业")
    @TableField("KLPJQDFF")
    private String klpjqDFF;

    @ApiModelProperty(value = "封装/载体/涂层生产企业(颗粒捕集器（DPF）)")
    @TableField("TCZTFZDFF")
    private String TcZtFzDFF;

    @ApiModelProperty(value = "同步车型批次")
    @TableField("PC")
    private String pc;


    public static final String SYXY_ENVIRONMENTAL_DATA_ID = "ID";

    public static final String SYXY_ENVIRONMENTAL_DATA_CREATE_BY_ID = "CREATE_BY_ID";

    public static final String SYXY_ENVIRONMENTAL_DATA_CREATE_DATE = "CREATE_DATE";

    public static final String SYXY_ENVIRONMENTAL_DATA_DEL = "DEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_ADDRESS = "ADDRESS";

    public static final String SYXY_ENVIRONMENTAL_DATA_AIR_FILTER_MODEL = "AIR_FILTER_MODEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_BATTERY_CAPACITY = "BATTERY_CAPACITY";

    public static final String SYXY_ENVIRONMENTAL_DATA_CAR_CATEGORY = "CAR_CATEGORY";

    public static final String SYXY_ENVIRONMENTAL_DATA_CAR_CONSTRUCT_NAME = "CAR_CONSTRUCT_NAME";

    public static final String SYXY_ENVIRONMENTAL_DATA_CAR_IDENT_LOCATION = "CAR_IDENT_LOCATION";

    public static final String SYXY_ENVIRONMENTAL_DATA_CAR_MODEL_TYPE = "CAR_MODEL_TYPE";

    public static final String SYXY_ENVIRONMENTAL_DATA_CAR_TYPE_CODE = "CAR_TYPE_CODE";

    public static final String SYXY_ENVIRONMENTAL_DATA_CATALYSTS_TYPE = "CATALYSTS_TYPE";

    public static final String SYXY_ENVIRONMENTAL_DATA_CCJL = "CCJL";

    public static final String SYXY_ENVIRONMENTAL_DATA_CCSY = "CCSY";

    public static final String SYXY_ENVIRONMENTAL_DATA_COAT_CARR_ENCAPSUL = "COAT_CARR_ENCAPSUL";

    public static final String SYXY_ENVIRONMENTAL_DATA_CRANK_EMIS_CONTROL_TYPE = "CRANK_EMIS_CONTROL_TYPE";

    public static final String SYXY_ENVIRONMENTAL_DATA_CRANKCASE_EMISSION_CONTROL = "CRANKCASE_EMISSION_CONTROL";

    public static final String SYXY_ENVIRONMENTAL_DATA_DISCHARGE_STAGE = "DISCHARGE_STAGE";

    public static final String SYXY_ENVIRONMENTAL_DATA_ECU_MODEL_VERSION_NUM = "ECU_MODEL_VERSION_NUM";

    public static final String SYXY_ENVIRONMENTAL_DATA_EJECTOR_MODEL = "EJECTOR_MODEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_ENERGY_STORING_MODEL = "ENERGY_STORING_MODEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_ENGINE_CONSTRUCT_NAME = "ENGINE_CONSTRUCT_NAME";

    public static final String SYXY_ENVIRONMENTAL_DATA_ENGINE_FACTORY_ADDRESS = "ENGINE_FACTORY_ADDRESS";

    public static final String SYXY_ENVIRONMENTAL_DATA_ENGINE_FAMILY_NAME = "ENGINE_FAMILY_NAME";

    public static final String SYXY_ENVIRONMENTAL_DATA_ENGINE_MAKE = "ENGINE_MAKE";

    public static final String SYXY_ENVIRONMENTAL_DATA_ENGINE_NO = "ENGINE_NO";

    public static final String SYXY_ENVIRONMENTAL_DATA_ENGINE_TYPE = "ENGINE_TYPE";

    public static final String SYXY_ENVIRONMENTAL_DATA_ENTERPRISE_INFO_PUBLIC_URL = "ENTERPRISE_INFO_PUBLIC_URL";

    public static final String SYXY_ENVIRONMENTAL_DATA_ERG_TYPE = "ERG_TYPE";

    public static final String SYXY_ENVIRONMENTAL_DATA_EVAPORATOR_MODEL = "EVAPORATOR_MODEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_EXHAUST_MUFFLER_MODEL = "EXHAUST_MUFFLER_MODEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_EXHAUST_POST_SYSTEM_MODEL = "EXHAUST_POST_SYSTEM_MODEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_EXHAUST_POST_SYSTEM_TYPE = "EXHAUST_POST_SYSTEM_TYPE";

    public static final String SYXY_ENVIRONMENTAL_DATA_FACTORY_ADDRESS = "FACTORY_ADDRESS";

    public static final String SYXY_ENVIRONMENTAL_DATA_FUEL_EMISSION_CONTROL = "FUEL_EMISSION_CONTROL";

    public static final String SYXY_ENVIRONMENTAL_DATA_FUEL_EVAPORA_CONTROL_TYPE = "FUEL_EVAPORA_CONTROL_TYPE";

    public static final String SYXY_ENVIRONMENTAL_DATA_FUEL_SUPPLY_SYSTEM_TYPE = "FUEL_SUPPLY_SYSTEM_TYPE";

    public static final String SYXY_ENVIRONMENTAL_DATA_GAS_INJECTION_UNIT = "GAS_INJECTION_UNIT";

    public static final String SYXY_ENVIRONMENTAL_DATA_GAS_MIXER_MODEL = "GAS_MIXER_MODEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_GERBOX_TYPE_GEAR_NUM = "GERBOX_TYPE_GEAR_NUM";

    public static final String SYXY_ENVIRONMENTAL_DATA_HEARTSHAPETYPE = "HEARTSHAPETYPE";

    public static final String SYXY_ENVIRONMENTAL_DATA_HYBRID_MODEL = "HYBRID_MODEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_IMPORT_BUSINESS = "IMPORT_BUSINESS";

    public static final String SYXY_ENVIRONMENTAL_DATA_INFO_DISCLOSURE_NO = "INFO_DISCLOSURE_NO";

    public static final String SYXY_ENVIRONMENTAL_DATA_INJECTION_PUMP_MOEDL = "INJECTION_PUMP_MOEDL";

    public static final String SYXY_ENVIRONMENTAL_DATA_INJECTOR_MODEL = "INJECTOR_MODEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_INTAKE_MUFFLER_MODEL = "INTAKE_MUFFLER_MODEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_IUPR_MONITOR_FUNCTION = "IUPR_MONITOR_FUNCTION";

    public static final String SYXY_ENVIRONMENTAL_DATA_LEGAL_REPRESENTATIVE = "LEGAL_REPRESENTATIVE";

    public static final String SYXY_ENVIRONMENTAL_DATA_MAXIMUM_NET_POWER = "MAXIMUM_NET_POWER";

    public static final String SYXY_ENVIRONMENTAL_DATA_MAXIMUM_NET_TORQUE = "MAXIMUM_NET_TORQUE";

    public static final String SYXY_ENVIRONMENTAL_DATA_MOBILE = "MOBILE";

    public static final String SYXY_ENVIRONMENTAL_DATA_MOTOR_MODEL = "MOTOR_MODEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_MUFFLER_MODEL = "MUFFLER_MODEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_OBD_TYPE = "OBD_TYPE";

    public static final String SYXY_ENVIRONMENTAL_DATA_OPEN_TIME = "OPEN_TIME";

    public static final String SYXY_ENVIRONMENTAL_DATA_OXYGEN_SENSOR_TYPE = "OXYGEN_SENSOR_TYPE";

    public static final String SYXY_ENVIRONMENTAL_DATA_PACKAG_CARRIER_COATING = "PACKAG_CARRIER_COATING";

    public static final String SYXY_ENVIRONMENTAL_DATA_PRESSURE_REGULATOR_MODEL = "PRESSURE_REGULATOR_MODEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_PRINT_SWITCH = "PRINT_SWITCH";

    public static final String SYXY_ENVIRONMENTAL_DATA_PRO_BUSINESS = "PRO_BUSINESS";

    public static final String SYXY_ENVIRONMENTAL_DATA_REPROCESS_MODEL = "REPROCESS_MODEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_TEMPLATE_NAME = "TEMPLATE_NAME";

    public static final String SYXY_ENVIRONMENTAL_DATA_SUPERCHARGER_MODEL = "SUPERCHARGER_MODEL";

    public static final String SYXY_ENVIRONMENTAL_DATA_TRADEMARK = "TRADEMARK";

    public static final String SYXY_ENVIRONMENTAL_DATA_VEH_MODEL_VERSION_NUM = "VEH_MODEL_VERSION_NUM";

    public static final String SYXY_ENVIRONMENTAL_DATA_TYPE_OF_MONEY = "TYPE_OF_MONEY";

    public static final String SYXY_ENVIRONMENTAL_DATA_VEHICLE_DESIGN = "VEHICLE_DESIGN";

    public static final String SYXY_ENVIRONMENTAL_DATA_VEHICLE_NO = "VEHICLE_NO";

    public static final String SYXY_ENVIRONMENTAL_DATA_FAST_OUTPUT_NUMBER = "FAST_OUTPUT_NUMBER";

    public static final String SYXY_ENVIRONMENTAL_DATA_JZZL = "JZZL";

    public static final String SYXY_ENVIRONMENTAL_DATA_KLBJQXH_SCQY = "KLBJQXH_SCQY";

    public static final String SYXY_ENVIRONMENTAL_DATA_TC_ZT_FZSCC = "TC_ZT_FZSCC";

    public static final String SYXY_ENVIRONMENTAL_DATA_TGXH_SCQY = "TGXH_SCQY";

    public static final String SYXY_ENVIRONMENTAL_DATA_OBDINTERFACELOCATION = "OBDINTERFACELOCATION";

    public static final String SYXY_ENVIRONMENTAL_DATA_CATALYSTSTYPEDOC = "CATALYSTSTYPEDOC";

    public static final String SYXY_ENVIRONMENTAL_DATA_TCZTFZDOC = "TCZTFZDOC";

    public static final String SYXY_ENVIRONMENTAL_DATA_CATALYSTSTYPESCR = "CATALYSTSTYPESCR";

    public static final String SYXY_ENVIRONMENTAL_DATA_TCZTFZSCR = "TCZTFZSCR";

    public static final String SYXY_ENVIRONMENTAL_DATA_NITROGENOXIDESTYPE = "NITROGENOXIDESTYPE";

    public static final String SYXY_ENVIRONMENTAL_DATA_TCZTFZNITROGENOXIDES = "TCZTFZNITROGENOXIDES";

    public static final String SYXY_ENVIRONMENTAL_DATA_CATALYSTSTYPEASC = "CATALYSTSTYPEASC";

    public static final String SYXY_ENVIRONMENTAL_DATA_TCZTFZASC = "TCZTFZASC";
    //20210922 新增字段
//    public static final String SYXY_ENVIRONMENTAL_DATA_COATCARRENCAPSUL = "COATCARRENCAPSUL";

    public static final String SYXY_ENVIRONMENTAL_DATA_EXHAUSTPIPEPOSITION = "EXHAUSTPIPEPOSITION";

    public static final String SYXY_ENVIRONMENTAL_DATA_EXHAUSTPIPEORIENTATIONS = "EXHAUSTPIPEORIENTATIONS";

    public static final String SYXY_ENVIRONMENTAL_DATA_GGXHSCQY = "GGXHSCQY";

//    public static final String SYXY_ENVIRONMENTAL_DATA_PRESSUREREGULATORMODEL = "PRESSUREREGULATORMODEL";

//    public static final String SYXY_ENVIRONMENTAL_DATA_FUELEMISSIONCONTROL = "FUELEMISSIONCONTROL";

    public static final String SYXY_ENVIRONMENTAL_DATA_RATEDPOWERSPEED = "RATEDPOWERSPEED";
    public static final String SYXY_ENVIRONMENTAL_DATA_CATALYSTSTYPELNT = "CATALYSTSTYPELNT";
    public static final String SYXY_ENVIRONMENTAL_DATA_TCZTFZLNT = "TCZTFZLNT";

    public static final String SYXY_ENVIRONMENTAL_DATA_TEMPLATE_TYPE = "TEMPLATE_TYPE";
    public static final String SYXY_ENVIRONMENTAL_DATA_TEMPLATE_INFO = "TEMPLATE_INFO";

    public static final String SYXY_ENVIRONMENTAL_DATA_KLPJQDFF = "KLPJQDFF";
    public static final String SYXY_ENVIRONMENTAL_DATA_TCZTFZDFF = "TCZTFZDFF";
    public static final String SYXY_ENVIRONMENTAL_DATA_PC = "PC";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
