package com.adc.da.vdaims.entity;

import java.math.BigDecimal;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.adc.da.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;

/**
 * <p>
 *  实体类
 * </p>
 * 作者 gen
 * 日期 2021-09-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.SYXY_MODEL_ENVIROMENTAL_DATA")
@ApiModel(value="SyxyModelEnviromentalData对象", description="")
public class SyxyModelEnviromentalDataEO extends BaseEntity<SyxyModelEnviromentalDataEO> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.UUID)
    private String id;

    @ApiModelProperty(value = "VIN")
    @TableField("VIN")
    @Excel(name = "车辆识别代号")
    private String vin;

    @TableField("CAR_TYPE_CODE")
    @Excel(name = "车辆型号")
    private String carTypeCode;

    @TableField("VEHICLE_NO")
    @Excel(name = "车辆识别代号")
    private String vehicleNo;

    @TableField("ENGINE_NO")
    @Excel(name = "发动机号")
    private String engineNo;

    @TableField("FACTORY_ADDRESS")
    @Excel(name = "生产厂地址")
    private String factoryAddress;

    @TableField("PRODUCED_DATE")
    @Excel(name ="车辆制造日期", exportFormat = "yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date producedDate; //车辆制造日期

    @TableField("ENTERPRISE_INFO_PUBLIC_URL")
    @Excel(name = "企业信息公开网址")
    private String enterpriseInfoPublicUrl;

    @TableField("ENGINE_CONSTRUCT_NAME")
    @Excel(name = "发动机制造商")
    private String engineConstructName;

    @TableField("REPROCESS_MODEL")
    @Excel(name = "后处理装置型号/生产厂")
    private String reprocessModel;

    @TableField("INJECTION_PUMP_MOEDL")
    @Excel(name = "喷油泵型号/生产厂")
    private String injectionPumpMoedl;

    @TableField("INJECTOR_MODEL")
    @Excel(name = "喷油器型号/生产厂")
    private String injectorModel;

    @TableField("GAS_MIXER_MODEL")
    @Excel(name = "燃气混合器型号/生产厂")
    private String gasMixerModel;

    @TableField("GAS_INJECTION_UNIT")
    @Excel(name = "燃气喷射单元型号/生产厂")
    private String gasInjectionUnit;

    @TableField("MAXIMUM_NET_POWER")
    @Excel(name = "最大净功率/转速（kW/r/min）")
    private String maximumNetPower;

    @TableField("MAXIMUM_NET_TORQUE")
    @Excel(name = "最大净扭矩/转速（Nm/r/min）")
    private String maximumNetTorque;

    @TableField("FUEL_SUPPLY_SYSTEM_TYPE")
    @Excel(name = "燃料供给系统型式")
    private String fuelSupplySystemType;

    @TableField("EXHAUST_POST_SYSTEM_MODEL")
    @Excel(name = "排气后处理系统型号/生产厂")
    private String exhaustPostSystemModel;

    @TableField("PACKAG_CARRIER_COATING")
    @Excel(name = "封装/载体/涂层生产厂")
    private String packagCarrierCoating;

    @TableField("EXHAUST_POST_SYSTEM_TYPE")
    @Excel(name = "排气后处理系统型式")
    private String exhaustPostSystemType;

    @TableField("INTAKE_MUFFLER_MODEL")
    @Excel(name = "进气消声器型号/生产厂")
    private String intakeMufflerModel;

    @TableField("AIR_FILTER_MODEL")
    @Excel(name = "空气滤清器型号/生产厂")
    private String airFilterModel;

    @TableField("EXHAUST_MUFFLER_MODEL")
    @Excel(name = "排气消声器型号/生产厂")
    private String exhaustMufflerModel;

    @TableField("EVAPORATOR_MODEL")
    @Excel(name = "蒸发器或压力调节器型号/生产厂")
    private String evaporatorModel;

    @TableField("HYBRID_MODEL")
    @Excel(name = "混合装置型号/生产厂")
    private String hybridModel;

    @TableField("EJECTOR_MODEL")
    @Excel(name = "喷射器型号/生产厂")
    private String ejectorModel;

    @TableField("CRANKCASE_EMISSION_CONTROL")
    @Excel(name = "曲轴箱污染物排放控制装置型号/生产厂")
    private String crankcaseEmissionControl;

    @TableField("PRESSURE_REGULATOR_MODEL")
    @Excel(name = "喷射泵或压力调节器型号/生产厂")
    private String pressureRegulatorModel;

    @TableField("FUEL_EMISSION_CONTROL")
    @Excel(name = "燃油蒸发污染物排放控制装置型号/生产厂")
    private String fuelEmissionControl;

    @TableField("IMPORT_BUSINESS")
    @Excel(name = "进口企业")
    private String importBusiness;

    @TableField("CAR_MODEL_TYPE")
    @Excel(name = "车型型号")
    private String carModelType;

    @TableField("OPEN_TIME")
    @Excel(name = "公开时间", exportFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date openTime;

    @TableField("FAST_OUTPUT_NUMBER")
    @Excel(name = "快速输入码")
    private String fastOutputNumber;

    @TableField("TYPE_OF_MONEY")
    @Excel(name = "款型")
    private String typeOfMoney;

    @TableField("JZZL")
    @Excel(name = "基准质量")
    private String jzzl;

    @TableField("KLBJQXH_SCQY")
    @Excel(name = "颗粒捕集器型号/生产企业")
    private String klbjqxhScqy;

    @TableField("TC_ZT_FZSCC")
    @Excel(name = "涂层/载体/封装生产企业")
    private String tcZtFzscc;

    @TableField("TGXH_SCQY")
    @Excel(name = "炭罐型号/生产企业")
    private String tgxhScqy;

    @TableField("CREATE_DATE")
    @Excel(name ="创建时间", exportFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date createDate;

    @TableField("CREATE_BY_ID")
    private String createById;

    @TableField("DEL")
    private BigDecimal del;

    @TableField("ADDRESS")
    private String address;

    @TableField("BATTERY_CAPACITY")
    private String batteryCapacity;

    @TableField("CAR_CATEGORY")
    private String carCategory;

    @TableField("CAR_CONSTRUCT_NAME")
    private String carConstructName;

    @TableField("CAR_IDENT_LOCATION")
    private String carIdentLocation;

    @TableField("CATALYSTS_TYPE")
    private String catalystsType;

    @TableField("CCJL")
    private String ccjl;

    @TableField("CCSY")
    private String ccsy;

    @TableField("COAT_CARR_ENCAPSUL")
    private String coatCarrEncapsul;

    @TableField("CRANK_EMIS_CONTROL_TYPE")
    private String crankEmisControlType;

    @TableField("DISCHARGE_STAGE")
    private String dischargeStage;

    @TableField("ECU_MODEL_VERSION_NUM")
    private String ecuModelVersionNum;

    @TableField("ENERGY_STORING_MODEL")
    private String energyStoringModel;

    @TableField("ENGINE_FACTORY_ADDRESS")
    private String engineFactoryAddress;

    @TableField("ENGINE_FAMILY_NAME")
    private String engineFamilyName;

    @TableField("ENGINE_MAKE")
    private String engineMake;

    @TableField("ENGINE_TYPE")
    private String engineType;

    @TableField("ERG_TYPE")
    private String ergType;

    @TableField("FUEL_EVAPORA_CONTROL_TYPE")
    private String fuelEvaporaControlType;

    @TableField("GERBOX_TYPE_GEAR_NUM")
    private String gerboxTypeGearNum;

    @TableField("HEARTSHAPETYPE")
    private String heartshapetype;

    @TableField("INFO_DISCLOSURE_NO")
    private String infoDisclosureNo;

    @TableField("IUPR_MONITOR_FUNCTION")
    private String iuprMonitorFunction;

    @TableField("LEGAL_REPRESENTATIVE")
    private String legalRepresentative;

    @TableField("MOBILE")
    private String mobile;

    @TableField("MOTOR_MODEL")
    private String motorModel;

    @TableField("MUFFLER_MODEL")
    private String mufflerModel;

    @TableField("OBD_TYPE")
    private String obdType;

    @TableField("OXYGEN_SENSOR_TYPE")
    private String oxygenSensorType;

    @TableField("PRINT_SWITCH")
    private BigDecimal printSwitch;

    @TableField("PRO_BUSINESS")
    private String proBusiness;

    @TableField("TEMPLATE_NAME")
    private String templateName;

    @TableField("SUPERCHARGER_MODEL")
    private String superchargerModel;

    @TableField("TRADEMARK")
    private String trademark;

    @TableField("VEH_MODEL_VERSION_NUM")
    private String vehModelVersionNum;

    @TableField("VEHICLE_DESIGN")
    private String vehicleDesign;

    @ApiModelProperty(value = "发动机号 ")
    @TableField("FDJ_NO")
    private String fdjNo;

    @ApiModelProperty(value = "制造日期")
    @JsonFormat(pattern="yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @TableField("PRODUCE_DATE")
    private Date produceDate;

    @ApiModelProperty(value = "确认状态")
    @TableField("CONFIRM_STATUS")
    private String confirmStatus;

    @ApiModelProperty(value = "打印状态")
    @TableField("PRINT_STATUS")
    private String printStatus;

    @ApiModelProperty(value = "备用字段1")
    @TableField("EXT1")
    private String ext1;     //参考打印次数

    @ApiModelProperty(value = "备用字段2")
    @TableField("EXT2")
    private String ext2;  //模板企业信息

    @ApiModelProperty(value = "备用字段3")
    @TableField("EXT3")
    private String ext3;  // 模板类型

    @TableField("ENVID")
    private String envid;  //环保基础数据ID

    @TableField("VIN_STATE")
    private Integer vinState; // vin报送状态;0否1是

    @TableField("PDF_STATE")
    private Integer pdfState; // pdf报送状态;0否1是

    @TableField("VIN_UPLOAD_DATE")
    @JsonFormat(pattern="yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date vinUploadDate; // vin上传时间

    @TableField("PDF_UPLOAD_DATE")
    @JsonFormat(pattern="yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date pdfUploadDate; // pdf上传时间

    //20210922 新增字段
    @ApiModelProperty(value = "OBD接口位置")
    @TableField("OBDINTERFACELOCATION")
    private String obdinterfacelocation;

    @ApiModelProperty(value = "催化转化器（DOC）型号/生产企业")
    @TableField("CATALYSTSTYPEDOC")
    private String catalyststypedoc;

    @ApiModelProperty(value = "封装/载体/涂层生产企业")
    @TableField("TCZTFZDOC")
    private String tcztfzdoc;

    @ApiModelProperty(value = "催化转化器（SCR）型号/生产企业")
    @TableField("CATALYSTSTYPESCR")
    private String catalyststypescr;

    @ApiModelProperty(value = "封装/载体/涂层生产企业")
    @TableField("TCZTFZSCR")
    private String tcztfzscr;

    @ApiModelProperty(value = "氮氧化物存储催化还原催化转化器型号/生产企业")
    @TableField("NITROGENOXIDESTYPE")
    private String nitrogenoxidestype;

    @ApiModelProperty(value = "封装/载体/涂层生产企业")
    @TableField("TCZTFZNITROGENOXIDES")
    private String tcztfznitrogenoxides;

    @ApiModelProperty(value = "催化转化器（ASC）型号/生产企业")
    @TableField("CATALYSTSTYPEASC")
    private String catalyststypeasc;

    @ApiModelProperty(value = "封装/载体/涂层生产企业")
    @TableField("TCZTFZASC")
    private String tcztfzasc;

    //20210922 新增字段
//    @ApiModelProperty(value = "涂层/载体/封装生产企业")
//    @TableField("COATCARRENCAPSUL")
//    private String coatcarrencapsul;

    @ApiModelProperty(value = "排气管口位置")
    @TableField("EXHAUSTPIPEPOSITION")
    private String exhaustpipeposition;

    @ApiModelProperty(value = "排气管口朝向")
    @TableField("EXHAUSTPIPEORIENTATIONS")
    private String exhaustpipeorientations;

    @ApiModelProperty(value = "共轨管型号/生产企业")
    @TableField("GGXHSCQY")
    private String ggxhscqy;

//    @ApiModelProperty(value = "喷射泵或压力调节器型号/生产厂")
//    @TableField("PRESSUREREGULATORMODEL")
//    private String pressureregulatormodel;

//    @ApiModelProperty(value = "燃油蒸发污染物排放控制装置型号/生产厂")
//    @TableField("FUELEMISSIONCONTROL")
//    private String fuelemissioncontrol;

    //2021-10-08 新增字段
    @ApiModelProperty(value = "额定功率/转速")
    @TableField("RATEDPOWERSPEED")
    private String ratedPowerSpeed;

    @ApiModelProperty(value = "催化转化器（LNT）型号/生产企业")
    @TableField("CATALYSTSTYPELNT")
    private String catalystsTypeLNT;

    @ApiModelProperty(value = "封装/载体/涂层生产企业（LNT）")
    @TableField("TCZTFZLNT")
    private String tcZtFzLnt;

    @ApiModelProperty(value = "模板类型")
    @TableField("TEMPLATE_TYPE")
    private String templateType;

    @ApiModelProperty(value = "模板头信息")
    @TableField("TEMPLATE_INFO")
    private String templateInfo;

    @ApiModelProperty(value = "颗粒捕集器（DPF）型号/生产企业")
    @TableField("KLPJQDFF")
    private String klpjqDFF;

    @ApiModelProperty(value = "封装/载体/涂层生产企业(颗粒捕集器（DPF）)")
    @TableField("TCZTFZDFF")
    private String TcZtFzDFF;

    @ApiModelProperty(value = "同步车型批次")
    @TableField("PC")
    private String pc;


    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_ID = "ID";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CREATE_BY_ID = "CREATE_BY_ID";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CREATE_DATE = "CREATE_DATE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_DEL = "DEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_ADDRESS = "ADDRESS";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_AIR_FILTER_MODEL = "AIR_FILTER_MODEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_BATTERY_CAPACITY = "BATTERY_CAPACITY";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CAR_CATEGORY = "CAR_CATEGORY";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CAR_CONSTRUCT_NAME = "CAR_CONSTRUCT_NAME";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CAR_IDENT_LOCATION = "CAR_IDENT_LOCATION";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CAR_MODEL_TYPE = "CAR_MODEL_TYPE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CAR_TYPE_CODE = "CAR_TYPE_CODE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CATALYSTS_TYPE = "CATALYSTS_TYPE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CCJL = "CCJL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CCSY = "CCSY";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_COAT_CARR_ENCAPSUL = "COAT_CARR_ENCAPSUL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CRANK_EMIS_CONTROL_TYPE = "CRANK_EMIS_CONTROL_TYPE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CRANKCASE_EMISSION_CONTROL = "CRANKCASE_EMISSION_CONTROL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_DISCHARGE_STAGE = "DISCHARGE_STAGE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_ECU_MODEL_VERSION_NUM = "ECU_MODEL_VERSION_NUM";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_EJECTOR_MODEL = "EJECTOR_MODEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_ENERGY_STORING_MODEL = "ENERGY_STORING_MODEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_ENGINE_CONSTRUCT_NAME = "ENGINE_CONSTRUCT_NAME";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_ENGINE_FACTORY_ADDRESS = "ENGINE_FACTORY_ADDRESS";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_ENGINE_FAMILY_NAME = "ENGINE_FAMILY_NAME";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_ENGINE_MAKE = "ENGINE_MAKE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_ENGINE_NO = "ENGINE_NO";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_ENGINE_TYPE = "ENGINE_TYPE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_ENTERPRISE_INFO_PUBLIC_URL = "ENTERPRISE_INFO_PUBLIC_URL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_ERG_TYPE = "ERG_TYPE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_EVAPORATOR_MODEL = "EVAPORATOR_MODEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_EXHAUST_MUFFLER_MODEL = "EXHAUST_MUFFLER_MODEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_EXHAUST_POST_SYSTEM_MODEL = "EXHAUST_POST_SYSTEM_MODEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_EXHAUST_POST_SYSTEM_TYPE = "EXHAUST_POST_SYSTEM_TYPE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_FACTORY_ADDRESS = "FACTORY_ADDRESS";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_FUEL_EMISSION_CONTROL = "FUEL_EMISSION_CONTROL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_FUEL_EVAPORA_CONTROL_TYPE = "FUEL_EVAPORA_CONTROL_TYPE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_FUEL_SUPPLY_SYSTEM_TYPE = "FUEL_SUPPLY_SYSTEM_TYPE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_GAS_INJECTION_UNIT = "GAS_INJECTION_UNIT";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_GAS_MIXER_MODEL = "GAS_MIXER_MODEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_GERBOX_TYPE_GEAR_NUM = "GERBOX_TYPE_GEAR_NUM";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_HEARTSHAPETYPE = "HEARTSHAPETYPE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_HYBRID_MODEL = "HYBRID_MODEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_IMPORT_BUSINESS = "IMPORT_BUSINESS";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_INFO_DISCLOSURE_NO = "INFO_DISCLOSURE_NO";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_INJECTION_PUMP_MOEDL = "INJECTION_PUMP_MOEDL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_INJECTOR_MODEL = "INJECTOR_MODEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_INTAKE_MUFFLER_MODEL = "INTAKE_MUFFLER_MODEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_IUPR_MONITOR_FUNCTION = "IUPR_MONITOR_FUNCTION";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_LEGAL_REPRESENTATIVE = "LEGAL_REPRESENTATIVE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_MAXIMUM_NET_POWER = "MAXIMUM_NET_POWER";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_MAXIMUM_NET_TORQUE = "MAXIMUM_NET_TORQUE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_MOBILE = "MOBILE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_MOTOR_MODEL = "MOTOR_MODEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_MUFFLER_MODEL = "MUFFLER_MODEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_OBD_TYPE = "OBD_TYPE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_OPEN_TIME = "OPEN_TIME";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_OXYGEN_SENSOR_TYPE = "OXYGEN_SENSOR_TYPE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_PACKAG_CARRIER_COATING = "PACKAG_CARRIER_COATING";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_PRESSURE_REGULATOR_MODEL = "PRESSURE_REGULATOR_MODEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_PRINT_SWITCH = "PRINT_SWITCH";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_PRO_BUSINESS = "PRO_BUSINESS";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_REPROCESS_MODEL = "REPROCESS_MODEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_TEMPLATE_NAME = "TEMPLATE_NAME";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_SUPERCHARGER_MODEL = "SUPERCHARGER_MODEL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_TRADEMARK = "TRADEMARK";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_VEH_MODEL_VERSION_NUM = "VEH_MODEL_VERSION_NUM";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_TYPE_OF_MONEY = "TYPE_OF_MONEY";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_VEHICLE_DESIGN = "VEHICLE_DESIGN";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_VEHICLE_NO = "VEHICLE_NO";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_FAST_OUTPUT_NUMBER = "FAST_OUTPUT_NUMBER";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_JZZL = "JZZL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_KLBJQXH_SCQY = "KLBJQXH_SCQY";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_TC_ZT_FZSCC = "TC_ZT_FZSCC";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_TGXH_SCQY = "TGXH_SCQY";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_VIN = "VIN";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_FDJ_NO = "FDJ_NO";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_PRODUCE_DATE = "PRODUCE_DATE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CONFIRM_STATUS = "CONFIRM_STATUS";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_PRINT_STATUS = "PRINT_STATUS";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_EXT1 = "EXT1";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_EXT2 = "EXT2";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_EXT3 = "EXT3";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_ENVID = "ENVID";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_PRODUCED_DATE = "PRODUCED_DATE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_VIN_STATE = "VIN_STATE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_PDF_STATE = "PDF_STATE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_VIN_UPLOAD_DATE = "VIN_UPLOAD_DATE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_PDF_UPLOAD_DATE = "PDF_UPLOAD_DATE";



    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_OBDINTERFACELOCATION = "OBDINTERFACELOCATION";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CATALYSTSTYPEDOC = "CATALYSTSTYPEDOC";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_TCZTFZDOC = "TCZTFZDOC";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CATALYSTSTYPESCR = "CATALYSTSTYPESCR";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_TCZTFZSCR = "TCZTFZSCR";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_NITROGENOXIDESTYPE = "NITROGENOXIDESTYPE";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_TCZTFZNITROGENOXIDES = "TCZTFZNITROGENOXIDES";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CATALYSTSTYPEASC = "CATALYSTSTYPEASC";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_TCZTFZASC = "TCZTFZASC";

    //20210922 新增字段
//    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_COATCARRENCAPSUL = "COATCARRENCAPSUL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_EXHAUSTPIPEPOSITION = "EXHAUSTPIPEPOSITION";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_EXHAUSTPIPEORIENTATIONS = "EXHAUSTPIPEORIENTATIONS";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_GGXHSCQY = "GGXHSCQY";

//    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_PRESSUREREGULATORMODEL = "PRESSUREREGULATORMODEL";

//    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_FUELEMISSIONCONTROL = "FUELEMISSIONCONTROL";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_RATEDPOWERSPEED = "RATEDPOWERSPEED";
    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_CATALYSTSTYPELNT = "CATALYSTSTYPELNT";
    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_TCZTFZLNT = "TCZTFZLNT";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_TEMPLATE_TYPE = "TEMPLATE_TYPE";
    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_TEMPLATE_INFO = "TEMPLATE_INFO";

    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_KLPJQDFF = "KLPJQDFF";
    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_TCZTFZDFF = "TCZTFZDFF";
    public static final String SYXY_MODEL_ENVIROMENTAL_DATA_PC = "PC";
    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
