package com.adc.da.vdaims.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.adc.da.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 纸张编号管理 实体类
 * </p>
 * 作者 gen
 * 日期 2021-08-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.SYXY_SERIAL_NUMBER")
@ApiModel(value="SyxySerialNumber对象", description="纸张编号管理")
public class SyxySerialNumberEO extends BaseEntity<SyxySerialNumberEO> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.UUID)
    private String id;

    @ApiModelProperty(value = "企业ID")
    @TableField("QY_ID")
    private String qyId;

    @ApiModelProperty(value = "前缀")
    @TableField("PREFIX")
    private String prefix;

    @ApiModelProperty(value = "编号")
    @TableField("SERIAL_NUMBER")
    private String serialNumber;

    @ApiModelProperty(value = "类型 1：一致性证书打印 2：合格证打印 3：环保清单打印")
    @TableField("TYPE")
    private String type;

    @TableField("CREATE_DATE")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createDate;


    public static final String SYXY_SERIAL_NUMBER_ID = "ID";

    public static final String SYXY_SERIAL_NUMBER_QY_ID = "QY_ID";

    public static final String SYXY_SERIAL_NUMBER_PREFIX = "PREFIX";

    public static final String SYXY_SERIAL_NUMBER_SERIAL_NUMBER = "SERIAL_NUMBER";

    public static final String SYXY_SERIAL_NUMBER_TYPE = "TYPE";

    public static final String SYXY_SERIAL_NUMBER_CREATE_DATE = "CREATE_DATE";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
