package com.adc.da.vdaims.entity;

import com.adc.da.mp.base.BaseEntity;
import com.adc.da.mp.base.annotation.NotRepeat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

import static com.baomidou.mybatisplus.annotation.FieldFill.INSERT;
import static com.baomidou.mybatisplus.annotation.FieldFill.INSERT_UPDATE;
import static com.baomidou.mybatisplus.annotation.FieldStrategy.IGNORED;

/**
 * <p>
 * 实体类
 * </p>
 * 作者 gen
 * 日期 2021-08-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.VEHICLE_CERT")
@ApiModel(value = "VehicleCert对象", description = "")
public class VehicleCertEO extends BaseEntity<VehicleCertEO> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.UUID)
    private String id;

    @ApiModelProperty(value = "企业ID")
    @TableField(value = "QY_ID", jdbcType = JdbcType.VARCHAR)
    private String qyId;

    @NotBlank(message = "VIN不能为空")
    @ApiModelProperty(value = "VIN")
    @TableField(value = "VIN", jdbcType = JdbcType.VARCHAR)
    private String vin;

    @ApiModelProperty(value = "配置序列号")
    @TableField(value = "CONFIG_SEQ_NO", jdbcType = JdbcType.VARCHAR)
    @NotBlank(message = "配置序列号不能为空")
    private String configSeqNo;

    @ApiModelProperty(value = "合格证编号")
    @NotRepeat(message = "合格证编号不能重复")
    @TableField(value = "HGZ_CERTNO", jdbcType = JdbcType.VARCHAR)
    private String hgzCertno;

    @ApiModelProperty(value = "底盘合格证编号")
    @TableField(value = "DPHGZ_CERTNO", jdbcType = JdbcType.VARCHAR)
    private String dphgzCertno;

    @ApiModelProperty(value = "一致性证书编号")
    @TableField(value = "YZX_CERTNO", jdbcType = JdbcType.VARCHAR)
    private String yzxCertno;

    @ApiModelProperty(value = "环保证书编号")
    @TableField(value = "HB_CERTNO", jdbcType = JdbcType.VARCHAR)
    private String hbCertno;

    @ApiModelProperty(value = "发动机编号")
    @NotBlank(message = "发动机号不能为空")
    @TableField(value = "FDJ_NO", jdbcType = JdbcType.VARCHAR)
    private String fdjNo;

    @ApiModelProperty(value = "驱动电机编号")
    @TableField(value = "QDDJ_NO", jdbcType = JdbcType.VARCHAR)
    private String qddjNo;

    @ApiModelProperty(value = "合格证纸张编号")
    @NotBlank(message = "纸张编号不能为空")
    @TableField(value = "PAGE_NO", jdbcType = JdbcType.VARCHAR)
    private String pageNo;

    @ApiModelProperty(value = "车身颜色")
    @NotBlank(message = "车身颜色不能为空")
    @TableField(value = "VEHICLE_COLOR", jdbcType = JdbcType.VARCHAR)
    private String vehicleColor;

    @ApiModelProperty(value = "款型")
    @NotBlank(message = "款型不能为空")
    @TableField(value = "VEHICLE_STYLE", jdbcType = JdbcType.VARCHAR)
    private String vehicleStyle;

    @ApiModelProperty(value = "状态 0 待确认 1 已确认")
    @TableField(value = "HGZ_STATUS", jdbcType = JdbcType.INTEGER)
    private Integer hgzStatus;

    @ApiModelProperty(value = "合格证打印状态 0 待打印 1 已打印")
    @TableField(value = "HGZ_PRINT_STATUS", jdbcType = JdbcType.INTEGER)
    private Integer hgzPrintStatus;

    @ApiModelProperty(value = "合格证确认时间")
    @TableField(value = "HGZ_ACK_TIME", jdbcType = JdbcType.DATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date hgzAckTime;

    @ApiModelProperty(value = "发证日期")
    @TableField(value = "CERT_DATE", jdbcType = JdbcType.DATE)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date certDate;

    @ApiModelProperty(value = "制造日期")
    @NotBlank(message = "制造日期不能为空")
    @TableField(value = "PRODUCE_DATE", jdbcType = JdbcType.DATE)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date produceDate;

    @TableField(value = "CREATE_TIME", insertStrategy = IGNORED, fill = INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(value = "CREATOR", insertStrategy = IGNORED, fill = INSERT, jdbcType = JdbcType.VARCHAR)
    private String creator;

    @ApiModelProperty(value = "")
    @TableField(value = "UPDATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @TableField(value = "UPDATER", updateStrategy = IGNORED, fill = INSERT_UPDATE, jdbcType = JdbcType.VARCHAR)
    private String updater;

    public static final String VEHICLE_CERT_ID = "ID";

    public static final String VEHICLE_CERT_QY_ID = "QY_ID";

    public static final String VEHICLE_CERT_VIN = "VIN";

    public static final String VEHICLE_CERT_CONFIG_SEQ_NO = "CONFIG_SEQ_NO";

    public static final String VEHICLE_CERT_HGZ_CERTNO = "HGZ_CERTNO";

    public static final String VEHICLE_CERT_DPHGZ_CERTNO = "DPHGZ_CERTNO";

    public static final String VEHICLE_CERT_YZX_CERTNO = "YZX_CERTNO";

    public static final String VEHICLE_CERT_HB_CERTNO = "HB_CERTNO";

    public static final String VEHICLE_CERT_FDJ_NO = "FDJ_NO";

    public static final String VEHICLE_CERT_QDDJ_NO = "QDDJ_NO";

    public static final String VEHICLE_CERT_PAGE_NO = "PAGE_NO";

    public static final String VEHICLE_CERT_VEHICLE_COLOR = "VEHICLE_COLOR";

    public static final String VEHICLE_CERT_VEHICLE_STYLE = "VEHICLE_STYLE";

    public static final String VEHICLE_CERT_CERT_DATE = "CERT_DATE";

    public static final String VEHICLE_CERT_PRODUCE_DATE = "PRODUCE_DATE";

    public static final String VEHICLE_CERT_HGZ_STATUS = "HGZ_STATUS";

    public static final String VEHICLE_CERT_CREATE_TIME = "CREATE_TIME";

    public static final String VEHICLE_CERT_UPDATE_TIME = "UPDATE_TIME";

    public static final String VEHICLE_CERT_HGZ_ACK_TIME = "HGZ_ACK_TIME";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
