package com.adc.da.vdaims.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.util.Date;

import com.adc.da.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 实体类
 * </p>
 * 作者 gen
 * 日期 2021-09-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.V_VEHICLE_CERT_INFO")
@ApiModel(value = "VehicleCertPrint对象", description = "")
public class VehicleCertPrintEO extends BaseEntity<VehicleCertPrintEO> {

    private static final long serialVersionUID = 1L;

    @TableField("ID")
    private String id;

    @TableField("QY_ID")
    private String qyId;

    @Excel(name = "VIN编号", orderNum = "4")
    @TableField("VIN")
    private String vin;

    @Excel(name = "配置序列号", orderNum = "0")
    @TableField("CONFIG_SEQ_NO")
    private String configSeqNo;

    @Excel(name = "证书编号", orderNum = "1")
    @TableField("HGZ_CERTNO")
    private String hgzCertno;

    @TableField("DPHGZ_CERTNO")
    private String dphgzCertno;

    @TableField("YZX_CERTNO")
    private String yzxCertno;

    @TableField("HB_CERTNO")
    private String hbCertno;

    @TableField("FDJ_NO")
    private String fdjNo;

    @TableField("PAGE_NO")
    private String pageNo;

    @TableField("VEHICLE_COLOR")
    private String vehicleColor;

    @TableField("VEHICLE_STYLE")
    private String vehicleStyle;

    @TableField("CERT_DATE")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date certDate;

    @TableField("PRODUCE_DATE")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date produceDate;

    @TableField("HGZ_STATUS")
    private Integer hgzStatus;

    @TableField("CREATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField("UPDATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @TableField("UPDATER")
    private String updater;

    @TableField("CREATOR")
    private String creator;

    @Excel(name = "状态", orderNum = "6")
    @TableField("HGZ_PRINT_STATUS")
    private Integer hgzPrintStatus;

    @Excel(name = "确认时间", orderNum = "5")
    @TableField("HGZ_ACK_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date hgzAckTime;

    @Excel(name = "产品型号", orderNum = "2")
    @TableField("PRODUCT_MODEL")
    private String productModel;

    @Excel(name = "产品名称", orderNum = "3")
    @TableField("PRODUCT_NAME")
    private String productName;


    public static final String V_VEHICLE_CERT_PRINT_ID = "ID";

    public static final String V_VEHICLE_CERT_PRINT_QY_ID = "QY_ID";

    public static final String V_VEHICLE_CERT_PRINT_VIN = "VIN";

    public static final String V_VEHICLE_CERT_PRINT_CONFIG_SEQ_NO = "CONFIG_SEQ_NO";

    public static final String V_VEHICLE_CERT_PRINT_HGZ_CERTNO = "HGZ_CERTNO";

    public static final String V_VEHICLE_CERT_PRINT_DPHGZ_CERTNO = "DPHGZ_CERTNO";

    public static final String V_VEHICLE_CERT_PRINT_YZX_CERTNO = "YZX_CERTNO";

    public static final String V_VEHICLE_CERT_PRINT_HB_CERTNO = "HB_CERTNO";

    public static final String V_VEHICLE_CERT_PRINT_FDJ_NO = "FDJ_NO";

    public static final String V_VEHICLE_CERT_PRINT_PAGE_NO = "PAGE_NO";

    public static final String V_VEHICLE_CERT_PRINT_VEHICLE_COLOR = "VEHICLE_COLOR";

    public static final String V_VEHICLE_CERT_PRINT_VEHICLE_STYLE = "VEHICLE_STYLE";

    public static final String V_VEHICLE_CERT_PRINT_CERT_DATE = "CERT_DATE";

    public static final String V_VEHICLE_CERT_PRINT_PRODUCE_DATE = "PRODUCE_DATE";

    public static final String V_VEHICLE_CERT_PRINT_HGZ_STATUS = "HGZ_STATUS";

    public static final String V_VEHICLE_CERT_PRINT_CREATE_TIME = "CREATE_TIME";

    public static final String V_VEHICLE_CERT_PRINT_UPDATE_TIME = "UPDATE_TIME";

    public static final String V_VEHICLE_CERT_PRINT_UPDATER = "UPDATER";

    public static final String V_VEHICLE_CERT_PRINT_CREATOR = "CREATOR";

    public static final String V_VEHICLE_CERT_PRINT_HGZ_PRINT_STATUS = "HGZ_PRINT_STATUS";

    public static final String V_VEHICLE_CERT_PRINT_HGZ_ACK_TIME = "HGZ_ACK_TIME";

    public static final String V_VEHICLE_CERT_PRINT_PRODUCT_MODEL = "PRODUCT_MODEL";

    public static final String V_VEHICLE_CERT_PRINT_PRODUCT_NAME = "PRODUCT_NAME";

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
