package com.adc.da.vdaims.entity;

import com.adc.da.vdaims.handler.AtSemicolonConversionHandler;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.adc.da.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *  实体类
 * </p>
 * 作者 gen
 * 日期 2021-08-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName(value = "NERDS.YZX_BASE_DATA",autoResultMap = true)
@ApiModel(value="YzxBaseData对象", description="")
public class YzxBaseDataEO extends BaseEntity<YzxBaseDataEO> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.UUID)
    private String id;

    @TableField("QY_ID")
    private String qyId;

    @ApiModelProperty(value = "新能源车: CODE=0.0.1")
    @TableField("CAR_IS_XINNENGYUAN")
    private String carIsXinnengyuan;

    @ApiModelProperty(value = "车辆生产企业名称: CODE=0.1")
    @TableField("CAR_MANUFACTURER_NAME")
    private String carManufacturerName;

    @ApiModelProperty(value = "车辆生产企业地址: CODE=0.1.1")
    @TableField("CAR_MANUFACTURER_ADDRESS")
    private String carManufacturerAddress;

    @ApiModelProperty(value = "车型系列代号: CODE=0.2")
    @TableField("CAR_TYPE_SERIES_CODE")
    private String carTypeSeriesCode;

    @ApiModelProperty(value = "单元代号: CODE=0.2.0")
    @TableField("CAR_UNIT_CODE")
    private String carUnitCode;

    @ApiModelProperty(value = "车型名称: CODE=0.2.1")
    @TableField("CAR_MODEL_NAME")
    private String carModelName;

    @ApiModelProperty(value = "车型代号: CODE=0.2.2")
    @TableField("CAR_TYPE_CODE")
    private String carTypeCode;

    @ApiModelProperty(value = "车辆类别: CODE=0.4")
    @TableField("CAR_CATEGORYL")
    private String carCategoryl;

    @ApiModelProperty(value = "最终制造阶段的制造商名称:/本制造阶段的制造商名称: CODE=0.5.2")
    @TableField("CAR_FINAL_MANUFACTOR_NAME")
    private String carFinalManufactorName;

    @ApiModelProperty(value = "最终制造阶段的制造商地址:/本制造阶段的制造商地址: CODE=0.5.3")
    @TableField("CAR_FINAL_MANUFACYOR_ADD")
    private String carFinalManufacyorAdd;

    @ApiModelProperty(value = "法定标牌的位置: CODE=0.6")
    @TableField("CAR_NAMEPLATE_LOCATION")
    private String carNameplateLocation;

    @ApiModelProperty(value = "车辆识别代号前8位: CODE=0.6.1")
    @TableField("VIN_TOP_EIGHT")
    private String vinTopEight;

    @ApiModelProperty(value = "车辆识别代号的打刻位置: CODE=0.6.3")
    @TableField("CAR_IDENTI_CODE_LOACTION")
    private String carIdentiCodeLoaction;

    @ApiModelProperty(value = "CCC认证过程中车辆的制造阶段 CODE=0.8")
    @TableField("CCC_PROCEING_MANUFACTURE_STAGE")
    private String cccProceingManufactureStage;

    @ApiModelProperty(value = "最终阶段/本阶段 CODE=0.8.3")
    @TableField("FINAL_STAGE")
    private String finalStage;

    @ApiModelProperty(value = "CCC证书编号: CODE=0.8.3.1")
    @TableField("CCC_CERTIFICATE_CODE")
    private String cccCertificateCode;

    @ApiModelProperty(value = "CCC证书版本号: CODE=0.8.3.2")
    @TableField("CCC_CERTIFICATE_VESION")
    private String cccCertificateVesion;

    @ApiModelProperty(value = "签发日期: CODE=0.8.3.3")
    @TableField("CCC_SIGN_DATA")
    private String cccSignData;

    @ApiModelProperty(value = "车轴数量: CODE=1")
    @TableField("CAR_AXLE_NUMBER")
    private String carAxleNumber;

    @ApiModelProperty(value = "车轮数量: CODE=1.1")
    @TableField("CAR_WHEEL_NUMBER")
    private String carWheelNumber;

    @ApiModelProperty(value = "车辆在地面上的投影面积（m2）: CODE=10.1/10.2（仅适用于N2和N3类车辆）")
    @TableField("PROJECT_AREA_GROUND")
    private String projectAreaGround;

    @ApiModelProperty(value = "后悬(mm): CODE=11")
    @TableField("CAR_REAE_OVERHANG")
    private String carReaeOverhang;

    @ApiModelProperty(value = "运行状态下带车身的车辆质量(kg): CODE=12.1")
    @TableField("CAR_RUNNING_WEIGHT")
    private String carRunningWeight;

    @ApiModelProperty(value = "额定总质量(kg): CODE=14.1")
    @TableField("CAR_RATED_WEIGHT")
    private String carRatedWeight;

    @ApiModelProperty(value = "该质量的轴荷分配(kg): CODE=14.2")
    @TableField("CAR_AXIAL_LOAD_DISTRIBUTION")
    private String carAxialLoadDistribution;

    @ApiModelProperty(value = "各车轴或车轴组技术上允许的最大质量(kg): CODE=14.3/14.4")
    @TableField("CAR_AXIAL_LOAD_WEIGHT")
    private String carAxialLoadWeight;

    @ApiModelProperty(value = "可伸缩车轴的位置: CODE=15")
    @TableField("ADJUSTABLE_CAR_AXLE_LOCATION")
    private String adjustableCarAxleLocation;

    @ApiModelProperty(value = "可承载车轴的位置: CODE=15.1")
    @TableField("BEARABLE_CAR_AXLE_LOCATION")
    private String bearableCarAxleLocation;

    @ApiModelProperty(value = "车顶最大允许载荷(kg): CODE=16")
    @TableField("CAR_MAX_LOAD_ON_TOP")
    private String carMaxLoadOnTop;

    @ApiModelProperty(value = "下列车辆技术上允许的最大牵引质量/挂车的最大质量（制动下）(kg) CODE=17")
    @TableField("MAX_TRACTION_QUALITY")
    private String maxTractionQuality;

    @ApiModelProperty(value = "挂车的最大质量（非制动下）(kg): CODE=17.0/17.4")
    @TableField("TRAILER_MAX_WEIGHT")
    private String trailerMaxWeight;

    @ApiModelProperty(value = "牵引杆式挂车(kg): CODE=17.1/2.11.1")
    @TableField("TRACTOR_TRAILER")
    private String tractorTrailer;

    @ApiModelProperty(value = "半挂车(kg): CODE=17.2/2.11.2")
    @TableField("SEMI_TRAILER")
    private String semiTrailer;

    @ApiModelProperty(value = "中间轴挂车(kg): CODE=17.3/2.11.3")
    @TableField("INTERMEDIATE_TRAILER")
    private String intermediateTrailer;

    @ApiModelProperty(value = "牵引车与挂车的最大组合质量(kg): CODE=18")
    @TableField("TRACTOE_TRAILER_MAX_WEIGHT")
    private String tractoeTrailerMaxWeight;

    @ApiModelProperty(value = "牵引车与挂车连接点处最大垂直负荷(kg): CODE=19.1")
    @TableField(value = "TRACTOE_TRAILER_MAX_LOAD", typeHandler = AtSemicolonConversionHandler.class)
    private String tractoeTrailerMaxLoad;

    @ApiModelProperty(value = "驱动轴位置: CODE=2")
    @TableField("CAR_DRIVE_SHAFT_LOCATION")
    private String carDriveShaftLocation;

    @ApiModelProperty(value = "发动机制造商:/发动机制造商名称: CODE=20")
    @TableField("ENGINE_MANUFACTURER_NAME")
    private String engineManufacturerName;

    @ApiModelProperty(value = "发动机代号(发动机编号/电动机代号)在发动机上的打刻位置: CODE=21.1")
    @TableField("CAR_MOTOE_CODE_LOCATION")
    private String carMotoeCodeLocation;

    @ApiModelProperty(value = "发动机工作原理: CODE=22")
    @TableField("ENGINE_WORKING_PRINCIPLE")
    private String engineWorkingPrinciple;

    @ApiModelProperty(value = "直接喷射：是/否(1): CODE=22.1")
    @TableField("DIERCT_INJECTION")
    private String dierctInjection;

    @ApiModelProperty(value = "气缸数量: CODE=23")
    @TableField("CYLINDERS_NUMBEE")
    private String cylindersNumbee;

    @ApiModelProperty(value = "气缸排列形式: CODE=23.1")
    @TableField("CYLINDERS_ARRANGEMENT")
    private String cylindersArrangement;

    @ApiModelProperty(value = "排量(mL): CODE=24")
    @TableField("DISPLACEMENT")
    private String displacement;

    @ApiModelProperty(value = "燃料种类: CODE=25")
    @TableField("FUEL_TYPE")
    private String fuelType;

    @ApiModelProperty(value = "最大净功率(kW): CODE=26")
    @TableField("MAX_NET_POWER")
    private String maxNetPower;

    @ApiModelProperty(value = "相应的发动机转速(min-1): CODE=26.1")
    @TableField("ENGINE_SPEED")
    private String engineSpeed;

    @ApiModelProperty(value = "离合器（型式）: CODE=27")
    @TableField("CAR_CLUTCH")
    private String carClutch;

    @ApiModelProperty(value = "变速器（型式）: CODE=28")
    @TableField("CAR_TRANSMISSION")
    private String carTransmission;

    @ApiModelProperty(value = "速比: CODE=29")
    @TableField("CAR_SPEEDRATION")
    private String carSpeedration;

    @ApiModelProperty(value = "轴距(mm): CODE=3")
    @TableField("CAR_AXLE_DISTANCE")
    private String carAxleDistance;

    @ApiModelProperty(value = "主传动比: CODE=30")
    @TableField("CAR_MAIN_DRIVE_RATIO")
    private String carMainDriveRatio;

    @ApiModelProperty(value = "轮胎规格: CODE=32")
    @TableField(value = "CAR_TIRE_SPECIFICATION", typeHandler = AtSemicolonConversionHandler.class)
    private String carTireSpecification;

    @ApiModelProperty(value = "驱动轴是否装空气悬挂或等效装置：是/否(1): CODE=33.1")
    @TableField("IS_AIR_DEVICE")
    private String isAirDevice;

    @ApiModelProperty(value = "驱动轴是否安装有等效于空气悬挂的装置: CODE=33.1.0")
    @TableField("IS_EQUAL_AIR_DEVICE")
    private String isEqualAirDevice;

    @ApiModelProperty(value = "转向助力型式:/辅助转向方式: CODE=34")
    @TableField("CAR_AUXILIARY_STEERING_MODE")
    private String carAuxiliarySteeringMode;

    @ApiModelProperty(value = "制动装置简要说明: CODE=35")
    @TableField("CAR_BRAKE_BRIEF_DESCRIPTION")
    private String carBrakeBriefDescription;

    @ApiModelProperty(value = "牵引车的挂车制动系统供气管内压力(kPa): CODE=36")
    @TableField("TUBE_PRESSURE")
    private String tubePressure;

    @ApiModelProperty(value = "车身型式: CODE=37")
    @TableField("CAR_BODY_TYPE")
    private String carBodyType;

    @ApiModelProperty(value = "罐体有效容积（仅适用于罐式车辆）（m3）: CODE=39")
    @TableField("TANK_EFFICIENT_VOLUME")
    private String tankEfficientVolume;

    @ApiModelProperty(value = "牵引座前置距 CODE=4.1/4.2(N2N3-不完整单阶段)")
    @TableField("TRACTION_SEAT_FRONT_DISTANCE")
    private String tractionSeatFrontDistance;

    @ApiModelProperty(value = "最大值(mm): CODE=4.1.1/4.2.1(N2N3-不完整单阶段)")
    @TableField("MAX_VALUE")
    private String maxValue;

    @ApiModelProperty(value = "起重机的最大力矩能力(kNm): CODE=40")
    @TableField("CRANE_MAX_TORQUE_CAPACITY")
    private String craneMaxTorqueCapacity;

    @ApiModelProperty(value = "车门数量: CODE=41")
    @TableField("CAR_DOOR_NUMBER")
    private String carDoorNumber;

    @ApiModelProperty(value = "车门构造: CODE=41.1")
    @TableField(value = "CAR_DOOR_STRUCTUER", typeHandler = AtSemicolonConversionHandler.class)
    private String carDoorStructuer;

    @ApiModelProperty(value = "最小值(mm): CODE=41.2/4.2.2(N2N3-不完整单阶段)")
    @TableField("MIN_VALUE")
    private String minValue;

    @ApiModelProperty(value = "座位数（包括驾驶员座）: CODE=42.1/42.2(M2M3-完整单阶段)")
    @TableField("CAR_SEAT_NUMBER")
    private String carSeatNumber;

    @ApiModelProperty(value = "布置方式: CODE=42.1.1")
    @TableField("CAR_SEAT_ARRANDEMENT_MODE")
    private String carSeatArrandementMode;

    @ApiModelProperty(value = "站位数: CODE=42.3")
    @TableField("OCCUPYING_NUMBER")
    private String occupyingNumber;

    @ApiModelProperty(value = "如装有牵引装置，其CCC证书编号: CODE=43.1")
    @TableField("TOWING_DEVICE_CCC_CODE")
    private String towingDeviceCccCode;

    @ApiModelProperty(value = "或试验报告编号: CODE=43.1.1")
    @TableField("TEST_ERPORT_CODE")
    private String testErportCode;

    @ApiModelProperty(value = "最高车速(km/h): CODE=44")
    @TableField("CAR_MAX_SPEED")
    private String carMaxSpeed;

    @ApiModelProperty(value = "声级: CODE=45")
    @TableField("SOUND_LEVEL")
    private String soundLevel;

    @ApiModelProperty(value = "CCC认证引用的标准号和实施阶段: CODE=45.1")
    @TableField("CCC_STANARD_NUMBEE")
    private String cccStanardNumbee;

    @ApiModelProperty(value = "定置噪声(dB(A)): CODE=45.3")
    @TableField("STATIONARY_NOISE")
    private String stationaryNoise;

    @ApiModelProperty(value = "对应的发动机(电动机)转速(min-1): CODE=45.3.1")
    @TableField("CCC_ENGINE_SPEED")
    private String cccEngineSpeed;

    @ApiModelProperty(value = "加速行驶车外噪声(dB(A)): CODE=45.5")
    @TableField("CAR_NOISE")
    private String carNoise;

    @ApiModelProperty(value = "排气排放物 CODE=46.1")
    @TableField("EXHAUST_EMISSION")
    private String exhaustEmission;

    @ApiModelProperty(value = "CCC认证引用的标准号和实施阶段:((N2N3-不完整单阶段)以外) CODE=46.1.0")
    @TableField("AUTHENTICATION_REFERENCE_WZ")
    private String authenticationReferenceWz;

    @ApiModelProperty(value = "CO：((N2N3-不完整单阶段)以外) CODE=46.1.10")
    @TableField("CO_GAS_WZ")
    private String coGasWz;

    @ApiModelProperty(value = "NOx：((N2N3-不完整单阶段)以外) CODE=46.1.11")
    @TableField("NOX_GAX_WZ")
    private String noxGaxWz;

    @ApiModelProperty(value = "NMHC：((N2N3-不完整单阶段)以外) CODE=46.1.12")
    @TableField("NMHC_GAS_WZ")
    private String nmhcGasWz;

    @ApiModelProperty(value = "THC：((N2N3-不完整单阶段)以外) CODE=46.1.13")
    @TableField("THC_GAS_WZ")
    private String thcGasWz;

    @ApiModelProperty(value = "CH4：((N2N3-不完整单阶段)以外) CODE=46.1.14")
    @TableField("CH4_GAS_WZ")
    private String ch4GasWz;

    @ApiModelProperty(value = "微粒物:((N2N3-不完整单阶段)以外) CODE=46.1.15")
    @TableField("PARTICULATE_GAS_WZ")
    private String particulateGasWz;

    @ApiModelProperty(value = "CCC认证引用的标准号和实施阶段:(N2N3-不完整单阶段) CODE=46.1.1")
    @TableField("AUTHENTICATION_REFERENCE_BWZ")
    private String authenticationReferenceBwz;

    @ApiModelProperty(value = "CO：(N2N3-不完整单阶段) CODE=46.1.11")
    @TableField("CO_GAS_BWZ")
    private String coGasBwz;

    @ApiModelProperty(value = "NOx：(N2N3-不完整单阶段) CODE=46.1.12")
    @TableField("NOX_GAX_BWZ")
    private String noxGaxBwz;

    @ApiModelProperty(value = "NMHC：(N2N3-不完整单阶段) CODE=46.1.13")
    @TableField("NMHC_GAS_BWZ")
    private String nmhcGasBwz;

    @ApiModelProperty(value = "THC：(N2N3-不完整单阶段) CODE=46.1.14")
    @TableField("THC_GAS_BWZ")
    private String thcGasBwz;

    @ApiModelProperty(value = "CH4：(N2N3-不完整单阶段) CODE=46.1.15")
    @TableField("CH4_GAS_BWZ")
    private String ch4GasBwz;

    @ApiModelProperty(value = "微粒物:(N2N3-不完整单阶段) CODE=46.1.16")
    @TableField("PARTICULATE_GAS_BWZ")
    private String particulateGasBwz;

    @ApiModelProperty(value = "THC: CODE=46.1.16")
    @TableField("THC_LIQUID")
    private String thcLiquid;

    @ApiModelProperty(value = "NMHC: CODE=46.1.17")
    @TableField("NMHC_LIQUID")
    private String nmhcLiquid;

    @ApiModelProperty(value = "1.试验用液体燃料: CODE=46.1.2")
    @TableField("TEST_FUEL_LIQUID")
    private String testFuelLiquid;

    @ApiModelProperty(value = "CO:((N2N3-不完整单阶段)以外) CODE=46.1.3")
    @TableField("CO_LIQUID_WZ")
    private String coLiquidWz;

    @ApiModelProperty(value = "HC:((N2N3-不完整单阶段)以外) CODE=46.1.4")
    @TableField("HC_LIQUID_WZ")
    private String hcLiquidWz;

    @ApiModelProperty(value = "NOx:((N2N3-不完整单阶段)以外) CODE=46.1.5")
    @TableField("NOX_LIQUID_WZ")
    private String noxLiquidWz;

    @ApiModelProperty(value = "HC+NOx:((N2N3-不完整单阶段)以外) CODE=46.1.6")
    @TableField("HCNOX_LIQUID_WZ")
    private String hcnoxLiquidWz;

    @ApiModelProperty(value = "烟度(吸收系数(m-1)的校正值):((N2N3-不完整单阶段)以外) CODE=46.1.7")
    @TableField("SMOKE_LIQUID_WZ")
    private String smokeLiquidWz;

    @ApiModelProperty(value = "微粒物:((N2N3-不完整单阶段)以外) CODE=46.1.8")
    @TableField("PARTICULATE_LIQUID_WZ")
    private String particulateLiquidWz;

    @ApiModelProperty(value = "2.试验用气体燃料（如适用）:((N2N3-不完整单阶段)以外) CODE=46.1.9")
    @TableField("TEST_FUEL_GAS_WZ")
    private String testFuelGasWz;

    @ApiModelProperty(value = "CO:(N2N3-不完整单阶段) CODE=46.1.4")
    @TableField("CO_LIQUID_BWZ")
    private String coLiquidBwz;

    @ApiModelProperty(value = "HC:(N2N3-不完整单阶段) CODE=46.1.5")
    @TableField("HC_LIQUID_BWZ")
    private String hcLiquidBwz;

    @ApiModelProperty(value = "NOx:(N2N3-不完整单阶段) CODE=46.1.6")
    @TableField("NOX_LIQUID_BWZ")
    private String noxLiquidBwz;

    @ApiModelProperty(value = "HC+NOx:(N2N3-不完整单阶段) CODE=46.1.7")
    @TableField("HCNOX_LIQUID_BWZ")
    private String hcnoxLiquidBwz;

    @ApiModelProperty(value = "烟度(吸收系数(m-1)的校正值):(N2N3-不完整单阶段) CODE=46.1.8")
    @TableField("SMOKE_LIQUID_BWZ")
    private String smokeLiquidBwz;

    @ApiModelProperty(value = "微粒物:(N2N3-不完整单阶段) CODE=46.1.9")
    @TableField("PARTICULATE_LIQUID_BWZ")
    private String particulateLiquidBwz;

    @ApiModelProperty(value = "2.试验用气体燃料（如适用）:(N2N3-不完整单阶段) CODE=46.1.10")
    @TableField("TEST_FUEL_GAS_BWZ")
    private String testFuelGasBwz;

    @ApiModelProperty(value = "CO2排放量/燃料种类消耗量(2) CODE=46.2")
    @TableField("FUEL_TYPE_CONSUMPTION")
    private String fuelTypeConsumption;

    @ApiModelProperty(value = "CCC认证引用的标准号: CODE=46.2.1")
    @TableField("CCC_STANARD_NUMBER_EMISSION")
    private String cccStanardNumberEmission;

    @ApiModelProperty(value = "CO2排放量/燃料消耗量 CODE=46.2.2")
    @TableField("FUEL_CONSUMPTION")
    private String fuelConsumption;

    @ApiModelProperty(value = "额定载质量（kg）: CODE=47.4")
    @TableField("RATED_LOADMASS")
    private String ratedLoadmass;

    @ApiModelProperty(value = "准牵引总质量: CODE=47.5")
    @TableField("ALLOW_TRACTION_TOTAL_MASS")
    private String allowTractionTotalMass;

    @ApiModelProperty(value = "按照运输危险货物的结构要求的试验报告编号: CODE=48.1")
    @TableField("DANGER_GOODS_TEST_REPORT_CODE")
    private String dangerGoodsTestReportCode;

    @ApiModelProperty(value = "级别: CODE=48.1.1")
    @TableField("DANGEROUS_GOODS_LEVEL")
    private String dangerousGoodsLevel;

    @ApiModelProperty(value = "按照运输某些动物的结构要求的试验报告编号: CODE=48.2")
    @TableField("ANIMAL_TEST_REPORT_CODE")
    private String animalTestReportCode;

    @ApiModelProperty(value = "级别: CODE=48.2.1")
    @TableField("ANIMAL_LEVEL")
    private String animalLevel;

    @ApiModelProperty(value = "轮距(mm): CODE=5")
    @TableField("CAR_WHEEL_DISTANCE")
    private String carWheelDistance;

    @ApiModelProperty(value = "转向轴的个数（个）: CODE=5.1")
    @TableField("CAR_STEERING_SHAFT_NUMBER")
    private String carSteeringShaftNumber;

    @ApiModelProperty(value = "备注: CODE=50")
    @TableField("REMARK")
    private String remark;

    @ApiModelProperty(value = "生产厂中文签注名: CODE=51.2")
    @TableField("PRODUCT_CHINESE_ENDORSE")
    private String productChineseEndorse;

    @ApiModelProperty(value = "车辆制造商代码: CODE=51.5")
    @TableField("CAR_MANUFACTOR_CODE")
    private String carManufactorCode;

    @ApiModelProperty(value = "制造国代码: CODE=51.6")
    @TableField("COC_FACTORY_COUNT_CODE")
    private String cocFactoryCountCode;

    @ApiModelProperty(value = "额定功率(kW): CODE=52.1")
    @TableField("CAE_RATED_POWER")
    private String caeRatedPower;

    @ApiModelProperty(value = "对应发动机(电动机)转速: CODE=52.1.1")
    @TableField("CAE_MOTOR_SPEED")
    private String caeMotorSpeed;

    @ApiModelProperty(value = "驱动形式: CODE=52.2")
    @TableField(value = "DEIVING_FORM", typeHandler = AtSemicolonConversionHandler.class)
    private String deivingForm;

    @ApiModelProperty(value = "能量消耗量标识启用日期: CODE=52.7")
    @TableField("ENERGY_CONSUMPT_IDENT_DATE")
    private String energyConsumptIdentDate;

    @ApiModelProperty(value = "车型系列名称: CODE=53.1")
    @TableField("CAR_TYPE_SEREIES_NAME")
    private String carTypeSereiesName;

    @ApiModelProperty(value = "单元代号名称: CODE=53.2")
    @TableField("CAR_UNIT_NAME")
    private String carUnitName;

    @ApiModelProperty(value = "车型代号名称: CODE=53.3")
    @TableField("AR_TYPE_NAME")
    private String arTypeName;

    @ApiModelProperty(value = "长度(mm): CODE=6.1")
    @TableField("CAR_LENGTH")
    private String carLength;

    @ApiModelProperty(value = "车辆最前端与牵引装置中心之间的距离(mm): CODE=6.3")
    @TableField("CENTER_DISTANCE")
    private String centerDistance;

    @ApiModelProperty(value = "装载区域长度(mm): CODE=6.5")
    @TableField("LOADING_AREA_LENGTH")
    private String loadingAreaLength;

    @ApiModelProperty(value = "宽度(mm): CODE=7.1")
    @TableField("CAR_WIDTH")
    private String carWidth;

    @ApiModelProperty(value = "高度(mm): CODE=8")
    @TableField("CAR_HIGHT")
    private String carHight;

    @ApiModelProperty(value = "是否带防抱死系统: CODE=85")
    @TableField("CAR_IS_BAOSI")
    private String carIsBaosi;

    @ApiModelProperty(value = "车辆制造国: CODE=C0.1")
    @TableField("COC_FACTORY_COUNT")
    private String cocFactoryCount;

    @ApiModelProperty(value = "车辆中文品牌: CODE=C0.2")
    @TableField("CAR_CHINESE_NAME")
    private String carChineseName;

    @ApiModelProperty(value = "车辆英文品牌: CODE=C0.3")
    @TableField("CAR_ENGLISH_NAME")
    private String carEnglishName;

    @ApiModelProperty(value = "车辆注册类型: CODE=C0.7")
    @TableField("VEHICLE_REGISTER_TYPE")
    private String vehicleRegisterType;

    @ApiModelProperty(value = "前悬(mm): CODE=C1")
    @TableField("CAR_FRONT_OVERHANG")
    private String carFrontOverhang;

    @ApiModelProperty(value = "整备质量(kg): CODE=C12.0")
    @TableField("CAR_CURB_WEIGHT")
    private String carCurbWeight;

    @ApiModelProperty(value = "最大设计总质量(kg): CODE=C14.0")
    @TableField("CAR_TOTAL_WEIGHT")
    private String carTotalWeight;

    @ApiModelProperty(value = "接近角(o): CODE=C2")
    @TableField("CAR_APPROACH_ANGLES")
    private String carApproachAngles;

    @ApiModelProperty(value = "离去角(o): CODE=C3")
    @TableField("CAR_DEPARTUER_ANGLES")
    private String carDepartuerAngles;

    @ApiModelProperty(value = "转向型式: CODE=C34")
    @TableField("CAR_STEERING_MODE")
    private String carSteeringMode;

    @ApiModelProperty(value = "发动机型号: CODE=C4")
    @TableField("ENGINE_TYPE")
    private String engineType;

    @ApiModelProperty(value = "额定载客人数（人）: CODE=C42.4")
    @TableField("CAR_RATED_CAPACITY")
    private String carRatedCapacity;

    @ApiModelProperty(value = "载质量利用系数: CODE=C5")
    @TableField("MASS_CARRYING_CAPACITY")
    private String massCarryingCapacity;

    @ApiModelProperty(value = "钢板弹簧片数（片）: CODE=C6")
    @TableField(value = "LEAF_SPRING_NUMBER", typeHandler = AtSemicolonConversionHandler.class)
    private String leafSpringNumber;

    @ApiModelProperty(value = "货厢内部尺寸 CODE=C7")
    @TableField("VEHICLE_INTERNAL_SIZE")
    private String vehicleInternalSize;

    @ApiModelProperty(value = "长度（mm）: CODE=C7.1")
    @TableField("VEHICLE_LENGTH")
    private String vehicleLength;

    @ApiModelProperty(value = "宽度（mm）: CODE=C7.2")
    @TableField("VEHICLE_WIDTH")
    private String vehicleWidth;

    @ApiModelProperty(value = "高度（mm）: CODE=C7.3")
    @TableField("VEHICLE_HIGHT")
    private String vehicleHight;

    @ApiModelProperty(value = "主电动机型号: CODE=CE01")
    @TableField("CAR_MAINMOTOR_TYPE")
    private String carMainmotorType;

    @ApiModelProperty(value = "主电动机生产厂名称: CODE=CE02")
    @TableField("CAR_MAINMOTOR_MANUFACTOR_NAME")
    private String carMainmotorManufactorName;

    @ApiModelProperty(value = "主电动机最大输出功率(kW): CODE=CE03")
    @TableField("CAR_MAINMOTOR_MAX_POWER")
    private String carMainmotorMaxPower;

    @ApiModelProperty(value = "主电动机工作电压(V): CODE=CE04")
    @TableField("CAR_MAINOTOR_WORKING_VOLTAGE")
    private String carMainotorWorkingVoltage;

    @ApiModelProperty(value = "主电动机最大输出扭矩（N·m）: CODE=CE05")
    @TableField("CAR_MAINMOTOR_MAX_TORQUE")
    private String carMainmotorMaxTorque;

    @ApiModelProperty(value = "动力电池型号: CODE=CE06")
    @TableField("CAR_BATTERY_MODEL")
    private String carBatteryModel;

    @ApiModelProperty(value = "动力电池生产厂名称: CODE=CE07")
    @TableField("CAR_BATTERY_MANUFACTOR_NAME")
    private String carBatteryManufactorName;

    @ApiModelProperty(value = "动力电池容量(Ah): CODE=CE08")
    @TableField("CAR_BATTERY_CAPACITY")
    private String carBatteryCapacity;

    @ApiModelProperty(value = "动力电池工作电压(V): CODE=CE09")
    @TableField("CAR_BATTERY_VOLTAGE")
    private String carBatteryVoltage;

    @ApiModelProperty(value = "申请人: CODE=")
    @TableField("COC_APPLY_NAME")
    private String cocApplyName;

    @ApiModelProperty(value = "生产厂: CODE=")
    @TableField("COC_MANUFACTURER_NAME")
    private String cocManufacturerName;

    @ApiModelProperty(value = "COC样式: CODE=")
    @TableField("COC_STYLE")
    private String cocStyle;

    @ApiModelProperty(value = "车轴并装情况: CODE=")
    @TableField(value = "AXLE_AND_INSTALL_CONDITION", typeHandler = AtSemicolonConversionHandler.class)
    private String axleAndInstallCondition;

    @ApiModelProperty(value = "生产厂: CODE=")
    @TableField("COC_FACTOR_NAME")
    private String cocFactorName;

    @ApiModelProperty(value = "联系人 CODE=")
    @TableField("CONTACTS")
    private String contacts;

    @ApiModelProperty(value = "联系电话 CODE=")
    @TableField("CONTACT_PHONE")
    private String contactPhone;

    @ApiModelProperty(value = "CO2 排放量-市区 CODE=")
    @TableField("CO2_EMISSIONS_DOWNTOWN")
    private String co2EmissionsDowntown;

    @ApiModelProperty(value = "CO2 排放量-市郊 CODE=")
    @TableField("CO2_EMISSIONS_OUTSKIRT")
    private String co2EmissionsOutskirt;

    @ApiModelProperty(value = "CO2 排放量-综合 CODE=")
    @TableField("CO2_EMISSIONS_COMPLEX")
    private String co2EmissionsComplex;

    @ApiModelProperty(value = "燃料消耗量-市区 CODE=")
    @TableField("FUEL_CONSUMPTION_DOWNTOWN")
    private String fuelConsumptionDowntown;

    @ApiModelProperty(value = "燃料消耗量-市郊 CODE=")
    @TableField("FUEL_CONSUMPTION_OUTSKIRT")
    private String fuelConsumptionOutskirt;

    @ApiModelProperty(value = "燃料消耗量-综合 CODE=")
    @TableField("FUEL_CONSUMPTION_COMPLEX")
    private String fuelConsumptionComplex;

    @ApiModelProperty(value = "最终阶段车辆制造国 CODE=")
    @TableField("COC_FINAL_FACTORY_COUNT")
    private String cocFinalFactoryCount;

    @ApiModelProperty(value = "车辆识别代号是否使用车型年份 CODE=")
    @TableField("VIN_USE_VEHICLE_YEAR")
    private String vinUseVehicleYear;

    @ApiModelProperty(value = "发动机编号/驱动电机编号 CODE=")
    @TableField("DRIVE_NO")
    private String driveNo;

    @ApiModelProperty(value = "车辆是否适合拖挂 CODE=")
    @TableField("CAR_IS_TUOGUA")
    private String carIsTuogua;

    @ApiModelProperty(value = "最大允许列车质量（ kg） CODE=")
    @TableField("CAR_MAX_ALLOW_TOTAL_QUALITY")
    private String carMaxAllowTotalQuality;

    @ApiModelProperty(value = "驾驶室准乘人数 CODE=")
    @TableField("CAB_NUMBER_OF_PASSENGERS")
    private String cabNumberOfPassengers;

    @ApiModelProperty(value = "能源消耗量-CCC 认证所依据标准的标准号 CODE=")
    @TableField("ENERGY_CCC_STANARD_NUMBEE")
    private String energyCccStanardNumbee;

    @ApiModelProperty(value = "综合工况电能消耗量 CODE=")
    @TableField("TOTAL_POWER_CONSUMPTION")
    private String totalPowerConsumption;

    @ApiModelProperty(value = "电能当量燃料消耗量 CODE=")
    @TableField("FUEL_EPOWER_CONSUMPTION")
    private String fuelEpowerConsumption;

    @ApiModelProperty(value = "续驶里程 CODE=")
    @TableField("DRIVING_RANGE")
    private String drivingRange;

    @ApiModelProperty(value = "基本车辆制造国 CODE=")
    @TableField("COC_BASE_FACTORY_COUNT")
    private String cocBaseFactoryCount;

    @ApiModelProperty(value = "认证委托人名称 CODE=")
    @TableField("CERTIFICATION_PRINCIPAL_NAME")
    private String certificationPrincipalName;

    @ApiModelProperty(value = "CH4 CODE=")
    @TableField("CH4_LIQUID")
    private String ch4Liquid;

    @ApiModelProperty(value = "NH3 CODE=")
    @TableField("NH3_LIQUID")
    private String nh3Liquid;

    @ApiModelProperty(value = "PM CODE=")
    @TableField("PM_LIQUID")
    private String pmLiquid;

    @ApiModelProperty(value = "PN CODE=")
    @TableField("PN_LIQUID")
    private String pnLiquid;

    @ApiModelProperty(value = "确认状态 0：未确认 1：已确认")
    @TableField("CONFIRM_STATUS")
    private String confirmStatus;

    @TableField("CREATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField("UPDATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @TableField("CREATOR")
    private String creator;

    @TableField("UPDATER")
    private String updater;

    @ApiModelProperty(value = "N2O CODE=")
    @TableField("N2O_LIQUID")
    private String n2oLiquid;

    @ApiModelProperty(value = "申报状态 0：未申报 1：已申报")
    @TableField("DECLARE_STATUS")
    private String declareStatus;

    @ApiModelProperty(value = "牵引座主销轴线与半挂车前部任意点之间的最大距离（ mm） CODE=")
    @TableField("MAX_DISTANCE")
    private String maxDistance;

    @ApiModelProperty(value = "牵引座主销轴线与半挂车最后端之间的距离（ mm） CODE=")
    @TableField("LAST_END_DISTANCE")
    private String lastEndDistance;

    @ApiModelProperty(value = "驱动电机编号(插电式混合动力) CODE=")
    @TableField("DRIVE_NO_HH")
    private String driveNoHh;

    @ApiModelProperty(value = "驱动电机编号在驱动电机上的打刻位置(插电式混合动力) CODE=")
    @TableField("CAR_MOTOE_CODE_LOCATION_HH")
    private String carMotoeCodeLocationHh;

    @ApiModelProperty(value = "电能消耗量 CODE=")
    @TableField("ENERGY_CONSUMPTION")
    private String energyConsumption;

    @ApiModelProperty(value = "最低荷电状态燃料消耗量 CODE=")
    @TableField("MIN_STATE_FUEL_CONSUMPTION")
    private String minStateFuelConsumption;

    @ApiModelProperty(value = "车型系列")
    @TableField("CAR_TYPE_SEQ")
    private String carTypeSeq;

    @ApiModelProperty(value = "单元")
    @TableField("CAR_CELL")
    private String carCell;

    @ApiModelProperty(value = "车型名称")
    @TableField("CAR_TYPE")
    private String carType;

    @ApiModelProperty(value = "一致性证书编号")
    @TableField("COC_ID")
    private String cocId;

    @ApiModelProperty(value = "车辆类型")
    @TableField("VEHICLE_TYPE")
    private String vehicleType;

    @ApiModelProperty(value = "COC状态")
    @TableField("COC_AUTO_STATE")
    private String cocAutoState;

    @ApiModelProperty(value = "车辆类别显示内容")
    @TableField("AUTO_TYPE")
    private String autoType;

    @ApiModelProperty(value = "油耗标识显示内容")
    @TableField("COC_AUTO_FUEL_CONSUMP")
    private String cocAutoFuelConsump;

    @ApiModelProperty(value = "生效日期显示内容")
    @TableField("COC_AUTO_EFFECTIVE_DATE")
    private String cocAutoEffectiveDate;

    @ApiModelProperty(value = "样式显示内容")
    @TableField("COC_AUTO_STYLE")
    private String cocAutoStyle;

    @ApiModelProperty(value = "工厂ID")
    @TableField("COC_FACTOR_ID")
    private String cocFactorId;

    @ApiModelProperty(value = "模板类型")
    @TableField("TEMPLATE_TYPE")
    private String templateType;


    public static final String ID = "ID";

    public static final String QY_ID = "QY_ID";

    public static final String CAR_IS_XINNENGYUAN = "CAR_IS_XINNENGYUAN";

    public static final String CAR_MANUFACTURER_NAME = "CAR_MANUFACTURER_NAME";

    public static final String CAR_MANUFACTURER_ADDRESS = "CAR_MANUFACTURER_ADDRESS";

    public static final String CAR_TYPE_SERIES_CODE = "CAR_TYPE_SERIES_CODE";

    public static final String CAR_UNIT_CODE = "CAR_UNIT_CODE";

    public static final String CAR_MODEL_NAME = "CAR_MODEL_NAME";

    public static final String CAR_TYPE_CODE = "CAR_TYPE_CODE";

    public static final String CAR_CATEGORYL = "CAR_CATEGORYL";

    public static final String CAR_FINAL_MANUFACTOR_NAME = "CAR_FINAL_MANUFACTOR_NAME";

    public static final String CAR_FINAL_MANUFACYOR_ADD = "CAR_FINAL_MANUFACYOR_ADD";

    public static final String CAR_NAMEPLATE_LOCATION = "CAR_NAMEPLATE_LOCATION";

    public static final String VIN_TOP_EIGHT = "VIN_TOP_EIGHT";

    public static final String CAR_IDENTI_CODE_LOACTION = "CAR_IDENTI_CODE_LOACTION";

    public static final String CCC_PROCEING_MANUFACTURE_STAGE = "CCC_PROCEING_MANUFACTURE_STAGE";

    public static final String FINAL_STAGE = "FINAL_STAGE";

    public static final String CCC_CERTIFICATE_CODE = "CCC_CERTIFICATE_CODE";

    public static final String CCC_CERTIFICATE_VESION = "CCC_CERTIFICATE_VESION";

    public static final String CCC_SIGN_DATA = "CCC_SIGN_DATA";

    public static final String CAR_AXLE_NUMBER = "CAR_AXLE_NUMBER";

    public static final String CAR_WHEEL_NUMBER = "CAR_WHEEL_NUMBER";

    public static final String PROJECT_AREA_GROUND = "PROJECT_AREA_GROUND";

    public static final String CAR_REAE_OVERHANG = "CAR_REAE_OVERHANG";

    public static final String CAR_RUNNING_WEIGHT = "CAR_RUNNING_WEIGHT";

    public static final String CAR_RATED_WEIGHT = "CAR_RATED_WEIGHT";

    public static final String CAR_AXIAL_LOAD_DISTRIBUTION = "CAR_AXIAL_LOAD_DISTRIBUTION";

    public static final String CAR_AXIAL_LOAD_WEIGHT = "CAR_AXIAL_LOAD_WEIGHT";

    public static final String ADJUSTABLE_CAR_AXLE_LOCATION = "ADJUSTABLE_CAR_AXLE_LOCATION";

    public static final String BEARABLE_CAR_AXLE_LOCATION = "BEARABLE_CAR_AXLE_LOCATION";

    public static final String CAR_MAX_LOAD_ON_TOP = "CAR_MAX_LOAD_ON_TOP";

    public static final String MAX_TRACTION_QUALITY = "MAX_TRACTION_QUALITY";

    public static final String TRAILER_MAX_WEIGHT = "TRAILER_MAX_WEIGHT";

    public static final String TRACTOR_TRAILER = "TRACTOR_TRAILER";

    public static final String SEMI_TRAILER = "SEMI_TRAILER";

    public static final String INTERMEDIATE_TRAILER = "INTERMEDIATE_TRAILER";

    public static final String TRACTOE_TRAILER_MAX_WEIGHT = "TRACTOE_TRAILER_MAX_WEIGHT";

    public static final String TRACTOE_TRAILER_MAX_LOAD = "TRACTOE_TRAILER_MAX_LOAD";

    public static final String CAR_DRIVE_SHAFT_LOCATION = "CAR_DRIVE_SHAFT_LOCATION";

    public static final String ENGINE_MANUFACTURER_NAME = "ENGINE_MANUFACTURER_NAME";

    public static final String CAR_MOTOE_CODE_LOCATION = "CAR_MOTOE_CODE_LOCATION";

    public static final String ENGINE_WORKING_PRINCIPLE = "ENGINE_WORKING_PRINCIPLE";

    public static final String DIERCT_INJECTION = "DIERCT_INJECTION";

    public static final String CYLINDERS_NUMBEE = "CYLINDERS_NUMBEE";

    public static final String CYLINDERS_ARRANGEMENT = "CYLINDERS_ARRANGEMENT";

    public static final String DISPLACEMENT = "DISPLACEMENT";

    public static final String FUEL_TYPE = "FUEL_TYPE";

    public static final String MAX_NET_POWER = "MAX_NET_POWER";

    public static final String ENGINE_SPEED = "ENGINE_SPEED";

    public static final String CAR_CLUTCH = "CAR_CLUTCH";

    public static final String CAR_TRANSMISSION = "CAR_TRANSMISSION";

    public static final String CAR_SPEEDRATION = "CAR_SPEEDRATION";

    public static final String CAR_AXLE_DISTANCE = "CAR_AXLE_DISTANCE";

    public static final String CAR_MAIN_DRIVE_RATIO = "CAR_MAIN_DRIVE_RATIO";

    public static final String CAR_TIRE_SPECIFICATION = "CAR_TIRE_SPECIFICATION";

    public static final String IS_AIR_DEVICE = "IS_AIR_DEVICE";

    public static final String IS_EQUAL_AIR_DEVICE = "IS_EQUAL_AIR_DEVICE";

    public static final String CAR_AUXILIARY_STEERING_MODE = "CAR_AUXILIARY_STEERING_MODE";

    public static final String CAR_BRAKE_BRIEF_DESCRIPTION = "CAR_BRAKE_BRIEF_DESCRIPTION";

    public static final String TUBE_PRESSURE = "TUBE_PRESSURE";

    public static final String CAR_BODY_TYPE = "CAR_BODY_TYPE";

    public static final String TANK_EFFICIENT_VOLUME = "TANK_EFFICIENT_VOLUME";

    public static final String TRACTION_SEAT_FRONT_DISTANCE = "TRACTION_SEAT_FRONT_DISTANCE";

    public static final String MAX_VALUE = "MAX_VALUE";

    public static final String CRANE_MAX_TORQUE_CAPACITY = "CRANE_MAX_TORQUE_CAPACITY";

    public static final String CAR_DOOR_NUMBER = "CAR_DOOR_NUMBER";

    public static final String CAR_DOOR_STRUCTUER = "CAR_DOOR_STRUCTUER";

    public static final String MIN_VALUE = "MIN_VALUE";

    public static final String CAR_SEAT_NUMBER = "CAR_SEAT_NUMBER";

    public static final String CAR_SEAT_ARRANDEMENT_MODE = "CAR_SEAT_ARRANDEMENT_MODE";

    public static final String OCCUPYING_NUMBER = "OCCUPYING_NUMBER";

    public static final String TOWING_DEVICE_CCC_CODE = "TOWING_DEVICE_CCC_CODE";

    public static final String TEST_ERPORT_CODE = "TEST_ERPORT_CODE";

    public static final String CAR_MAX_SPEED = "CAR_MAX_SPEED";

    public static final String SOUND_LEVEL = "SOUND_LEVEL";

    public static final String CCC_STANARD_NUMBEE = "CCC_STANARD_NUMBEE";

    public static final String STATIONARY_NOISE = "STATIONARY_NOISE";

    public static final String CCC_ENGINE_SPEED = "CCC_ENGINE_SPEED";

    public static final String CAR_NOISE = "CAR_NOISE";

    public static final String EXHAUST_EMISSION = "EXHAUST_EMISSION";

    public static final String AUTHENTICATION_REFERENCE_WZ = "AUTHENTICATION_REFERENCE_WZ";

    public static final String CO_GAS_WZ = "CO_GAS_WZ";

    public static final String NOX_GAX_WZ = "NOX_GAX_WZ";

    public static final String NMHC_GAS_WZ = "NMHC_GAS_WZ";

    public static final String THC_GAS_WZ = "THC_GAS_WZ";

    public static final String CH4_GAS_WZ = "CH4_GAS_WZ";

    public static final String PARTICULATE_GAS_WZ = "PARTICULATE_GAS_WZ";

    public static final String AUTHENTICATION_REFERENCE_BWZ = "AUTHENTICATION_REFERENCE_BWZ";

    public static final String CO_GAS_BWZ = "CO_GAS_BWZ";

    public static final String NOX_GAX_BWZ = "NOX_GAX_BWZ";

    public static final String NMHC_GAS_BWZ = "NMHC_GAS_BWZ";

    public static final String THC_GAS_BWZ = "THC_GAS_BWZ";

    public static final String CH4_GAS_BWZ = "CH4_GAS_BWZ";

    public static final String PARTICULATE_GAS_BWZ = "PARTICULATE_GAS_BWZ";

    public static final String THC_LIQUID = "THC_LIQUID";

    public static final String NMHC_LIQUID = "NMHC_LIQUID";

    public static final String TEST_FUEL_LIQUID = "TEST_FUEL_LIQUID";

    public static final String CO_LIQUID_WZ = "CO_LIQUID_WZ";

    public static final String HC_LIQUID_WZ = "HC_LIQUID_WZ";

    public static final String NOX_LIQUID_WZ = "NOX_LIQUID_WZ";

    public static final String HCNOX_LIQUID_WZ = "HCNOX_LIQUID_WZ";

    public static final String SMOKE_LIQUID_WZ = "SMOKE_LIQUID_WZ";

    public static final String PARTICULATE_LIQUID_WZ = "PARTICULATE_LIQUID_WZ";

    public static final String TEST_FUEL_GAS_WZ = "TEST_FUEL_GAS_WZ";

    public static final String CO_LIQUID_BWZ = "CO_LIQUID_BWZ";

    public static final String HC_LIQUID_BWZ = "HC_LIQUID_BWZ";

    public static final String NOX_LIQUID_BWZ = "NOX_LIQUID_BWZ";

    public static final String HCNOX_LIQUID_BWZ = "HCNOX_LIQUID_BWZ";

    public static final String SMOKE_LIQUID_BWZ = "SMOKE_LIQUID_BWZ";

    public static final String PARTICULATE_LIQUID_BWZ = "PARTICULATE_LIQUID_BWZ";

    public static final String TEST_FUEL_GAS_BWZ = "TEST_FUEL_GAS_BWZ";

    public static final String FUEL_TYPE_CONSUMPTION = "FUEL_TYPE_CONSUMPTION";

    public static final String CCC_STANARD_NUMBER_EMISSION = "CCC_STANARD_NUMBER_EMISSION";

    public static final String FUEL_CONSUMPTION = "FUEL_CONSUMPTION";

    public static final String RATED_LOADMASS = "RATED_LOADMASS";

    public static final String ALLOW_TRACTION_TOTAL_MASS = "ALLOW_TRACTION_TOTAL_MASS";

    public static final String DANGER_GOODS_TEST_REPORT_CODE = "DANGER_GOODS_TEST_REPORT_CODE";

    public static final String DANGEROUS_GOODS_LEVEL = "DANGEROUS_GOODS_LEVEL";

    public static final String ANIMAL_TEST_REPORT_CODE = "ANIMAL_TEST_REPORT_CODE";

    public static final String ANIMAL_LEVEL = "ANIMAL_LEVEL";

    public static final String CAR_WHEEL_DISTANCE = "CAR_WHEEL_DISTANCE";

    public static final String CAR_STEERING_SHAFT_NUMBER = "CAR_STEERING_SHAFT_NUMBER";

    public static final String REMARK = "REMARK";

    public static final String PRODUCT_CHINESE_ENDORSE = "PRODUCT_CHINESE_ENDORSE";

    public static final String CAR_MANUFACTOR_CODE = "CAR_MANUFACTOR_CODE";

    public static final String COC_FACTORY_COUNT_CODE = "COC_FACTORY_COUNT_CODE";

    public static final String CAE_RATED_POWER = "CAE_RATED_POWER";

    public static final String CAE_MOTOR_SPEED = "CAE_MOTOR_SPEED";

    public static final String DEIVING_FORM = "DEIVING_FORM";

    public static final String ENERGY_CONSUMPT_IDENT_DATE = "ENERGY_CONSUMPT_IDENT_DATE";

    public static final String CAR_TYPE_SEREIES_NAME = "CAR_TYPE_SEREIES_NAME";

    public static final String CAR_UNIT_NAME = "CAR_UNIT_NAME";

    public static final String AR_TYPE_NAME = "AR_TYPE_NAME";

    public static final String CAR_LENGTH = "CAR_LENGTH";

    public static final String CENTER_DISTANCE = "CENTER_DISTANCE";

    public static final String LOADING_AREA_LENGTH = "LOADING_AREA_LENGTH";

    public static final String CAR_WIDTH = "CAR_WIDTH";

    public static final String CAR_HIGHT = "CAR_HIGHT";

    public static final String CAR_IS_BAOSI = "CAR_IS_BAOSI";

    public static final String COC_FACTORY_COUNT = "COC_FACTORY_COUNT";

    public static final String CAR_CHINESE_NAME = "CAR_CHINESE_NAME";

    public static final String CAR_ENGLISH_NAME = "CAR_ENGLISH_NAME";

    public static final String VEHICLE_REGISTER_TYPE = "VEHICLE_REGISTER_TYPE";

    public static final String CAR_FRONT_OVERHANG = "CAR_FRONT_OVERHANG";

    public static final String CAR_CURB_WEIGHT = "CAR_CURB_WEIGHT";

    public static final String CAR_TOTAL_WEIGHT = "CAR_TOTAL_WEIGHT";

    public static final String CAR_APPROACH_ANGLES = "CAR_APPROACH_ANGLES";

    public static final String CAR_DEPARTUER_ANGLES = "CAR_DEPARTUER_ANGLES";

    public static final String CAR_STEERING_MODE = "CAR_STEERING_MODE";

    public static final String ENGINE_TYPE = "ENGINE_TYPE";

    public static final String CAR_RATED_CAPACITY = "CAR_RATED_CAPACITY";

    public static final String MASS_CARRYING_CAPACITY = "MASS_CARRYING_CAPACITY";

    public static final String LEAF_SPRING_NUMBER = "LEAF_SPRING_NUMBER";

    public static final String VEHICLE_INTERNAL_SIZE = "VEHICLE_INTERNAL_SIZE";

    public static final String VEHICLE_LENGTH = "VEHICLE_LENGTH";

    public static final String VEHICLE_WIDTH = "VEHICLE_WIDTH";

    public static final String VEHICLE_HIGHT = "VEHICLE_HIGHT";

    public static final String CAR_MAINMOTOR_TYPE = "CAR_MAINMOTOR_TYPE";

    public static final String CAR_MAINMOTOR_MANUFACTOR_NAME = "CAR_MAINMOTOR_MANUFACTOR_NAME";

    public static final String CAR_MAINMOTOR_MAX_POWER = "CAR_MAINMOTOR_MAX_POWER";

    public static final String CAR_MAINOTOR_WORKING_VOLTAGE = "CAR_MAINOTOR_WORKING_VOLTAGE";

    public static final String CAR_MAINMOTOR_MAX_TORQUE = "CAR_MAINMOTOR_MAX_TORQUE";

    public static final String CAR_BATTERY_MODEL = "CAR_BATTERY_MODEL";

    public static final String CAR_BATTERY_MANUFACTOR_NAME = "CAR_BATTERY_MANUFACTOR_NAME";

    public static final String CAR_BATTERY_CAPACITY = "CAR_BATTERY_CAPACITY";

    public static final String CAR_BATTERY_VOLTAGE = "CAR_BATTERY_VOLTAGE";

    public static final String COC_APPLY_NAME = "COC_APPLY_NAME";

    public static final String COC_MANUFACTURER_NAME = "COC_MANUFACTURER_NAME";

    public static final String COC_STYLE = "COC_STYLE";

    public static final String AXLE_AND_INSTALL_CONDITION = "AXLE_AND_INSTALL_CONDITION";

    public static final String COC_FACTOR_NAME = "COC_FACTOR_NAME";

    public static final String CONTACTS = "CONTACTS";

    public static final String CONTACT_PHONE = "CONTACT_PHONE";

    public static final String CO2_EMISSIONS_DOWNTOWN = "CO2_EMISSIONS_DOWNTOWN";

    public static final String CO2_EMISSIONS_OUTSKIRT = "CO2_EMISSIONS_OUTSKIRT";

    public static final String CO2_EMISSIONS_COMPLEX = "CO2_EMISSIONS_COMPLEX";

    public static final String FUEL_CONSUMPTION_DOWNTOWN = "FUEL_CONSUMPTION_DOWNTOWN";

    public static final String FUEL_CONSUMPTION_OUTSKIRT = "FUEL_CONSUMPTION_OUTSKIRT";

    public static final String FUEL_CONSUMPTION_COMPLEX = "FUEL_CONSUMPTION_COMPLEX";

    public static final String COC_FINAL_FACTORY_COUNT = "COC_FINAL_FACTORY_COUNT";

    public static final String VIN_USE_VEHICLE_YEAR = "VIN_USE_VEHICLE_YEAR";

    public static final String DRIVE_NO = "DRIVE_NO";

    public static final String CAR_IS_TUOGUA = "CAR_IS_TUOGUA";

    public static final String CAR_MAX_ALLOW_TOTAL_QUALITY = "CAR_MAX_ALLOW_TOTAL_QUALITY";

    public static final String CAB_NUMBER_OF_PASSENGERS = "CAB_NUMBER_OF_PASSENGERS";

    public static final String ENERGY_CCC_STANARD_NUMBEE = "ENERGY_CCC_STANARD_NUMBEE";

    public static final String TOTAL_POWER_CONSUMPTION = "TOTAL_POWER_CONSUMPTION";

    public static final String FUEL_EPOWER_CONSUMPTION = "FUEL_EPOWER_CONSUMPTION";

    public static final String DRIVING_RANGE = "DRIVING_RANGE";

    public static final String COC_BASE_FACTORY_COUNT = "COC_BASE_FACTORY_COUNT";

    public static final String CERTIFICATION_PRINCIPAL_NAME = "CERTIFICATION_PRINCIPAL_NAME";

    public static final String CH4_LIQUID = "CH4_LIQUID";

    public static final String NH3_LIQUID = "NH3_LIQUID";

    public static final String PM_LIQUID = "PM_LIQUID";

    public static final String PN_LIQUID = "PN_LIQUID";

    public static final String CONFIRM_STATUS = "CONFIRM_STATUS";

    public static final String CREATE_TIME = "CREATE_TIME";

    public static final String UPDATE_TIME = "UPDATE_TIME";

    public static final String CREATOR = "CREATOR";

    public static final String UPDATER = "UPDATER";

    public static final String N2O_LIQUID = "N2O_LIQUID";

    public static final String DECLARE_STATUS = "DECLARE_STATUS";

    public static final String MAX_DISTANCE = "MAX_DISTANCE";

    public static final String LAST_END_DISTANCE = "LAST_END_DISTANCE";

    public static final String DRIVE_NO_HH = "DRIVE_NO_HH";

    public static final String CAR_MOTOE_CODE_LOCATION_HH = "CAR_MOTOE_CODE_LOCATION_HH";

    public static final String ENERGY_CONSUMPTION = "ENERGY_CONSUMPTION";

    public static final String MIN_STATE_FUEL_CONSUMPTION = "MIN_STATE_FUEL_CONSUMPTION";

    public static final String CAR_TYPE_SEQ = "CAR_TYPE_SEQ";

    public static final String CAR_CELL = "CAR_CELL";

    public static final String CAR_TYPE = "CAR_TYPE";

    public static final String COC_ID = "COC_ID";

    public static final String VEHICLE_TYPE = "VEHICLE_TYPE";

    public static final String COC_AUTO_STATE = "COC_AUTO_STATE";

    public static final String AUTO_TYPE = "AUTO_TYPE";

    public static final String COC_AUTO_FUEL_CONSUMP = "COC_AUTO_FUEL_CONSUMP";

    public static final String COC_AUTO_EFFECTIVE_DATE = "COC_AUTO_EFFECTIVE_DATE";

    public static final String COC_AUTO_STYLE = "COC_AUTO_STYLE";

    public static final String COC_FACTOR_ID = "COC_FACTOR_ID";

    public static final String TEMPLATE_TYPE = "TEMPLATE_TYPE";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
