package com.adc.da.vdaims.handler;

import com.adc.da.util.utils.StringUtils;
import lombok.extern.slf4j.Slf4j;
import org.apache.ibatis.type.BaseTypeHandler;
import org.apache.ibatis.type.JdbcType;

import java.sql.CallableStatement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import static com.adc.da.vdaims.consts.CommConstant.AT;
import static com.adc.da.vdaims.consts.CommConstant.SEMICOLON_CN;

@Slf4j
public class AtSemicolonConversionHandler extends BaseTypeHandler<String> {

    public AtSemicolonConversionHandler(Class<Object> type) {
        if (log.isTraceEnabled()) {
            log.trace("AtSemicolonConversionHandler(" + type + ")");
        }
    }

    @Override
    public void setNonNullParameter(PreparedStatement preparedStatement, int i, String s, JdbcType jdbcType) throws SQLException {
        preparedStatement.setString(i, s.replaceAll(SEMICOLON_CN, AT));
    }

    @Override
    public String getNullableResult(ResultSet resultSet, int i) throws SQLException {
        String string = resultSet.getString(i);
        if (StringUtils.isNotEmpty(string)) {
            string = string.replaceAll(AT, SEMICOLON_CN);
        }
        return string;
    }

    @Override
    public String getNullableResult(CallableStatement callableStatement, int i) throws SQLException {
        String string = callableStatement.getString(i);
        if (StringUtils.isNotEmpty(string)) {
            string = string.replaceAll(AT, SEMICOLON_CN);
        }
        return string;
    }

    @Override
    public String getNullableResult(ResultSet resultSet, String s) throws SQLException {
        String string = resultSet.getString(s);
        if (StringUtils.isNotEmpty(string)) {
            string = string.replaceAll(AT, SEMICOLON_CN);
        }
        return string;
    }
}
