package com.adc.da.vdaims.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class BaseTemplateVo {

    private String vehicleCertId;
    /**
     * 车辆一致性证书编号
     */
    private String cocId;
    /**
     * 最终阶段车辆制造国
     */
    private String cocFinalFactoryCount;
    /**
     * 车辆生产企业名称
     */
    private String carManufacturerName;
    /**
     * 车辆生产企业地址
     */
    private String carManufacturerAddress;
    /**
     * 生产者（制造商）名称
     */
    private String cocManufacturerName;
    /**
     * 新能源车
     */
    private String carIsXinnengyuan;
    /**
     * 产品标牌的位置
     */
    private String carNameplateLocation;
    /**
     * 车辆识别代号
     */
    private String vin;
    /**
     * 车辆识别代号是否使用车型年份
     */
    private String vinUseVehicleYear;
    /**
     * 车辆识别代号打刻位置
     */
    private String carIdentiCodeLoaction;
    /**
     * 车型名称
     */
    private String carModelName;
    /**
     * 车辆品牌（中文）
     */
    private String carChineseName;
    /**
     * 车辆品牌（英文）
     */
    private String carEnglishName;
    /**
     * 车辆注册类型
     */
    private String vehicleRegisterType;
    /**
     * 车辆颜色
     */
    private String vehicleColor;
    /**
     * 车辆型号
     */
    private String carTypeCode;
    /**
     * 车辆类别
     */
    private String carCategoryl;
    /**
     * 发动机编号/驱动电机编号
     */
    private String driveNo;
    /**
     * 发动机编号在发动机上的打刻位置/驱动电机编号在驱动电机上的打刻位置
     */
    private String carMotoeCodeLocation;
    /**
     * 最终阶段车辆CCC证书编号
     */
    private String cccCertificateCode;
    /**
     * 最终阶段车辆证书签发日期
     */
    private String cccSignData;
    /**
     * 车辆型式
     */
    private String vehicleType;
    /**
     * 驱动形式
     */
    private String deivingForm;
    /**
     * 车轴数量
     */
    private String carAxleNumber;
    /**
     * 车轮数量
     */
    private String carWheelNumber;
    /**
     * 驱动轴位置
     */
    private String carDriveShaftLocation;
    /**
     * 前悬（ mm）
     */
    private String carFrontOverhang;
    /**
     * 后悬（ mm）
     */
    private String carReaeOverhang;
    /**
     * 轮距（mm）
     */
    private String carWheelDistance;
    /**
     * 外廓尺寸（长）（mm）
     */
    private String carLength;
    /**
     * 外廓尺寸（宽）（mm）
     */
    private String carWidth;
    /**
     * 外廓尺寸（高）（mm）
     */
    private String carHight;
    /**
     * 轴距（mm）
     */
    private String carAxleDistance;
    /**
     * 接近角（°）
     */
    private String carApproachAngles;
    /**
     * 离去角（°）
     */
    private String carDepartuerAngles;
    /**
     * 车门数量
     */
    private String carDoorNumber;
    /**
     * 整备质量（ kg）
     */
    private String carCurbWeight;
    /**
     * 车辆是否适合拖挂
     */
    private String carIsTuogua;
    /**
     * 最大允许总质量（kg）
     */
    private String carRatedWeight;
    /**
     * 最大允许总质量下的轴荷（kg）
     */
    private String carAxialLoadDistribution;
    /**
     * 最大允许牵引质量（kg）
     */
    private String maxTractionQuality;
    /**
     * 最大允许列车质量（ kg）
     */
    private String carMaxAllowTotalQuality;
    /**
     * 离合器型式
     */
    private String carClutch;
    /**
     * 变速器型式
     */
    private String carTransmission;
    /**
     * 是否带防抱死系统
     */
    private String carIsBaosi;
    /**
     * 最高设计车速（km/h）
     */
    private String carMaxSpeed;
    /**
     * 轮胎规格型号
     */
    private String carTireSpecification;
    /**
     * 制动装置简要说明
     */
    private String carBrakeBriefDescription;
    /**
     * 钢板弹簧片数
     */
    private String leafSpringNumber;
    /**
     * 驾驶室准乘人数/额定载客人数
     */
    private String cabNumberOfPassengers;
    /**
     * 车辆制造日期
     */
    @JsonFormat(pattern = "yyyy年MM月dd日")
    @DateTimeFormat(pattern = "yyyy年MM月dd日")
    private Date produceDate;
    /**
     * 速比
     */
    private String carSpeedration;
    /**
     * 主传动比
     */
    private String carMainDriveRatio;
    /**
     * 声级-CCC认证所依据的标准号及实施阶段
     */
    private String cccStanardNumbee;
    /**
     * 声级-定置噪声（dB（A））
     */
    private String stationaryNoise;
    /**
     * 声级-加速行驶车外噪声（dB（A））
     */
    private String carNoise;
    /**
     * 备注
     */
    private String remark;
    /**
     * 基本车辆制造国
     */
    private String cocBaseFactoryCount;
    /**
     * 认证委托人名称
     */
    private String certificationPrincipalName;
    /**
     * 联系人
     */
    private String contacts;
    /**
     * 联系电话
     */
    private String contactPhone;

}
