package com.adc.da.vdaims.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.adc.da.mp.base.BaseEntity;
import com.adc.da.vdaims.entity.CertHgzPrintEO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("NERDS.CERT_HGZ_PRINT")
public class CertHgzPrintListVO extends BaseEntity<CertHgzPrintEO> {

    @TableId(value = "ID", type = IdType.UUID)
    private String id;

    @ApiModelProperty(value = "配置序列号 ")
    @TableField(value = "CONFIG_SEQ_NO", jdbcType = JdbcType.INTEGER)
    private String configSeqNo;

    @ApiModelProperty(value = "合格证编号")
    @Excel(name = "合格证编号", orderNum = "1")
    @TableField(value = "VEH_ZCHGZBH", jdbcType = JdbcType.VARCHAR)
    private String vehZchgzbh;

    @ApiModelProperty(value = "产品型号")
    @Excel(name = "产品型号", orderNum = "2")
    @TableField(value = "VEH_CLXH", jdbcType = JdbcType.VARCHAR)
    private String vehClxh;

    @ApiModelProperty(value = "车辆类型")
    @TableField(value = "VEH_CLFL", jdbcType = JdbcType.VARCHAR)
    private String vehClfl;

    @ApiModelProperty(value = "产品名称")
    @Excel(name = "产品名称", orderNum = "4")
    @TableField(value = "VEH_CLMC", jdbcType = JdbcType.VARCHAR)
    private String vehClmc;

    @ApiModelProperty(value = "VIN编号")
    @Excel(name = "VIN编号", orderNum = "5")
    @TableField(value = "VEH_CLSBDH", jdbcType = JdbcType.VARCHAR)
    private String vehClsbdh;

    @ApiModelProperty(value = "确认时间")
    @TableField(value = "HGZ_ACK_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ackTime;

    @ApiModelProperty(value = "合格证打印时间")
    @TableField(value = "HGZ_PRINT_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date hgzPrintTime;

    @Excel(name = "确认时间", orderNum = "6")
    private String ackTimeStr;

    @ApiModelProperty(value = "状态 0 未打印 1 参考打印 2 已打印")
    @TableField(value = "HGZ_PRINT_STATUS", jdbcType = JdbcType.INTEGER)
    private Integer hgzPrintStatus;

    @ApiModelProperty(value = "状态 0 未打印 1 参考打印 2 已打印")
    @TableField(value = "HGZ_PRINT_STATUS", jdbcType = JdbcType.INTEGER)
    private Integer hgzStatus;

    @ApiModelProperty(value = "状态 0 未打印 1 已打印")
    @Excel(name = "状态", orderNum = "7")
    private String hgzPrintStatusStr;
}
