package com.adc.da.vdaims.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.adc.da.mp.base.BaseEntity;
import com.adc.da.vdaims.entity.CertHgzPrintEO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("NERDS.CERT_HGZ_PRINT")
public class CertHgzUploadListVO extends BaseEntity<CertHgzUploadListVO> {

    @TableId(value = "ID", type = IdType.UUID)
    private String id;

    @ApiModelProperty(value = "公告批次")
    @Excel(name = "批次", orderNum = "0")
    @JsonProperty("Veh_Ggpc")
    @TableField(value = "VEH_GGPC", jdbcType = JdbcType.VARCHAR)
    private String vehGgpc;


    @ApiModelProperty(value = "合格证编号")
    @Excel(name = "合格证编号", orderNum = "1")
    @TableField(value = "VEH_ZCHGZBH", jdbcType = JdbcType.VARCHAR)
    private String vehZchgzbh;

    @ApiModelProperty(value = "纸张编号")
    @Excel(name = "纸张编号", orderNum = "2")
    @JsonProperty("Veh_Zzbh")
    @TableField(value = "VEH_ZZBH", jdbcType = JdbcType.VARCHAR)
    private String vehZzbh;

    @ApiModelProperty(value = "车辆识别代号")
    @Excel(name = "车辆识别代号", orderNum = "3")
    @JsonProperty("Veh_Clsbdh")
    @TableField(value = "VEH_CLSBDH", jdbcType = JdbcType.VARCHAR)
    private String vehClsbdh;

    @ApiModelProperty(value = "车辆型号")
    @Excel(name = "车辆型号", orderNum = "4")
    @JsonProperty("Veh_Clxh")
    @TableField(value = "VEH_CLXH", jdbcType = JdbcType.VARCHAR)
    private String vehClxh;

    @ApiModelProperty(value = "轮胎规格")
    @Excel(name = "轮胎规格", orderNum = "5")
    @JsonProperty("Veh_Ltgg")
    @TableField(value = "VEH_LTGG", jdbcType = JdbcType.VARCHAR)
    private String vehLtgg;

    @ApiModelProperty(value = "发动机编号")
    @Excel(name = "发动机编号", orderNum = "6")
    @JsonProperty("Veh_Fdjh")
    @TableField(value = "VEH_FDJH", jdbcType = JdbcType.VARCHAR)
    private String vehFdjh;

    @ApiModelProperty(value = "车身颜色")
    @Excel(name = "车身颜色", orderNum = "7")
    @JsonProperty("Veh_Csys")
    @TableField(value = "VEH_CSYS", jdbcType = JdbcType.VARCHAR)
    private String vehCsys;

    @ApiModelProperty(value = "车辆类别")
    @Excel(name = "车辆类类别", orderNum = "8")
    @TableField(value = "VEH_CLFL", jdbcType = JdbcType.VARCHAR)
    private String vehClfl;

    @ApiModelProperty(value = "发证日期")
    @JsonProperty("Veh_Fzrq")
    @TableField(value = "VEH_FZRQ", jdbcType = JdbcType.VARCHAR)
    private String vehFzrq;

    @ApiModelProperty(value = "车辆制造日期")
    @JsonProperty("Veh_Clzzrq")
    @TableField(value = "VEH_CLZZRQ", jdbcType = JdbcType.VARCHAR)
    private String vehClzzrq;

    @ApiModelProperty(value = "合格证打印状态 ")
    @TableField(value = "HGZ_PRINT_STATUS", jdbcType = JdbcType.INTEGER)
    private Integer hgzPrintStatus;

    @ApiModelProperty(value = "合格证状态")
    @TableField(value = "HGZ_STATUS", jdbcType = JdbcType.INTEGER)
    private Integer hgzStatus;


}
