package com.adc.da.vdaims.vo;

import com.adc.da.mp.base.annotation.NotRepeat;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.validation.annotation.Validated;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Data
public class CertUploadVehicleInfo {

    @NotEmpty(message = "id不能为空")
    private String id;

    @ApiModelProperty(value = "纸张编号")
    @JsonProperty("Veh_Zzbh")
    private String vehZzbh;

    @ApiModelProperty(value = "车辆识别代号")
    @JsonProperty("Veh_Clsbdh")
    @NotBlank(message = "车辆识别代号不能为空")
    private String vehClsbdh;

    @ApiModelProperty(value = "整车合格证编号")
    @JsonProperty("Veh_Zchgzbh")
    @NotRepeat(message = "整车合格证编号不能为空")
    private String vehZchgzbh;


    @ApiModelProperty(value = "底盘合格证编号")
    @JsonProperty("Veh_Dphgzbh")
    private String vehDphgzbh;

    @ApiModelProperty(value = "发动机号")
    @JsonProperty("Veh_Fdjh")
    private String vehFdjh;

    @ApiModelProperty(value = "车身颜色")
    @JsonProperty("Veh_Csys")
    private String vehCsys;

    @ApiModelProperty(value = "发证日期")
    @JsonProperty("Veh_Fzrq")
    private String vehFzrq;

    @ApiModelProperty(value = "车辆制造日期")
    @JsonProperty("Veh_Clzzrq")
    private String vehClzzrq;


}
