package com.adc.da.vdaims.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class VehicleCertYzxVo {

    private String id;

    @ApiModelProperty(value = "企业ID")
    @TableField("VC.QY_ID")
    private String qyId;

    @ApiModelProperty(value = "VIN")
    @TableField("VC.VIN")
    private String vin;

    @ApiModelProperty(value = "配置序列号")
    @TableField("VC.CONFIG_SEQ_NO")
    private String configSeqNo;

    @ApiModelProperty(value = "合格证编号")
    @TableField("VC.HGZ_CERTNO")
    private String hgzCertno;

    @ApiModelProperty(value = "底盘合格证编号")
    @TableField("VC.DPHGZ_CERTNO")
    private String dphgzCertno;

    @ApiModelProperty(value = "一致性证书编号")
    @TableField("VC.YZX_CERTNO")
    private String yzxCertno;

    @ApiModelProperty(value = "环保证书编号")
    @TableField("VC.HB_CERTNO")
    private String hbCertno;

    @ApiModelProperty(value = "发动机编号")
    @TableField("VC.FDJ_NO")
    private String fdjNo;

    @ApiModelProperty(value = "纸张编号")
    @TableField("VC.PAGE_NO")
    private String pageNo;

    @ApiModelProperty(value = "车身颜色")
    @TableField("VC.VEHICLE_COLOR")
    private String vehicleColor;

    @ApiModelProperty(value = "款型")
    @TableField("VC.VEHICLE_STYLE")
    private String vehicleStyle;

    @ApiModelProperty(value = "发证日期")
    @TableField("VC.CERT_DATE")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date certDate;

    @ApiModelProperty(value = "制造日期")
    @TableField("VC.PRODUCE_DATE")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date produceDate;

    @TableField("VC.CREATE_TIME")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField("VC.UPDATE_TIME")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty(value = "确认状态 0：未确认 1：已确认")
    @TableField("YTD.CONFIRM_STATUS")
    private String confirmStatus;

    @ApiModelProperty(value = "车辆型号")
    @TableField("YTD.CAR_TYPE_CODE")
    private String carTypeCode;

    @ApiModelProperty(value = "车辆名称")
    @TableField("YTD.CAR_MODEL_NAME")
    private String carModelName;

    @ApiModelProperty(value = "变速器(型式)")
    @TableField("YTD.CAR_TRANSMISSION")
    private String carTransmission;

    @ApiModelProperty(value = "轮胎规格")
    @TableField("YTD.CAR_TIRE_SPECIFICATION")
    private String carTireSpecification;

    @ApiModelProperty(value = "发动机（电动机）型号")
    @TableField("YTD.ENGINE_TYPE")
    private String engineType;

    @ApiModelProperty(value = "一致性纸张编号")
    @TableField("YTD.YZX_PAGE_NO")
    private String yzxPageNo;

    @ApiModelProperty(value = "打印状态 0：未打印 1：已打印 2：已参考打印")
    @TableField("YTD.PRINT_STATUS")
    private String printStatus;

    @ApiModelProperty(value = "模板类型")
    @TableField("YTD.TEMPLATE_TYPE")
    private String templateType;

    @ApiModelProperty(value = "车辆生成企业名称")
    @TableField("YTD.CAR_MANUFACTURER_NAME")
    private String carManufacturerName;

    @ApiModelProperty(value = "车辆中文品牌")
    @TableField("YTD.CAR_CHINESE_NAME")
    private String carChineseName;

    @ApiModelProperty(value = "车辆英文品牌")
    @TableField("YTD.CAR_ENGLISH_NAME")
    private String carEnglishName;

    @ApiModelProperty(value = "车辆型式")
    @TableField("TCI.VEHICLE_TYPE")
    private String vehicleType;

    @ApiModelProperty(value = "申报状态 0：未申报 1：已申报")
    @TableField("YTD.DECLARE_STATUS")
    private String declareStatus;
}
