package com.adc.da.vdaims.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.Date;

@Data
public class YzxPrintData {
    /**
     * 车辆一致性证书编号
     */
    @JsonProperty(value = "cocId")
    private String cocId;
    /**
     * 最终阶段车辆制造国
     */
    @JsonProperty(value = "carFinalManufactorName")
    private String cocFinalFactoryCount;
    /**
     * 车辆生产企业名称
     */
    @JsonProperty(value = "cocFactoryName")
    private String carManufacturerName;
    /**
     * 车辆生产企业地址
     */
    @JsonProperty(value = "carMakeAddress")
    private String carManufacturerAddress;
    /**
     * 生产者（制造商）名称
     */
    @JsonProperty(value = "coc_Manufacturer_Name")
    private String cocManufacturerName;
    /**
     * 新能源车
     */
    @JsonProperty(value = "car_is_xinnengyuan")
    private String carIsXinnengyuan;
    /**
     * 产品标牌的位置
     */
    @JsonProperty(value = "carNamePlateLocation")
    private String carNameplateLocation;
    /**
     * 车辆识别代号
     */
    @JsonProperty(value = "vehicleNo")
    private String vin;
    /**
     * 车辆识别代号是否使用车型年份
     */
    @JsonProperty(value = "vehicleNoIsYear")
    private String vinUseVehicleYear;
    /**
     * 车辆识别代号打刻位置
     */
    @JsonProperty(value = "carIdentiCodeLoaction")
    private String carIdentiCodeLoaction;
    /**
     * 车型名称
     */
    @JsonProperty(value = "carTypeName")
    private String carModelName;
    /**
     * 车辆品牌（中文）
     */
    @JsonProperty(value = "carChineseName")
    private String carChineseName;
    /**
     * 车辆品牌（英文）
     */
    @JsonProperty(value = "carEnglishName")
    private String carEnglishName;
    /**
     * 车辆注册类型
     */
    @JsonProperty(value = "vehicleRegType")
    private String vehicleRegisterType;
    /**
     * 车辆颜色
     */
    @JsonProperty(value = "carColor")
    private String vehicleColor;
    /**
     * 车辆型号
     */
    @JsonProperty(value = "carType")
    private String carTypeCode;
    /**
     * 车辆类别
     */
    @JsonProperty(value = "carTypeModel")
    private String carCategoryl;
    /**
     * 发动机编号/驱动电机编号
     */
    @JsonProperty(value = "driveNumber")
    private String driveNo;
    /**
     * 发动机编号在发动机上的打刻位置/驱动电机编号在驱动电机上的打刻位置
     */
    @JsonProperty(value = "drivePosition")
    private String carMotoeCodeLocation;
    /**
     * 最终阶段车辆CCC证书编号
     */
    @JsonProperty(value = "cocCode")
    private String cccCertificateCode;
    /**
     * 最终阶段车辆CCC证书版本号
     */
    @JsonProperty(value = "cerVesion")
    private String cccCertificateVesion;
    /**
     * 最终阶段车辆证书签发日期
     */
    @JsonProperty(value = "cccSignData")
    private String cccSignData;
    /**
     * 车辆型式
     */
    @JsonProperty(value = "carModelName")
    private String vehicleType;
    /**
     * 驱动形式
     */
    @JsonProperty(value = "deiving_Form")
    private String deivingForm;
    /**
     * 车轴数量
     */
    @JsonProperty(value = "carAxleNumber")
    private String carAxleNumber;
    /**
     * 车轮数量
     */
    @JsonProperty(value = "carTireNumber")
    private String carWheelNumber;
    /**
     * 驱动轴位置
     */
    @JsonProperty(value = "car_Drive_Shaft_Position")
    private String carDriveShaftLocation;
    /**
     * 前悬（ mm）
     */
    @JsonProperty(value = "Overhang")
    private String carFrontOverhang;
    /**
     * 后悬（ mm）
     */
    @JsonProperty(value = "carReaeOverhang")
    private String carReaeOverhang;
    /**
     * 轮距（mm）
     */
    @JsonProperty(value = "carWheelDistance")
    private String carWheelDistance;
    /**
     * 外廓尺寸（长/宽/高）（mm）
     */
    @JsonProperty(value = "cl")
    private String carOutlineSize;
    /**
     * 轴距（mm）
     */
    @JsonProperty(value = "carAxleDistance")
    private String carAxleDistance;
    /**
     * 接近角（°）
     */
    @JsonProperty(value = "carApproachAngles")
    private String carApproachAngles;
    /**
     * 离去角（°）
     */
    @JsonProperty(value = "carDepartuerAngles")
    private String carDepartuerAngles;
    /**
     * 车门数量
     */
    @JsonProperty(value = "carDoorNumber")
    private String carDoorNumber;
    /**
     * 车门结构
     */
    @JsonProperty(value = "carDoorStructuer")
    private String carDoorStructuer;
    /**
     * 货箱内部尺寸（长/宽/高）（ mm）
     */
    @JsonProperty(value = "vehicleLength")
    private String vehicleInternalSize;
    /**
     * 牵引座主销轴线与半挂车前部任意点之间的最大距离（ mm）
     */
    @JsonProperty(value = "centerDistance")
    private String maxDistance;
    /**
     * 牵引座主销轴线与半挂车最后端之间的距离（ mm）
     */
    @JsonProperty(value = "tractionVehicleDistance")
    private String lastEndDistance;
    /**
     * 整备质量（ kg）
     */
    @JsonProperty(value = "vehicleCurbMass")
    private String carCurbWeight;
    /**
     * 车辆是否适合拖挂
     */
    @JsonProperty(value = "carIsTrailer")
    private String carIsTuogua;
    /**
     * 最大允许总质量（kg）
     */
    @JsonProperty(value = "car_Rated_Weight")
    private String carRatedWeight;
    /**
     * 最大允许总质量下的轴荷（kg）
     */
    @JsonProperty(value = "carAxialLoadDistribution")
    private String carAxialLoadDistribution;
    /**
     * 额定载质量
     */
    @JsonProperty(value = "ratedLoadMass")
    private String ratedLoadmass;
    /**
     * 载质量利用系数
     */
    @JsonProperty(value = "massCarryingCapacity")
    private String massCarryingCapacity;
    /**
     * 最大允许牵引质量（kg）
     */
    @JsonProperty(value = "quasiTractionTotalMass")
    private String maxTractionQuality;
    /**
     * 最大允许列车质量（ kg）
     */
    @JsonProperty(value = "carMaxAllowTrainWeight")
    private String carMaxAllowTotalQuality;
    /**
     * 发动机型号
     */
    @JsonProperty(value = "engineType")
    private String engineType;
    /**
     * 燃料种类
     */
    @JsonProperty(value = "fuelType")
    private String fuelType;
    /**
     * 直接喷射
     */
    @JsonProperty(value = "dierctInjection")
    private String dierctInjection;
    /**
     * 气缸数量
     */
    @JsonProperty(value = "cylindersNumbee")
    private String cylindersNumbee;
    /**
     * 气缸排列
     */
    @JsonProperty(value = "cylindersArrangement")
    private String cylindersArrangement;
    /**
     * 排量（ml）
     */
    @JsonProperty(value = "displacement")
    private String displacement;
    /**
     * 最大净功率（kW）
     */
    @JsonProperty(value = "power")
    private String maxNetPower;
    /**
     * 离合器型式
     */
    @JsonProperty(value = "car_Clutch")
    private String carClutch;
    /**
     * 变速器型式
     */
    @JsonProperty(value = "car_Transmission")
    private String carTransmission;
    /**
     * 是否带防抱死系统
     */
    @JsonProperty(value = "car_is_baosi")
    private String carIsBaosi;
    /**
     * 最高设计车速（km/h）
     */
    @JsonProperty(value = "car_Max_Speed")
    private String carMaxSpeed;
    /**
     * 轮胎规格型号
     */
    @JsonProperty(value = "car_Tire_Specification")
    private String carTireSpecification;
    /**
     * 制动装置简要说明
     */
    @JsonProperty(value = "car_Brake_Brief_Des")
    private String carBrakeBriefDescription;
    /**
     * 钢板弹簧片数
     */
    @JsonProperty(value = "leafSpringNumber")
    private String leafSpringNumber;
    /**
     * 牵引车与挂车的最大组合质量
     */
    @JsonProperty(value = "tractoeTrailerMaxWeight")
    private String tractoeTrailerMaxWeight;
    /**
     * 牵引车与挂车连接点处最大垂直质量
     */
    @JsonProperty(value = "tractoeTrailerMaxLoad")
    private String tractoeTrailerMaxLoad;
    /**
     * 驾驶室准乘人数/额定载客人数
     */
    @JsonProperty(value = "car_Rated_Capacity")
    private String cabNumberOfPassengers;
    /**
     * 车辆制造日期
     */
    @JsonProperty(value = "produced")
    @JsonFormat(pattern = "yyyy年MM月dd日")
    private Date produceDate;
    /**
     * 速比
     */
    @JsonProperty(value = "car_Speed_ratio")
    private String carSpeedration;
    /**
     * 主传动比
     */
    @JsonProperty(value = "car_Main_DRive_Ratio")
    private String carMainDriveRatio;
    /**
     * 声级-CCC认证所依据的标准号及实施阶段
     */
    @JsonProperty(value = "ccc_Stanard_Numbee_1")
    private String cccStanardNumbee;
    /**
     * 声级-定置噪声（dB（A））
     */
    @JsonProperty(value = "stationary_Noise")
    private String stationaryNoise;
    /**
     * 声级-加速行驶车外噪声（dB（A））
     */
    @JsonProperty(value = "car_Noise")
    private String carNoise;
    /**
     * 排气排放物-CCC认证所依据标准号及实施阶段
     */
    @JsonProperty(value = "cccStanardNumberExhaust")
    private String authenticationReference;
    /**
     * CO
     */
    @JsonProperty(value = "co")
    private String coLiquid;
    /**
     * THC
     */
    @JsonProperty(value = "thc")
    private String thcLiquid;
    /**
     * NMHC
     */
    @JsonProperty(value = "nmhc")
    private String nmhcLiquid;
    /**
     * NOx
     */
    @JsonProperty(value = "nox")
    private String noxLiquid;
    /**
     * N2O
     */
    @JsonProperty(value = "n2oLiquid")
    private String n2oLiquid;
    /**
     * PM
     */
    @JsonProperty(value = "PM")
    private String pmLiquid;
    /**
     * PN
     */
    @JsonProperty(value = "PN")
    private String pnLiquid;
    /**
     * 备注
     */
    @JsonProperty(value = "remark")
    private String remark;
    /**
     * 驱动电机型号
     */
    @JsonProperty(value = "car_Mainmotor_Type")
    private String carMainmotorType;
    /**
     * 驱动电机生产厂名称
     */
    @JsonProperty(value = "carMainmotorManufactorName")
    private String carMainmotorManufactorName;
    /**
     * 驱动电机工作电压
     */
    @JsonProperty(value = "car_Mainmotor_Working_Voltage")
    private String carMainotorWorkingVoltage;
    /**
     * 驱动电机峰值功率
     */
    @JsonProperty(value = "carMainmotorMaxPower")
    private String carMainmotorMaxPower;
    /**
     * 动力蓄电池型号
     */
    @JsonProperty(value = "car_Battery_Model")
    private String carBatteryModel;
    /**
     * 动力蓄电池额定电压
     */
    @JsonProperty(value = "car_Battery_Voltage")
    private String carBatteryVoltage;
    /**
     * 动力蓄电池额定容量
     */
    @JsonProperty(value = "car_Battery_Capacity")
    private String carBatteryCapacity;
    /**
     * 动力蓄电池生产厂名称
     */
    @JsonProperty(value = "carBatteryManufactorName")
    private String carBatteryManufactorName;
    /**
     * 能源消耗量-CCC 认证所依据标准的标准号
     */
    @JsonProperty(value = "energyCccStanardNumbee")
    private String energyCccStanardNumbee;
    /**
     * 综合工况电能消耗量
     */
    @JsonProperty(value = "totalPowerConsumption")
    private String totalPowerConsumption;
    /**
     * 电能当量燃料消耗量
     */
    @JsonProperty(value = "fuelEPowerConsumption")
    private String fuelEPowerConsumption;
    /**
     * 续驶里程
     */
    @JsonProperty(value = "DRIVING_RANGE")
    private String drivingRange;
    /**
     * 基本车辆制造国
     */
    @JsonProperty(value = "cocFactoryCount")
    private String cocBaseFactoryCount;
    /**
     * 认证委托人名称
     */
    @JsonProperty(value = "certificationName")
    private String certificationPrincipalName;
    /**
     * 联系人
     */
    @JsonProperty(value = "certificationConcactName")
    private String contacts;
    /**
     * 联系电话
     */
    @JsonProperty(value = "certificationConcactPhone")
    private String contactPhone;
    /**
     * CO2 排放量-市区（ g/km）
     */
    @JsonProperty(value = "co2Down")
    private String co2EmissionsDowntown;
    /**
     * 燃料消耗量-市区（ L/100km）
     */
    @JsonProperty(value = "fuelDown")
    private String fuelConsumptionDowntown;
    /**
     * CO2 排放量-市郊（ g/km）
     */
    @JsonProperty(value = "co2Town")
    private String co2EmissionsOutskirt;
    /**
     * 燃料消耗量-市郊（ L/100km）
     */
    @JsonProperty(value = "fuelTown")
    private String fuelConsumptionOutskirt;
    /**
     * CO2 排放量-综合（ g/km）
     */
    @JsonProperty(value = "co2Comprehensive")
    private String co2EmissionsComplex;
    /**
     * 燃料消耗量-综合（ L/100km）
     */
    @JsonProperty(value = "fuelComprehensive")
    private String fuelConsumptionComplex;
    /**
     * 转向型式
     */
    @JsonProperty(value = "carSteeringMode")
    private String carSteeringMode;
    /**
     * CH4
     */
    @JsonProperty(value = "ch4")
    private String ch4Liquid;
    /**
     * NH3
     */
    @JsonProperty(value = "nh3")
    private String nh3Liquid;
    /**
     * CO2 排放量/燃料消耗量-CCC 认证所依据的标准号
     */
    @JsonProperty(value = "cccStanardNumberEmission")
    private String cccStanardNumberEmission;

}
