package com.adc.da.vdaims.webservice.environmental;

import javax.xml.namespace.QName;
import java.net.URL;

public class WSXEnvironmentalUtils {
	
private static com.adc.da.vdaims.webservice.environmental.WSXxgkVinSoap port;
    
    static{
		final QName SERVICE_NAME = new QName("http://web1.vecc-mep.org.cn/WSXxgkVin", "WSXxgkVin");
		URL wsdlURL = com.adc.da.vdaims.webservice.environmental.WSXxgkVin.WSDL_LOCATION;
		com.adc.da.vdaims.webservice.environmental.WSXxgkVin ss = new com.adc.da.vdaims.webservice.environmental.WSXxgkVin(wsdlURL, SERVICE_NAME);
        port = ss.getWSXxgkVinSoap();  
	}

    /**
     * @param 获取报送密码。
     * 
     * @retrun Login
     */
    public static String login(String manufid, String password){
    	
    	String login = port.login(manufid, password );
    	
    	return login;
    }
    
    /**
     * @param 获取报送密码。
     * 
     * @retrun send
     */
    public static String sendVindData(String key, String vinData){
    	
    	String send = port.sendVinData(key, vinData);
    	
    	return send;
    }
    
    /**
     * @param 声明退出。
     * 
     * @retrun logout
     */
    public static String delDate(String key, String vin){
    	
    	String logout = port.delData(key, vin);
    	
    	return logout;
    }
    
    /**
     * @param 声明退出。
     * 
     * @retrun logout
     */
    public static String logout(String key){
    	
    	String logout = port.logout(key);
    	
    	return logout;
    }
    
    /**
     * @param 查询已报送的VIN数。
     * 
     * @retrun send
     */
    public static String getVinCountByXxgkh(String key, String xxgkh){
    	
    	String send = port.getVinCountByXxgkh(key, xxgkh);
    	
    	return send;
    }
}
