package com.adc.da.vdaims.webservice.vinupload;

import javax.jws.WebParam;
import javax.jws.WebService;

/**
 * 一致性申报相关接口
 */
@WebService(name = "VinUploadServiceImplService", targetNamespace = "http://webservice.sinosoft.com/")
public interface IVinUploadService {

    /**
     * 获取随机码
     * @return
     */
    String getRand();

    /**
     * 认证身份
     * @param rand 随机码
     * @param signature 签名
     * @return
     */
    String auth(@WebParam(name = "rand") String rand,
                @WebParam(name = "signature") String signature);

    /**
     * vin申报
     * @param rand
     * @param manuRelationId
     * @param vinList
     * @return
     */
    String upload(@WebParam(name = "rand") String rand,
                  @WebParam(name = "manuRelationId") String manuRelationId,
                  @WebParam(name = "vinList") String vinList);

    /**
     * 校验 VIN 是否已经上传
     * @param rand
     * @param manuRelationId
     * @param vinCode
     * @return
     */
    String download(@WebParam(name = "rand") String rand,
                    @WebParam(name = "manuRelationId") String manuRelationId,
                    @WebParam(name = "vinCode") String vinCode);
}
